package com.avaje.ebean;

























































































































































public class FetchConfig
{
  private int lazyBatchSize = -1;
  
  private int queryBatchSize = -1;
  




  private boolean queryAll;
  





  public FetchConfig lazy()
  {
    lazyBatchSize = 0;
    return this;
  }
  





  public FetchConfig lazy(int lazyBatchSize)
  {
    this.lazyBatchSize = lazyBatchSize;
    return this;
  }
  






  public FetchConfig query()
  {
    queryBatchSize = 0;
    queryAll = true;
    return this;
  }
  













  public FetchConfig query(int queryBatchSize)
  {
    this.queryBatchSize = queryBatchSize;
    queryAll = true;
    return this;
  }
  









  public FetchConfig queryFirst(int queryBatchSize)
  {
    this.queryBatchSize = queryBatchSize;
    queryAll = false;
    return this;
  }
  


  public int getLazyBatchSize()
  {
    return lazyBatchSize;
  }
  


  public int getQueryBatchSize()
  {
    return queryBatchSize;
  }
  



  public boolean isQueryAll()
  {
    return queryAll;
  }
}
