package com.avaje.ebean.common;

import com.avaje.ebean.bean.BeanCollection;
import java.util.Iterator;



































class ModifyIterator<E>
  implements Iterator<E>
{
  private final BeanCollection<E> owner;
  private final Iterator<E> it;
  private E last;
  
  ModifyIterator(BeanCollection<E> owner, Iterator<E> it)
  {
    this.owner = owner;
    this.it = it;
  }
  
  public boolean hasNext() {
    return it.hasNext();
  }
  
  public E next() {
    last = it.next();
    return last;
  }
  
  public void remove() {
    owner.modifyRemoval(last);
    it.remove();
  }
}
