package com.avaje.ebean.config.dbplatform;


































public class MsSqlServer2005Platform
  extends DatabasePlatform
{
  public MsSqlServer2005Platform()
  {
    name = "mssqlserver2005";
    dbIdentity.setIdType(IdType.IDENTITY);
    dbIdentity.setSupportsGetGeneratedKeys(true);
    dbIdentity.setSupportsIdentity(true);
    
    openQuote = "[";
    closeQuote = "]";
    

    dbTypeMap.put(16, new DbType("bit default 0"));
    
    dbTypeMap.put(-5, new DbType("numeric", 19));
    dbTypeMap.put(7, new DbType("float(16)"));
    dbTypeMap.put(8, new DbType("float(32)"));
    dbTypeMap.put(-6, new DbType("smallint"));
    dbTypeMap.put(3, new DbType("numeric", 28));
    
    dbTypeMap.put(2004, new DbType("image"));
    dbTypeMap.put(2005, new DbType("text"));
    dbTypeMap.put(-4, new DbType("image"));
    dbTypeMap.put(-1, new DbType("text"));
    
    dbTypeMap.put(91, new DbType("datetime"));
    dbTypeMap.put(92, new DbType("datetime"));
    dbTypeMap.put(93, new DbType("datetime"));
  }
}
