package com.avaje.ebean.enhance.asm;






















public class ClassAdapter
  implements ClassVisitor
{
  protected ClassVisitor cv;
  





















  public ClassAdapter(ClassVisitor cv)
  {
    this.cv = cv;
  }
  






  public void visit(int version, int access, String name, String signature, String superName, String[] interfaces)
  {
    cv.visit(version, access, name, signature, superName, interfaces);
  }
  
  public void visitSource(String source, String debug) {
    cv.visitSource(source, debug);
  }
  



  public void visitOuterClass(String owner, String name, String desc)
  {
    cv.visitOuterClass(owner, name, desc);
  }
  


  public AnnotationVisitor visitAnnotation(String desc, boolean visible)
  {
    return cv.visitAnnotation(desc, visible);
  }
  
  public void visitAttribute(Attribute attr) {
    cv.visitAttribute(attr);
  }
  




  public void visitInnerClass(String name, String outerName, String innerName, int access)
  {
    cv.visitInnerClass(name, outerName, innerName, access);
  }
  





  public FieldVisitor visitField(int access, String name, String desc, String signature, Object value)
  {
    return cv.visitField(access, name, desc, signature, value);
  }
  





  public MethodVisitor visitMethod(int access, String name, String desc, String signature, String[] exceptions)
  {
    return cv.visitMethod(access, name, desc, signature, exceptions);
  }
  
  public void visitEnd() {
    cv.visitEnd();
  }
}
