package com.avaje.ebean.text.json;

import java.util.LinkedHashMap;
import java.util.Map;
import java.util.Map.Entry;
import java.util.Set;






























public class JsonElementObject
  implements JsonElement
{
  private final Map<String, JsonElement> map = new LinkedHashMap();
  
  public void put(String key, JsonElement value) {
    map.put(key, value);
  }
  
  public JsonElement get(String key) {
    return (JsonElement)map.get(key);
  }
  
  public JsonElement getValue(String key) {
    return (JsonElement)map.get(key);
  }
  
  public Set<String> keySet() {
    return map.keySet();
  }
  
  public Set<Map.Entry<String, JsonElement>> entrySet() {
    return map.entrySet();
  }
  
  public String toString() {
    return map.toString();
  }
  
  public boolean isPrimitive() {
    return false;
  }
  
  public String toPrimitiveString() {
    return null;
  }
}
