package com.avaje.ebean.text.json;

import java.util.LinkedHashMap;
import java.util.Map;






































public class JsonReadOptions
{
  protected JsonValueAdapter valueAdapter;
  protected Map<String, JsonReadBeanVisitor<?>> visitorMap;
  
  public JsonReadOptions()
  {
    visitorMap = new LinkedHashMap();
  }
  


  public JsonValueAdapter getValueAdapter()
  {
    return valueAdapter;
  }
  


  public Map<String, JsonReadBeanVisitor<?>> getVisitorMap()
  {
    return visitorMap;
  }
  


  public JsonReadOptions setValueAdapter(JsonValueAdapter valueAdapter)
  {
    this.valueAdapter = valueAdapter;
    return this;
  }
  


  public JsonReadOptions addRootVisitor(JsonReadBeanVisitor<?> visitor)
  {
    return addVisitor(null, visitor);
  }
  


  public JsonReadOptions addVisitor(String path, JsonReadBeanVisitor<?> visitor)
  {
    visitorMap.put(path, visitor);
    return this;
  }
}
