package com.avaje.ebeaninternal.server.cluster;

import java.io.ByteArrayOutputStream;
import java.io.DataOutputStream;









































public class BinaryMessage
{
  public static final int TYPE_MSGCONTROL = 0;
  public static final int TYPE_BEANIUD = 1;
  public static final int TYPE_TABLEIUD = 2;
  public static final int TYPE_BEANDELTA = 3;
  public static final int TYPE_BEANPATHUPDATE = 4;
  public static final int TYPE_INDEX_INVALIDATE = 6;
  public static final int TYPE_INDEX = 7;
  public static final int TYPE_MSGACK = 8;
  public static final int TYPE_MSGRESEND = 9;
  private final ByteArrayOutputStream buffer;
  private final DataOutputStream os;
  private byte[] bytes;
  
  public BinaryMessage(int bufSize)
  {
    buffer = new ByteArrayOutputStream(bufSize);
    os = new DataOutputStream(buffer);
  }
  


  public DataOutputStream getOs()
  {
    return os;
  }
  


  public byte[] getByteArray()
  {
    if (bytes == null) {
      bytes = buffer.toByteArray();
    }
    return bytes;
  }
}
