package com.avaje.ebeaninternal.server.deploy;

import com.avaje.ebean.Query.Type;























public class ManyType
{
  public static final ManyType JAVA_LIST = new ManyType(Underlying.LIST);
  public static final ManyType JAVA_SET = new ManyType(Underlying.SET);
  public static final ManyType JAVA_MAP = new ManyType(Underlying.MAP);
  private final Query.Type queryType;
  
  public static enum Underlying { LIST, 
    SET, 
    MAP;
    

    private Underlying() {}
  }
  
  private final Underlying underlying;
  private final CollectionTypeConverter typeConverter;
  private ManyType(Underlying underlying)
  {
    this(underlying, null);
  }
  
  public ManyType(Underlying underlying, CollectionTypeConverter typeConverter) {
    this.underlying = underlying;
    this.typeConverter = typeConverter;
    switch (1.$SwitchMap$com$avaje$ebeaninternal$server$deploy$ManyType$Underlying[underlying.ordinal()]) {
    case 1: 
      queryType = Query.Type.LIST;
      break;
    case 2: 
      queryType = Query.Type.SET;
      break;
    
    default: 
      queryType = Query.Type.MAP;
    }
    
  }
  


  public Query.Type getQueryType()
  {
    return queryType;
  }
  


  public Underlying getUnderlying()
  {
    return underlying;
  }
  


  public CollectionTypeConverter getTypeConverter()
  {
    return typeConverter;
  }
}
