package com.avaje.ebeaninternal.server.lib.thread;






public class Work
{
  private Runnable runnable;
  




  private long exitQueueTime;
  



  private long enterQueueTime;
  



  private long startTime;
  




  public Work(Runnable runnable)
  {
    this.runnable = runnable;
  }
  


  public Runnable getRunnable()
  {
    return runnable;
  }
  


  public long getStartTime()
  {
    return startTime;
  }
  


  public void setStartTime(long startTime)
  {
    this.startTime = startTime;
  }
  


  public long getEnterQueueTime()
  {
    return enterQueueTime;
  }
  


  public void setEnterQueueTime(long enterQueueTime)
  {
    this.enterQueueTime = enterQueueTime;
  }
  


  public long getExitQueueTime()
  {
    return exitQueueTime;
  }
  


  public void setExitQueueTime(long exitQueueTime)
  {
    this.exitQueueTime = exitQueueTime;
  }
  


  public String toString()
  {
    return getDescription();
  }
  



  public String getDescription()
  {
    StringBuffer sb = new StringBuffer();
    sb.append("Work[");
    if (runnable != null) {
      sb.append(runnable.toString());
    }
    sb.append("]");
    return sb.toString();
  }
}
