package com.avaje.ebeaninternal.server.lucene;

import com.avaje.ebean.Query.UseIndex;
import com.avaje.ebean.config.lucene.IndexDefn;
import com.avaje.ebeaninternal.api.SpiEbeanServer;
import com.avaje.ebeaninternal.api.SpiTransaction;
import com.avaje.ebeaninternal.server.cluster.LuceneClusterIndexSync;
import com.avaje.ebeaninternal.server.deploy.BeanDescriptor;
import com.avaje.ebeaninternal.server.transaction.IndexEvent;
import com.avaje.ebeaninternal.server.transaction.RemoteTransactionEvent;
import java.io.IOException;



























public class NoLuceneIndexManager
  implements LuceneIndexManager
{
  public void start() {}
  
  public void shutdown() {}
  
  public void setServer(SpiEbeanServer server) {}
  
  public boolean isLuceneAvailable()
  {
    return false;
  }
  
  public void processEvent(RemoteTransactionEvent txnEvent, SpiTransaction t) {
    throw new RuntimeException("Never Called");
  }
  
  public void processEvent(IndexEvent indexEvent) {
    throw new RuntimeException("Never Called");
  }
  
  public LuceneClusterIndexSync getClusterIndexSync() {
    throw new RuntimeException("Never Called");
  }
  
  public void notifyCluster(IndexEvent event) {
    throw new RuntimeException("Never Called");
  }
  
  public void addIndex(LIndex index) throws IOException {
    throw new RuntimeException("Never Called");
  }
  
  public LIndex getIndex(String defnName) {
    throw new RuntimeException("Never Called");
  }
  
  public LIndex create(IndexDefn<?> indexDefn, BeanDescriptor<?> descriptor) throws IOException {
    throw new RuntimeException("Never Called");
  }
  
  public Query.UseIndex getDefaultUseIndex() {
    return Query.UseIndex.NO;
  }
  
  public LIndex getIndexByTypeAndName(Class<?> beanType, String name) {
    throw new RuntimeException("Never Called");
  }
  
  public String getIndexDirectory(String indexName) {
    throw new RuntimeException("Never Called");
  }
  
  public SpiEbeanServer getServer() {
    throw new RuntimeException("Never Called");
  }
}
