package com.avaje.ebeaninternal.server.persist;

import java.util.ArrayList;
























public class BindValues
{
  int commentCount;
  final ArrayList<Value> list = new ArrayList();
  








  public int size()
  {
    return list.size() - commentCount;
  }
  





  public void add(Object value, int dbType, String name)
  {
    list.add(new Value(value, dbType, name));
  }
  
  public void addComment(String comment) {
    commentCount += 1;
    list.add(new Value(comment));
  }
  


  public ArrayList<Value> values()
  {
    return list;
  }
  


  public static class Value
  {
    private final Object value;
    

    private final int dbType;
    

    private final String name;
    

    private final boolean isComment;
    

    public Value(String comment)
    {
      name = comment;
      isComment = true;
      value = null;
      dbType = 0;
    }
    



    public Value(Object value, int dbType, String name)
    {
      isComment = false;
      this.value = value;
      this.dbType = dbType;
      this.name = name;
    }
    


    public boolean isComment()
    {
      return isComment;
    }
    


    public int getDbType()
    {
      return dbType;
    }
    


    public Object getValue()
    {
      return value;
    }
    


    public String getName()
    {
      return name;
    }
    
    public String toString() {
      return "" + value;
    }
  }
}
