package com.avaje.ebeaninternal.server.transaction;

import com.avaje.ebeaninternal.api.SpiTransaction;

























public final class DefaultTransactionThreadLocal
{
  private static ThreadLocal<TransactionMap> local = new ThreadLocal() {
    protected synchronized TransactionMap initialValue() {
      return new TransactionMap();
    }
  };
  









  private static TransactionMap.State getState(String serverName)
  {
    return ((TransactionMap)local.get()).getState(serverName);
  }
  


  public static SpiTransaction get(String serverName)
  {
    return getStatetransaction;
  }
  


  public static void set(String serverName, SpiTransaction trans)
  {
    getState(serverName).set(trans);
  }
  


  public static void commit(String serverName)
  {
    getState(serverName).commit();
  }
  


  public static void rollback(String serverName)
  {
    getState(serverName).rollback();
  }
  


















  public static void end(String serverName)
  {
    getState(serverName).end();
  }
  








  public static void replace(String serverName, SpiTransaction trans)
  {
    getState(serverName).replace(trans);
  }
}
