package net.minecraft.server.v1_7_R1;


public class AxisAlignedBB
{
  private static final ThreadLocal g = new AABBPoolThreadLocal();
  public double a;
  public double b;
  public double c;
  public double d;
  public double e;
  public double f;
  
  public static AxisAlignedBB a(double paramDouble1, double paramDouble2, double paramDouble3, double paramDouble4, double paramDouble5, double paramDouble6) { return new AxisAlignedBB(paramDouble1, paramDouble2, paramDouble3, paramDouble4, paramDouble5, paramDouble6); }
  
  public static AABBPool a()
  {
    return (AABBPool)g.get();
  }
  


  protected AxisAlignedBB(double paramDouble1, double paramDouble2, double paramDouble3, double paramDouble4, double paramDouble5, double paramDouble6)
  {
    a = paramDouble1;
    b = paramDouble2;
    c = paramDouble3;
    d = paramDouble4;
    e = paramDouble5;
    f = paramDouble6;
  }
  
  public AxisAlignedBB b(double paramDouble1, double paramDouble2, double paramDouble3, double paramDouble4, double paramDouble5, double paramDouble6) {
    a = paramDouble1;
    b = paramDouble2;
    c = paramDouble3;
    d = paramDouble4;
    e = paramDouble5;
    f = paramDouble6;
    return this;
  }
  
  public AxisAlignedBB a(double paramDouble1, double paramDouble2, double paramDouble3) {
    double d1 = a;
    double d2 = b;
    double d3 = c;
    double d4 = d;
    double d5 = e;
    double d6 = f;
    
    if (paramDouble1 < 0.0D) d1 += paramDouble1;
    if (paramDouble1 > 0.0D) { d4 += paramDouble1;
    }
    if (paramDouble2 < 0.0D) d2 += paramDouble2;
    if (paramDouble2 > 0.0D) { d5 += paramDouble2;
    }
    if (paramDouble3 < 0.0D) d3 += paramDouble3;
    if (paramDouble3 > 0.0D) { d6 += paramDouble3;
    }
    return a().a(d1, d2, d3, d4, d5, d6);
  }
  
  public AxisAlignedBB grow(double paramDouble1, double paramDouble2, double paramDouble3) {
    double d1 = a - paramDouble1;
    double d2 = b - paramDouble2;
    double d3 = c - paramDouble3;
    double d4 = d + paramDouble1;
    double d5 = e + paramDouble2;
    double d6 = f + paramDouble3;
    
    return a().a(d1, d2, d3, d4, d5, d6);
  }
  
  public AxisAlignedBB a(AxisAlignedBB paramAxisAlignedBB) {
    double d1 = Math.min(a, a);
    double d2 = Math.min(b, b);
    double d3 = Math.min(c, c);
    double d4 = Math.max(d, d);
    double d5 = Math.max(e, e);
    double d6 = Math.max(f, f);
    
    return a().a(d1, d2, d3, d4, d5, d6);
  }
  
  public AxisAlignedBB c(double paramDouble1, double paramDouble2, double paramDouble3) {
    return a().a(a + paramDouble1, b + paramDouble2, c + paramDouble3, d + paramDouble1, e + paramDouble2, f + paramDouble3);
  }
  
  public double a(AxisAlignedBB paramAxisAlignedBB, double paramDouble) {
    if ((e <= b) || (b >= e)) return paramDouble;
    if ((f <= c) || (c >= f)) return paramDouble;
    double d1;
    if ((paramDouble > 0.0D) && (d <= a)) {
      d1 = a - d;
      if (d1 < paramDouble) paramDouble = d1;
    }
    if ((paramDouble < 0.0D) && (a >= d)) {
      d1 = d - a;
      if (d1 > paramDouble) { paramDouble = d1;
      }
    }
    return paramDouble;
  }
  
  public double b(AxisAlignedBB paramAxisAlignedBB, double paramDouble) {
    if ((d <= a) || (a >= d)) return paramDouble;
    if ((f <= c) || (c >= f)) return paramDouble;
    double d1;
    if ((paramDouble > 0.0D) && (e <= b)) {
      d1 = b - e;
      if (d1 < paramDouble) paramDouble = d1;
    }
    if ((paramDouble < 0.0D) && (b >= e)) {
      d1 = e - b;
      if (d1 > paramDouble) { paramDouble = d1;
      }
    }
    return paramDouble;
  }
  
  public double c(AxisAlignedBB paramAxisAlignedBB, double paramDouble) {
    if ((d <= a) || (a >= d)) return paramDouble;
    if ((e <= b) || (b >= e)) return paramDouble;
    double d1;
    if ((paramDouble > 0.0D) && (f <= c)) {
      d1 = c - f;
      if (d1 < paramDouble) paramDouble = d1;
    }
    if ((paramDouble < 0.0D) && (c >= f)) {
      d1 = f - c;
      if (d1 > paramDouble) { paramDouble = d1;
      }
    }
    return paramDouble;
  }
  
  public boolean b(AxisAlignedBB paramAxisAlignedBB) {
    if ((d <= a) || (a >= d)) return false;
    if ((e <= b) || (b >= e)) return false;
    if ((f <= c) || (c >= f)) return false;
    return true;
  }
  






  public AxisAlignedBB d(double paramDouble1, double paramDouble2, double paramDouble3)
  {
    a += paramDouble1;
    b += paramDouble2;
    c += paramDouble3;
    d += paramDouble1;
    e += paramDouble2;
    f += paramDouble3;
    return this;
  }
  






  public boolean a(Vec3D paramVec3D)
  {
    if ((c <= a) || (c >= d)) return false;
    if ((d <= b) || (d >= e)) return false;
    if ((e <= c) || (e >= f)) return false;
    return true;
  }
  
  public double b() {
    double d1 = d - a;
    double d2 = e - b;
    double d3 = f - c;
    return (d1 + d2 + d3) / 3.0D;
  }
  
  public AxisAlignedBB shrink(double paramDouble1, double paramDouble2, double paramDouble3) {
    double d1 = a + paramDouble1;
    double d2 = b + paramDouble2;
    double d3 = c + paramDouble3;
    double d4 = d - paramDouble1;
    double d5 = e - paramDouble2;
    double d6 = f - paramDouble3;
    
    return a().a(d1, d2, d3, d4, d5, d6);
  }
  
  public AxisAlignedBB clone() {
    return a().a(a, b, c, d, e, f);
  }
  
  public MovingObjectPosition a(Vec3D paramVec3D1, Vec3D paramVec3D2) {
    Vec3D localVec3D1 = paramVec3D1.b(paramVec3D2, a);
    Vec3D localVec3D2 = paramVec3D1.b(paramVec3D2, d);
    
    Vec3D localVec3D3 = paramVec3D1.c(paramVec3D2, b);
    Vec3D localVec3D4 = paramVec3D1.c(paramVec3D2, e);
    
    Vec3D localVec3D5 = paramVec3D1.d(paramVec3D2, c);
    Vec3D localVec3D6 = paramVec3D1.d(paramVec3D2, f);
    
    if (!b(localVec3D1)) localVec3D1 = null;
    if (!b(localVec3D2)) localVec3D2 = null;
    if (!c(localVec3D3)) localVec3D3 = null;
    if (!c(localVec3D4)) localVec3D4 = null;
    if (!d(localVec3D5)) localVec3D5 = null;
    if (!d(localVec3D6)) { localVec3D6 = null;
    }
    Vec3D localVec3D7 = null;
    
    if ((localVec3D1 != null) && ((localVec3D7 == null) || (paramVec3D1.distanceSquared(localVec3D1) < paramVec3D1.distanceSquared(localVec3D7)))) localVec3D7 = localVec3D1;
    if ((localVec3D2 != null) && ((localVec3D7 == null) || (paramVec3D1.distanceSquared(localVec3D2) < paramVec3D1.distanceSquared(localVec3D7)))) localVec3D7 = localVec3D2;
    if ((localVec3D3 != null) && ((localVec3D7 == null) || (paramVec3D1.distanceSquared(localVec3D3) < paramVec3D1.distanceSquared(localVec3D7)))) localVec3D7 = localVec3D3;
    if ((localVec3D4 != null) && ((localVec3D7 == null) || (paramVec3D1.distanceSquared(localVec3D4) < paramVec3D1.distanceSquared(localVec3D7)))) localVec3D7 = localVec3D4;
    if ((localVec3D5 != null) && ((localVec3D7 == null) || (paramVec3D1.distanceSquared(localVec3D5) < paramVec3D1.distanceSquared(localVec3D7)))) localVec3D7 = localVec3D5;
    if ((localVec3D6 != null) && ((localVec3D7 == null) || (paramVec3D1.distanceSquared(localVec3D6) < paramVec3D1.distanceSquared(localVec3D7)))) { localVec3D7 = localVec3D6;
    }
    if (localVec3D7 == null) { return null;
    }
    int i = -1;
    
    if (localVec3D7 == localVec3D1) i = 4;
    if (localVec3D7 == localVec3D2) i = 5;
    if (localVec3D7 == localVec3D3) i = 0;
    if (localVec3D7 == localVec3D4) i = 1;
    if (localVec3D7 == localVec3D5) i = 2;
    if (localVec3D7 == localVec3D6) { i = 3;
    }
    return new MovingObjectPosition(0, 0, 0, i, localVec3D7);
  }
  
  private boolean b(Vec3D paramVec3D) {
    if (paramVec3D == null) return false;
    return (d >= b) && (d <= e) && (e >= c) && (e <= f);
  }
  
  private boolean c(Vec3D paramVec3D) {
    if (paramVec3D == null) return false;
    return (c >= a) && (c <= d) && (e >= c) && (e <= f);
  }
  
  private boolean d(Vec3D paramVec3D) {
    if (paramVec3D == null) return false;
    return (c >= a) && (c <= d) && (d >= b) && (d <= e);
  }
  
  public void d(AxisAlignedBB paramAxisAlignedBB) {
    a = a;
    b = b;
    c = c;
    d = d;
    e = e;
    f = f;
  }
  
  public String toString() {
    return "box[" + a + ", " + b + ", " + c + " -> " + d + ", " + e + ", " + f + "]";
  }
}
