package net.minecraft.server.v1_7_R1;

import java.util.Random;
import org.bukkit.event.block.BlockFromToEvent;

public class BlockDragonEgg extends Block
{
  public BlockDragonEgg()
  {
    super(Material.DRAGON_EGG);
    a(0.0625F, 0.0F, 0.0625F, 0.9375F, 1.0F, 0.9375F);
  }
  
  public void onPlace(World world, int i, int j, int k) {
    world.a(i, j, k, this, a(world));
  }
  
  public void doPhysics(World world, int i, int j, int k, Block block) {
    world.a(i, j, k, this, a(world));
  }
  
  public void a(World world, int i, int j, int k, Random random) {
    e(world, i, j, k);
  }
  
  private void e(World world, int i, int j, int k) {
    if ((BlockFalling.canFall(world, i, j - 1, k)) && (j >= 0)) {
      byte b0 = 32;
      
      if ((!BlockFalling.instaFall) && (world.b(i - b0, j - b0, k - b0, i + b0, j + b0, k + b0)))
      {
        EntityFallingBlock entityfallingblock = new EntityFallingBlock(world, i + 0.5F, j + 0.5F, k + 0.5F, this, world.getData(i, j, k));
        
        world.addEntity(entityfallingblock);
      } else {
        world.setAir(i, j, k);
        
        while ((BlockFalling.canFall(world, i, j - 1, k)) && (j > 0)) {
          j--;
        }
        
        if (j > 0) {
          world.setTypeAndData(i, j, k, this, 0, 2);
        }
      }
    }
  }
  
  public boolean interact(World world, int i, int j, int k, EntityHuman entityhuman, int l, float f, float f1, float f2) {
    m(world, i, j, k);
    return true;
  }
  
  public void attack(World world, int i, int j, int k, EntityHuman entityhuman) {
    m(world, i, j, k);
  }
  
  private void m(World world, int i, int j, int k) {
    if (world.getType(i, j, k) == this) {
      for (int l = 0; l < 1000; l++) {
        int i1 = i + random.nextInt(16) - random.nextInt(16);
        int j1 = j + random.nextInt(8) - random.nextInt(8);
        int k1 = k + random.nextInt(16) - random.nextInt(16);
        
        if (getType, , material == Material.AIR)
        {
          org.bukkit.block.Block from = world.getWorld().getBlockAt(i, j, k);
          org.bukkit.block.Block to = world.getWorld().getBlockAt(i1, j1, k1);
          BlockFromToEvent event = new BlockFromToEvent(from, to);
          org.bukkit.Bukkit.getPluginManager().callEvent(event);
          
          if (event.isCancelled()) {
            return;
          }
          
          i1 = event.getToBlock().getX();
          j1 = event.getToBlock().getY();
          k1 = event.getToBlock().getZ();
          

          if (!isStatic) {
            world.setTypeAndData(i1, j1, k1, this, world.getData(i, j, k), 2);
            world.setAir(i, j, k);
          } else {
            short short1 = 128;
            
            for (int l1 = 0; l1 < short1; l1++) {
              double d0 = random.nextDouble();
              float f = (random.nextFloat() - 0.5F) * 0.2F;
              float f1 = (random.nextFloat() - 0.5F) * 0.2F;
              float f2 = (random.nextFloat() - 0.5F) * 0.2F;
              double d1 = i1 + (i - i1) * d0 + (random.nextDouble() - 0.5D) * 1.0D + 0.5D;
              double d2 = j1 + (j - j1) * d0 + random.nextDouble() * 1.0D - 0.5D;
              double d3 = k1 + (k - k1) * d0 + (random.nextDouble() - 0.5D) * 1.0D + 0.5D;
              
              world.addParticle("portal", d1, d2, d3, f, f1, f2);
            }
          }
          
          return;
        }
      }
    }
  }
  
  public int a(World world) {
    return 5;
  }
  
  public boolean c() {
    return false;
  }
  
  public boolean d() {
    return false;
  }
  
  public int b() {
    return 27;
  }
}
