package net.minecraft.server.v1_7_R1;

import java.util.Random;
import org.bukkit.Server;
import org.bukkit.block.BlockFace;
import org.bukkit.event.block.BlockFromToEvent;
import org.bukkit.plugin.PluginManager;

public class BlockFlowing
  extends BlockFluids
{
  int a;
  boolean[] b = new boolean[4];
  int[] M = new int[4];
  
  protected BlockFlowing(Material material) {
    super(material);
  }
  
  private void n(World world, int i, int j, int k) {
    int l = world.getData(i, j, k);
    
    world.setTypeAndData(i, j, k, Block.e(Block.b(this) + 1), l, 2);
  }
  
  public void a(World world, int i, int j, int k, Random random)
  {
    org.bukkit.World bworld = world.getWorld();
    Server server = world.getServer();
    org.bukkit.block.Block source = bworld == null ? null : bworld.getBlockAt(i, j, k);
    

    int l = e(world, i, j, k);
    byte b0 = 1;
    
    if ((material == Material.LAVA) && (!worldProvider.f)) {
      b0 = 2;
    }
    
    boolean flag = true;
    int i1 = a(world);
    

    if (l > 0) {
      byte b1 = -100;
      
      a = 0;
      int k1 = a(world, i - 1, j, k, b1);
      
      k1 = a(world, i + 1, j, k, k1);
      k1 = a(world, i, j, k - 1, k1);
      k1 = a(world, i, j, k + 1, k1);
      int j1 = k1 + b0;
      if ((j1 >= 8) || (k1 < 0)) {
        j1 = -1;
      }
      
      if (e(world, i, j + 1, k) >= 0) {
        int l1 = e(world, i, j + 1, k);
        
        if (l1 >= 8) {
          j1 = l1;
        } else {
          j1 = l1 + 8;
        }
      }
      
      if ((a >= 2) && (material == Material.WATER)) {
        if (world.getType(i, j - 1, k).getMaterial().isBuildable()) {
          j1 = 0;
        } else if ((world.getType(i, j - 1, k).getMaterial() == material) && (world.getData(i, j - 1, k) == 0)) {
          j1 = 0;
        }
      }
      
      if ((material == Material.LAVA) && (l < 8) && (j1 < 8) && (j1 > l) && (random.nextInt(4) != 0)) {
        i1 *= 4;
      }
      
      if (j1 == l) {
        if (flag) {
          n(world, i, j, k);
        }
      } else {
        l = j1;
        if (j1 < 0) {
          world.setAir(i, j, k);
        } else {
          world.setData(i, j, k, j1, 2);
          world.a(i, j, k, this, i1);
          world.applyPhysics(i, j, k, this);
        }
      }
    } else {
      n(world, i, j, k);
    }
    
    if (q(world, i, j - 1, k))
    {
      BlockFromToEvent event = new BlockFromToEvent(source, BlockFace.DOWN);
      if (server != null) {
        server.getPluginManager().callEvent(event);
      }
      
      if (!event.isCancelled()) {
        if ((material == Material.LAVA) && (world.getType(i, j - 1, k).getMaterial() == Material.WATER)) {
          world.setTypeUpdate(i, j - 1, k, Blocks.STONE);
          fizz(world, i, j - 1, k);
          return;
        }
        
        if (l >= 8) {
          flow(world, i, j - 1, k, l);
        } else {
          flow(world, i, j - 1, k, l + 8);
        }
      }
    }
    else if ((l >= 0) && ((l == 0) || (p(world, i, j - 1, k)))) {
      boolean[] aboolean = o(world, i, j, k);
      
      int j1 = l + b0;
      if (l >= 8) {
        j1 = 1;
      }
      
      if (j1 >= 8) {
        return;
      }
      

      BlockFace[] faces = { BlockFace.WEST, BlockFace.EAST, BlockFace.NORTH, BlockFace.SOUTH };
      int index = 0;
      
      for (BlockFace currentFace : faces) {
        if (aboolean[index] != 0) {
          BlockFromToEvent event = new BlockFromToEvent(source, currentFace);
          
          if (server != null) {
            server.getPluginManager().callEvent(event);
          }
          
          if (!event.isCancelled()) {
            flow(world, i + currentFace.getModX(), j, k + currentFace.getModZ(), j1);
          }
        }
        index++;
      }
    }
  }
  
  private void flow(World world, int i, int j, int k, int l)
  {
    if (q(world, i, j, k)) {
      Block block = world.getType(i, j, k);
      
      if (material == Material.LAVA) {
        fizz(world, i, j, k);
      } else {
        block.b(world, i, j, k, world.getData(i, j, k), 0);
      }
      
      world.setTypeAndData(i, j, k, this, l, 3);
    }
  }
  
  private int c(World world, int i, int j, int k, int l, int i1) {
    int j1 = 1000;
    
    for (int k1 = 0; k1 < 4; k1++) {
      if (((k1 != 0) || (i1 != 1)) && ((k1 != 1) || (i1 != 0)) && ((k1 != 2) || (i1 != 3)) && ((k1 != 3) || (i1 != 2))) {
        int l1 = i;
        int i2 = k;
        
        if (k1 == 0) {
          l1 = i - 1;
        }
        
        if (k1 == 1) {
          l1++;
        }
        
        if (k1 == 2) {
          i2 = k - 1;
        }
        
        if (k1 == 3) {
          i2++;
        }
        
        if ((!p(world, l1, j, i2)) && ((world.getType(l1, j, i2).getMaterial() != material) || (world.getData(l1, j, i2) != 0))) {
          if (!p(world, l1, j - 1, i2)) {
            return l;
          }
          
          if (l < 4) {
            int j2 = c(world, l1, j, i2, l + 1, k1);
            
            if (j2 < j1) {
              j1 = j2;
            }
          }
        }
      }
    }
    
    return j1;
  }
  


  private boolean[] o(World world, int i, int j, int k)
  {
    for (int l = 0; l < 4; l++) {
      M[l] = 1000;
      int i1 = i;
      int j1 = k;
      
      if (l == 0) {
        i1 = i - 1;
      }
      
      if (l == 1) {
        i1++;
      }
      
      if (l == 2) {
        j1 = k - 1;
      }
      
      if (l == 3) {
        j1++;
      }
      
      if ((!p(world, i1, j, j1)) && ((world.getType(i1, j, j1).getMaterial() != material) || (world.getData(i1, j, j1) != 0))) {
        if (p(world, i1, j - 1, j1)) {
          M[l] = c(world, i1, j, j1, 1, l);
        } else {
          M[l] = 0;
        }
      }
    }
    
    l = M[0];
    
    for (int i1 = 1; i1 < 4; i1++) {
      if (M[i1] < l) {
        l = M[i1];
      }
    }
    
    for (i1 = 0; i1 < 4; i1++) {
      b[i1] = (M[i1] == l ? 1 : false);
    }
    
    return b;
  }
  
  private boolean p(World world, int i, int j, int k) {
    Block block = world.getType(i, j, k);
    
    return material == Material.PORTAL;
  }
  
  protected int a(World world, int i, int j, int k, int l) {
    int i1 = e(world, i, j, k);
    
    if (i1 < 0) {
      return l;
    }
    if (i1 == 0) {
      a += 1;
    }
    
    if (i1 >= 8) {
      i1 = 0;
    }
    
    return (l >= 0) && (i1 >= l) ? l : i1;
  }
  
  private boolean q(World world, int i, int j, int k)
  {
    Material material = world.getType(i, j, k).getMaterial();
    
    return material != this.material;
  }
  
  public void onPlace(World world, int i, int j, int k) {
    super.onPlace(world, i, j, k);
    if (world.getType(i, j, k) == this) {
      world.a(i, j, k, this, a(world));
    }
  }
  
  public boolean L() {
    return true;
  }
}
