package net.minecraft.server.v1_7_R1;

import java.util.List;
import java.util.Map;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class CommandPardonIP
  extends CommandAbstract
{
  public String c()
  {
    return "pardon-ip";
  }
  
  public int a()
  {
    return 3;
  }
  

  public boolean a(ICommandListener paramICommandListener)
  {
    return (MinecraftServer.getServer().getPlayerList().getIPBans().isEnabled()) && (super.a(paramICommandListener));
  }
  
  public String c(ICommandListener paramICommandListener)
  {
    return "commands.unbanip.usage";
  }
  
  public void b(ICommandListener paramICommandListener, String[] paramArrayOfString)
  {
    if ((paramArrayOfString.length == 1) && (paramArrayOfString[0].length() > 1)) {
      Matcher localMatcher = CommandBanIp.a.matcher(paramArrayOfString[0]);
      
      if (localMatcher.matches()) {
        MinecraftServer.getServer().getPlayerList().getIPBans().remove(paramArrayOfString[0]);
        a(paramICommandListener, "commands.unbanip.success", new Object[] { paramArrayOfString[0] });
        return;
      }
      throw new ExceptionInvalidSyntax("commands.unbanip.invalid", new Object[0]);
    }
    

    throw new ExceptionUsage("commands.unbanip.usage", new Object[0]);
  }
  
  public List a(ICommandListener paramICommandListener, String[] paramArrayOfString)
  {
    if (paramArrayOfString.length == 1) {
      return a(paramArrayOfString, MinecraftServer.getServer().getPlayerList().getIPBans().getEntries().keySet());
    }
    
    return null;
  }
}
