package net.minecraft.server.v1_7_R1;





public class CommandSaveAll
  extends CommandAbstract
{
  public String c()
  {
    return "save-all";
  }
  
  public String c(ICommandListener paramICommandListener)
  {
    return "commands.save.usage";
  }
  
  public void b(ICommandListener paramICommandListener, String[] paramArrayOfString)
  {
    MinecraftServer localMinecraftServer = MinecraftServer.getServer();
    
    paramICommandListener.sendMessage(new ChatMessage("commands.save.start", new Object[0]));
    
    if (localMinecraftServer.getPlayerList() != null)
      localMinecraftServer.getPlayerList().savePlayers();
    try {
      WorldServer localWorldServer;
      boolean bool;
      for (int i = 0; i < worldServer.length; i++) {
        if (worldServer[i] != null) {
          localWorldServer = worldServer[i];
          bool = savingDisabled;
          savingDisabled = false;
          localWorldServer.save(true, null);
          savingDisabled = bool;
        }
      }
      if ((paramArrayOfString.length > 0) && ("flush".equals(paramArrayOfString[0]))) {
        paramICommandListener.sendMessage(new ChatMessage("commands.save.flushStart", new Object[0]));
        for (i = 0; i < worldServer.length; i++) {
          if (worldServer[i] != null) {
            localWorldServer = worldServer[i];
            bool = savingDisabled;
            savingDisabled = false;
            localWorldServer.flushSave();
            savingDisabled = bool;
          }
        }
        paramICommandListener.sendMessage(new ChatMessage("commands.save.flushEnd", new Object[0]));
      }
    } catch (ExceptionWorldConflict localExceptionWorldConflict) {
      a(paramICommandListener, "commands.save.failed", new Object[] { localExceptionWorldConflict.getMessage() });
      return;
    }
    
    a(paramICommandListener, "commands.save.success", new Object[0]);
  }
}
