package net.minecraft.server.v1_7_R1;

import java.util.ArrayList;
import java.util.List;
import java.util.Set;



public class CommandWhitelist
  extends CommandAbstract
{
  public String c()
  {
    return "whitelist";
  }
  
  public int a()
  {
    return 3;
  }
  

  public String c(ICommandListener paramICommandListener)
  {
    return "commands.whitelist.usage";
  }
  
  public void b(ICommandListener paramICommandListener, String[] paramArrayOfString)
  {
    if (paramArrayOfString.length >= 1) {
      if (paramArrayOfString[0].equals("on")) {
        MinecraftServer.getServer().getPlayerList().setHasWhitelist(true);
        a(paramICommandListener, "commands.whitelist.enabled", new Object[0]);
        return; }
      if (paramArrayOfString[0].equals("off")) {
        MinecraftServer.getServer().getPlayerList().setHasWhitelist(false);
        a(paramICommandListener, "commands.whitelist.disabled", new Object[0]);
        return; }
      if (paramArrayOfString[0].equals("list")) {
        paramICommandListener.sendMessage(new ChatMessage("commands.whitelist.list", new Object[] { Integer.valueOf(MinecraftServer.getServer().getPlayerList().getWhitelisted().size()), Integer.valueOf(MinecraftServer.getServer().getPlayerList().getSeenPlayers().length) }));
        
        Set localSet = MinecraftServer.getServer().getPlayerList().getWhitelisted();
        paramICommandListener.sendMessage(new ChatComponentText(a(localSet.toArray(new String[localSet.size()]))));
        return; }
      if (paramArrayOfString[0].equals("add")) {
        if (paramArrayOfString.length < 2) {
          throw new ExceptionUsage("commands.whitelist.add.usage", new Object[0]);
        }
        
        MinecraftServer.getServer().getPlayerList().addWhitelist(paramArrayOfString[1]);
        a(paramICommandListener, "commands.whitelist.add.success", new Object[] { paramArrayOfString[1] });
        return; }
      if (paramArrayOfString[0].equals("remove")) {
        if (paramArrayOfString.length < 2) {
          throw new ExceptionUsage("commands.whitelist.remove.usage", new Object[0]);
        }
        
        MinecraftServer.getServer().getPlayerList().removeWhitelist(paramArrayOfString[1]);
        a(paramICommandListener, "commands.whitelist.remove.success", new Object[] { paramArrayOfString[1] });
        return; }
      if (paramArrayOfString[0].equals("reload")) {
        MinecraftServer.getServer().getPlayerList().reloadWhitelist();
        a(paramICommandListener, "commands.whitelist.reloaded", new Object[0]);
        return;
      }
    }
    
    throw new ExceptionUsage("commands.whitelist.usage", new Object[0]);
  }
  
  public List a(ICommandListener paramICommandListener, String[] paramArrayOfString)
  {
    if (paramArrayOfString.length == 1) {
      return a(paramArrayOfString, new String[] { "on", "off", "list", "add", "remove", "reload" });
    }
    
    if (paramArrayOfString.length == 2) {
      if (paramArrayOfString[0].equals("add")) {
        String[] arrayOfString1 = MinecraftServer.getServer().getPlayerList().getSeenPlayers();
        ArrayList localArrayList = new ArrayList();
        String str1 = paramArrayOfString[(paramArrayOfString.length - 1)];
        
        for (String str2 : arrayOfString1) {
          if ((a(str1, str2)) && (!MinecraftServer.getServer().getPlayerList().getWhitelisted().contains(str2))) {
            localArrayList.add(str2);
          }
        }
        
        return localArrayList;
      }
      
      if (paramArrayOfString[0].equals("remove")) {
        return a(paramArrayOfString, MinecraftServer.getServer().getPlayerList().getWhitelisted());
      }
    }
    
    return null;
  }
}
