package net.minecraft.server.v1_7_R1;

import java.util.List;
import org.bukkit.craftbukkit.v1_7_R1.inventory.CraftInventory;
import org.bukkit.craftbukkit.v1_7_R1.inventory.CraftInventoryHorse;
import org.bukkit.craftbukkit.v1_7_R1.inventory.CraftInventoryView;
import org.bukkit.inventory.InventoryView;


public class ContainerHorse
  extends Container
{
  private IInventory a;
  private EntityHorse f;
  CraftInventoryView bukkitEntity;
  PlayerInventory player;
  
  public InventoryView getBukkitView()
  {
    if (bukkitEntity != null) {
      return bukkitEntity;
    }
    
    CraftInventory inventory = new CraftInventoryHorse(a);
    return this.bukkitEntity = new CraftInventoryView(player.player.getBukkitEntity(), inventory, this);
  }
  
  public ContainerHorse(IInventory iinventory, IInventory iinventory1, EntityHorse entityhorse) {
    player = ((PlayerInventory)iinventory);
    
    a = iinventory1;
    f = entityhorse;
    byte b0 = 3;
    
    iinventory1.startOpen();
    int i = (b0 - 4) * 18;
    
    a(new SlotHorseSaddle(this, iinventory1, 0, 8, 18));
    a(new SlotHorseArmor(this, iinventory1, 1, 8, 36, entityhorse));
    


    if (entityhorse.hasChest()) {
      for (int j = 0; j < b0; j++) {
        for (int k = 0; k < 5; k++) {
          a(new Slot(iinventory1, 2 + k + j * 5, 80 + k * 18, 18 + j * 18));
        }
      }
    }
    
    for (int j = 0; j < 3; j++) {
      for (int k = 0; k < 9; k++) {
        a(new Slot(iinventory, k + j * 9 + 9, 8 + k * 18, 102 + j * 18 + i));
      }
    }
    
    for (j = 0; j < 9; j++) {
      a(new Slot(iinventory, j, 8 + j * 18, 160 + i));
    }
  }
  
  public boolean a(EntityHuman entityhuman) {
    return (a.a(entityhuman)) && (f.isAlive()) && (f.d(entityhuman) < 8.0F);
  }
  
  public ItemStack b(EntityHuman entityhuman, int i) {
    ItemStack itemstack = null;
    Slot slot = (Slot)c.get(i);
    
    if ((slot != null) && (slot.e())) {
      ItemStack itemstack1 = slot.getItem();
      
      itemstack = itemstack1.cloneItemStack();
      if (i < a.getSize()) {
        if (!a(itemstack1, a.getSize(), c.size(), true)) {
          return null;
        }
      } else if ((getSlot(1).isAllowed(itemstack1)) && (!getSlot(1).e())) {
        if (!a(itemstack1, 1, 2, false)) {
          return null;
        }
      } else if (getSlot(0).isAllowed(itemstack1)) {
        if (!a(itemstack1, 0, 1, false)) {
          return null;
        }
      } else if ((a.getSize() <= 2) || (!a(itemstack1, 2, a.getSize(), false))) {
        return null;
      }
      
      if (count == 0) {
        slot.set((ItemStack)null);
      } else {
        slot.f();
      }
    }
    
    return itemstack;
  }
  
  public void b(EntityHuman entityhuman) {
    super.b(entityhuman);
    a.l_();
  }
}
