package net.minecraft.server.v1_7_R1;

import java.util.List;
import org.bukkit.craftbukkit.v1_7_R1.inventory.CraftInventoryCrafting;
import org.bukkit.craftbukkit.v1_7_R1.inventory.CraftInventoryView;

public class ContainerPlayer
  extends Container
{
  public InventoryCrafting craftInventory = new InventoryCrafting(this, 2, 2);
  public IInventory resultInventory = new InventoryCraftResult();
  
  public boolean g;
  private final EntityHuman h;
  private CraftInventoryView bukkitEntity = null;
  private PlayerInventory player;
  
  public ContainerPlayer(PlayerInventory playerinventory, boolean flag, EntityHuman entityhuman)
  {
    g = flag;
    h = entityhuman;
    resultInventory = new InventoryCraftResult();
    craftInventory = new InventoryCrafting(this, 2, 2, player);
    craftInventory.resultInventory = resultInventory;
    player = playerinventory;
    a(new SlotResult(player, craftInventory, resultInventory, 0, 144, 36));
    



    for (int i = 0; i < 2; i++) {
      for (int j = 0; j < 2; j++) {
        a(new Slot(craftInventory, j + i * 2, 88 + j * 18, 26 + i * 18));
      }
    }
    
    for (i = 0; i < 4; i++) {
      a(new SlotArmor(this, playerinventory, playerinventory.getSize() - 1 - i, 8, 8 + i * 18, i));
    }
    
    for (i = 0; i < 3; i++) {
      for (int j = 0; j < 9; j++) {
        a(new Slot(playerinventory, j + (i + 1) * 9, 8 + j * 18, 84 + i * 18));
      }
    }
    
    for (i = 0; i < 9; i++) {
      a(new Slot(playerinventory, i, 8 + i * 18, 142));
    }
  }
  


  public void a(IInventory iinventory)
  {
    getInstance()lastCraftView = getBukkitView();
    ItemStack craftResult = CraftingManager.getInstance().craft(craftInventory, h.world);
    resultInventory.setItem(0, craftResult);
    if (listeners.size() < 1) {
      return;
    }
    
    EntityPlayer player = (EntityPlayer)listeners.get(0);
    playerConnection.sendPacket(new PacketPlayOutSetSlot(activeContainer.windowId, 0, craftResult));
  }
  
  public void b(EntityHuman entityhuman)
  {
    super.b(entityhuman);
    
    for (int i = 0; i < 4; i++) {
      ItemStack itemstack = craftInventory.splitWithoutUpdate(i);
      
      if (itemstack != null) {
        entityhuman.drop(itemstack, false);
      }
    }
    
    resultInventory.setItem(0, (ItemStack)null);
  }
  
  public boolean a(EntityHuman entityhuman) {
    return true;
  }
  
  public ItemStack b(EntityHuman entityhuman, int i) {
    ItemStack itemstack = null;
    Slot slot = (Slot)c.get(i);
    
    if ((slot != null) && (slot.e())) {
      ItemStack itemstack1 = slot.getItem();
      
      itemstack = itemstack1.cloneItemStack();
      if (i == 0) {
        if (!a(itemstack1, 9, 45, true)) {
          return null;
        }
        
        slot.a(itemstack1, itemstack);
      } else if ((i >= 1) && (i < 5)) {
        if (!a(itemstack1, 9, 45, false)) {
          return null;
        }
      } else if ((i >= 5) && (i < 9)) {
        if (!a(itemstack1, 9, 45, false)) {
          return null;
        }
      } else if (((itemstack.getItem() instanceof ItemArmor)) && (!((Slot)c.get(5 + getItem()b)).e())) {
        int j = 5 + getItem()b;
        
        if (!a(itemstack1, j, j + 1, false)) {
          return null;
        }
      } else if ((i >= 9) && (i < 36)) {
        if (!a(itemstack1, 36, 45, false)) {
          return null;
        }
      } else if ((i >= 36) && (i < 45)) {
        if (!a(itemstack1, 9, 36, false)) {
          return null;
        }
      } else if (!a(itemstack1, 9, 45, false)) {
        return null;
      }
      
      if (count == 0) {
        slot.set((ItemStack)null);
      } else {
        slot.f();
      }
      
      if (count == count) {
        return null;
      }
      
      slot.a(entityhuman, itemstack1);
    }
    
    return itemstack;
  }
  
  public boolean a(ItemStack itemstack, Slot slot) {
    return (inventory != resultInventory) && (super.a(itemstack, slot));
  }
  
  public CraftInventoryView getBukkitView()
  {
    if (bukkitEntity != null) {
      return bukkitEntity;
    }
    
    CraftInventoryCrafting inventory = new CraftInventoryCrafting(craftInventory, resultInventory);
    bukkitEntity = new CraftInventoryView(player.player.getBukkitEntity(), inventory, this);
    return bukkitEntity;
  }
}
