package net.minecraft.server.v1_7_R1;

import java.util.List;
import org.bukkit.block.Block;
import org.bukkit.craftbukkit.v1_7_R1.CraftServer;
import org.bukkit.craftbukkit.v1_7_R1.CraftWorld;
import org.bukkit.craftbukkit.v1_7_R1.inventory.CraftItemStack;
import org.bukkit.event.block.BlockDispenseEvent;
import org.bukkit.util.Vector;

final class DispenseBehaviorArmor extends DispenseBehaviorItem
{
  protected ItemStack b(ISourceBlock isourceblock, ItemStack itemstack)
  {
    EnumFacing enumfacing = BlockDispenser.b(isourceblock.h());
    int i = isourceblock.getBlockX() + enumfacing.c();
    int j = isourceblock.getBlockY() + enumfacing.d();
    int k = isourceblock.getBlockZ() + enumfacing.e();
    AxisAlignedBB axisalignedbb = AxisAlignedBB.a().a(i, j, k, i + 1, j + 1, k + 1);
    List list = isourceblock.k().a(EntityLiving.class, axisalignedbb, new EntitySelectorEquipable(itemstack));
    
    if (list.size() > 0) {
      EntityLiving entityliving = (EntityLiving)list.get(0);
      int l = (entityliving instanceof EntityHuman) ? 1 : 0;
      int i1 = EntityInsentient.b(itemstack);
      

      ItemStack itemstack1 = itemstack.a(1);
      World world = isourceblock.k();
      Block block = world.getWorld().getBlockAt(isourceblock.getBlockX(), isourceblock.getBlockY(), isourceblock.getBlockZ());
      CraftItemStack craftItem = CraftItemStack.asCraftMirror(itemstack1);
      
      BlockDispenseEvent event = new BlockDispenseEvent(block, craftItem.clone(), new Vector(0, 0, 0));
      if (!BlockDispenser.eventFired) {
        world.getServer().getPluginManager().callEvent(event);
      }
      
      if (event.isCancelled()) {
        count += 1;
        return itemstack;
      }
      
      if (!event.getItem().equals(craftItem)) {
        count += 1;
        
        ItemStack eventStack = CraftItemStack.asNMSCopy(event.getItem());
        IDispenseBehavior idispensebehavior = (IDispenseBehavior)BlockDispenser.a.a(eventStack.getItem());
        if ((idispensebehavior != IDispenseBehavior.a) && (idispensebehavior != this)) {
          idispensebehavior.a(isourceblock, eventStack);
          return itemstack;
        }
      }
      

      count = 1;
      entityliving.setEquipment(i1 - l, itemstack1);
      if ((entityliving instanceof EntityInsentient)) {
        ((EntityInsentient)entityliving).a(i1, 2.0F);
      }
      

      return itemstack;
    }
    return super.b(isourceblock, itemstack);
  }
}
