package net.minecraft.server.v1_7_R1;

import org.bukkit.block.Block;
import org.bukkit.craftbukkit.v1_7_R1.CraftWorld;
import org.bukkit.craftbukkit.v1_7_R1.inventory.CraftItemStack;
import org.bukkit.event.block.BlockDispenseEvent;

final class DispenseBehaviorBonemeal extends DispenseBehaviorItem
{
  private boolean b = true;
  

  protected ItemStack b(ISourceBlock isourceblock, ItemStack itemstack)
  {
    if (itemstack.getData() == 15) {
      EnumFacing enumfacing = BlockDispenser.b(isourceblock.h());
      World world = isourceblock.k();
      int i = isourceblock.getBlockX() + enumfacing.c();
      int j = isourceblock.getBlockY() + enumfacing.d();
      int k = isourceblock.getBlockZ() + enumfacing.e();
      

      Block block = world.getWorld().getBlockAt(isourceblock.getBlockX(), isourceblock.getBlockY(), isourceblock.getBlockZ());
      CraftItemStack craftItem = CraftItemStack.asNewCraftStack(itemstack.getItem());
      
      BlockDispenseEvent event = new BlockDispenseEvent(block, craftItem.clone(), new org.bukkit.util.Vector(0, 0, 0));
      if (!BlockDispenser.eventFired) {
        world.getServer().getPluginManager().callEvent(event);
      }
      
      if (event.isCancelled()) {
        return itemstack;
      }
      
      if (!event.getItem().equals(craftItem))
      {
        ItemStack eventStack = CraftItemStack.asNMSCopy(event.getItem());
        IDispenseBehavior idispensebehavior = (IDispenseBehavior)BlockDispenser.a.a(eventStack.getItem());
        if ((idispensebehavior != IDispenseBehavior.a) && (idispensebehavior != this)) {
          idispensebehavior.a(isourceblock, eventStack);
          return itemstack;
        }
      }
      

      if (ItemDye.a(itemstack, world, i, j, k)) {
        if (!isStatic) {
          world.triggerEffect(2005, i, j, k, 0);
        }
      } else {
        b = false;
      }
      
      return itemstack;
    }
    return super.b(isourceblock, itemstack);
  }
  
  protected void a(ISourceBlock isourceblock)
  {
    if (b) {
      isourceblock.k().triggerEffect(1000, isourceblock.getBlockX(), isourceblock.getBlockY(), isourceblock.getBlockZ(), 0);
    } else {
      isourceblock.k().triggerEffect(1001, isourceblock.getBlockX(), isourceblock.getBlockY(), isourceblock.getBlockZ(), 0);
    }
  }
}
