package net.minecraft.server.v1_7_R1;

import java.util.Random;

public class EntityChicken extends EntityAnimal
{
  public float bp;
  public float bq;
  public float br;
  public float bs;
  public float bt = 1.0F;
  public int bu;
  
  public EntityChicken(World world) {
    super(world);
    a(0.3F, 0.7F);
    bu = (random.nextInt(6000) + 6000);
    goalSelector.a(0, new PathfinderGoalFloat(this));
    goalSelector.a(1, new PathfinderGoalPanic(this, 1.4D));
    goalSelector.a(2, new PathfinderGoalBreed(this, 1.0D));
    goalSelector.a(3, new PathfinderGoalTempt(this, 1.0D, Items.SEEDS, false));
    goalSelector.a(4, new PathfinderGoalFollowParent(this, 1.1D));
    goalSelector.a(5, new PathfinderGoalRandomStroll(this, 1.0D));
    goalSelector.a(6, new PathfinderGoalLookAtPlayer(this, EntityHuman.class, 6.0F));
    goalSelector.a(7, new PathfinderGoalRandomLookaround(this));
  }
  
  public boolean bk() {
    return true;
  }
  
  protected void aD() {
    super.aD();
    getAttributeInstance(GenericAttributes.a).setValue(4.0D);
    getAttributeInstance(GenericAttributes.d).setValue(0.25D);
  }
  
  public void e() {
    super.e();
    bs = bp;
    br = bq;
    bq = ((float)(bq + (onGround ? -1 : 4) * 0.3D));
    if (bq < 0.0F) {
      bq = 0.0F;
    }
    
    if (bq > 1.0F) {
      bq = 1.0F;
    }
    
    if ((!onGround) && (bt < 1.0F)) {
      bt = 1.0F;
    }
    
    bt = ((float)(bt * 0.9D));
    if ((!onGround) && (motY < 0.0D)) {
      motY *= 0.6D;
    }
    
    bp += bt * 2.0F;
    if ((!isBaby()) && (!world.isStatic) && (--bu <= 0)) {
      makeSound("mob.chicken.plop", 1.0F, (random.nextFloat() - random.nextFloat()) * 0.2F + 1.0F);
      a(Items.EGG, 1);
      bu = (random.nextInt(6000) + 6000);
    }
  }
  
  protected void b(float f) {}
  
  protected String t() {
    return "mob.chicken.say";
  }
  
  protected String aT() {
    return "mob.chicken.hurt";
  }
  
  protected String aU() {
    return "mob.chicken.hurt";
  }
  
  protected void a(int i, int j, int k, Block block) {
    makeSound("mob.chicken.step", 0.15F, 1.0F);
  }
  
  protected Item getLoot() {
    return Items.FEATHER;
  }
  
  protected void dropDeathLoot(boolean flag, int i)
  {
    java.util.List<org.bukkit.inventory.ItemStack> loot = new java.util.ArrayList();
    int j = random.nextInt(3) + random.nextInt(1 + i);
    
    if (j > 0) {
      loot.add(new org.bukkit.inventory.ItemStack(org.bukkit.craftbukkit.v1_7_R1.util.CraftMagicNumbers.getMaterial(Items.FEATHER), j));
    }
    
    if (isBurning()) {
      loot.add(new org.bukkit.inventory.ItemStack(org.bukkit.craftbukkit.v1_7_R1.util.CraftMagicNumbers.getMaterial(Items.COOKED_CHICKEN), 1));
    } else {
      loot.add(new org.bukkit.inventory.ItemStack(org.bukkit.craftbukkit.v1_7_R1.util.CraftMagicNumbers.getMaterial(Items.RAW_CHICKEN), 1));
    }
    
    org.bukkit.craftbukkit.v1_7_R1.event.CraftEventFactory.callEntityDeathEvent(this, loot);
  }
  
  public EntityChicken b(EntityAgeable entityageable)
  {
    return new EntityChicken(world);
  }
  
  public boolean c(ItemStack itemstack) {
    return (itemstack != null) && ((itemstack.getItem() instanceof ItemSeeds));
  }
  
  public EntityAgeable createChild(EntityAgeable entityageable) {
    return b(entityageable);
  }
}
