package net.minecraft.server.v1_7_R1;

import java.util.Random;
import org.bukkit.Location;
import org.bukkit.craftbukkit.v1_7_R1.util.CraftMagicNumbers;
import org.bukkit.event.player.PlayerBucketFillEvent;

public class EntityCow extends EntityAnimal
{
  public EntityCow(World world)
  {
    super(world);
    a(0.9F, 1.3F);
    getNavigation().a(true);
    goalSelector.a(0, new PathfinderGoalFloat(this));
    goalSelector.a(1, new PathfinderGoalPanic(this, 2.0D));
    goalSelector.a(2, new PathfinderGoalBreed(this, 1.0D));
    goalSelector.a(3, new PathfinderGoalTempt(this, 1.25D, Items.WHEAT, false));
    goalSelector.a(4, new PathfinderGoalFollowParent(this, 1.25D));
    goalSelector.a(5, new PathfinderGoalRandomStroll(this, 1.0D));
    goalSelector.a(6, new PathfinderGoalLookAtPlayer(this, EntityHuman.class, 6.0F));
    goalSelector.a(7, new PathfinderGoalRandomLookaround(this));
  }
  
  public boolean bk() {
    return true;
  }
  
  protected void aD() {
    super.aD();
    getAttributeInstance(GenericAttributes.a).setValue(10.0D);
    getAttributeInstance(GenericAttributes.d).setValue(0.2000000029802322D);
  }
  
  protected String t() {
    return "mob.cow.say";
  }
  
  protected String aT() {
    return "mob.cow.hurt";
  }
  
  protected String aU() {
    return "mob.cow.hurt";
  }
  
  protected void a(int i, int j, int k, Block block) {
    makeSound("mob.cow.step", 0.15F, 1.0F);
  }
  
  protected float bf() {
    return 0.4F;
  }
  
  protected Item getLoot() {
    return Items.LEATHER;
  }
  
  protected void dropDeathLoot(boolean flag, int i)
  {
    java.util.List<org.bukkit.inventory.ItemStack> loot = new java.util.ArrayList();
    int j = random.nextInt(3) + random.nextInt(1 + i);
    


    if (j > 0) {
      loot.add(new org.bukkit.inventory.ItemStack(CraftMagicNumbers.getMaterial(Items.LEATHER), j));
    }
    
    j = random.nextInt(3) + 1 + random.nextInt(1 + i);
    
    if (j > 0) {
      loot.add(new org.bukkit.inventory.ItemStack(isBurning() ? CraftMagicNumbers.getMaterial(Items.COOKED_BEEF) : CraftMagicNumbers.getMaterial(Items.RAW_BEEF), j));
    }
    
    org.bukkit.craftbukkit.v1_7_R1.event.CraftEventFactory.callEntityDeathEvent(this, loot);
  }
  
  public boolean a(EntityHuman entityhuman)
  {
    ItemStack itemstack = inventory.getItemInHand();
    
    if ((itemstack != null) && (itemstack.getItem() == Items.BUCKET) && (!abilities.canInstantlyBuild))
    {
      Location loc = getBukkitEntity().getLocation();
      PlayerBucketFillEvent event = org.bukkit.craftbukkit.v1_7_R1.event.CraftEventFactory.callPlayerBucketFillEvent(entityhuman, loc.getBlockX(), loc.getBlockY(), loc.getBlockZ(), -1, itemstack, Items.MILK_BUCKET);
      
      if (event.isCancelled()) {
        return false;
      }
      
      if (--count <= 0) {
        inventory.setItem(inventory.itemInHandIndex, org.bukkit.craftbukkit.v1_7_R1.inventory.CraftItemStack.asNMSCopy(event.getItemStack()));
      } else if (!inventory.pickup(new ItemStack(Items.MILK_BUCKET))) {
        entityhuman.drop(org.bukkit.craftbukkit.v1_7_R1.inventory.CraftItemStack.asNMSCopy(event.getItemStack()), false);
      }
      

      return true;
    }
    return super.a(entityhuman);
  }
  
  public EntityCow b(EntityAgeable entityageable)
  {
    return new EntityCow(world);
  }
  
  public EntityAgeable createChild(EntityAgeable entityageable) {
    return b(entityageable);
  }
}
