package net.minecraft.server.v1_7_R1;

import org.bukkit.event.entity.ExplosionPrimeEvent;

public class EntityLargeFireball extends EntityFireball
{
  public int yield = 1;
  
  public EntityLargeFireball(World world) {
    super(world);
  }
  
  public EntityLargeFireball(World world, EntityLiving entityliving, double d0, double d1, double d2) {
    super(world, entityliving, d0, d1, d2);
  }
  
  protected void a(MovingObjectPosition movingobjectposition) {
    if (!world.isStatic) {
      if (entity != null) {
        entity.damageEntity(DamageSource.fireball(this, shooter), 6.0F);
      }
      

      ExplosionPrimeEvent event = new ExplosionPrimeEvent((org.bukkit.entity.Explosive)org.bukkit.craftbukkit.v1_7_R1.entity.CraftEntity.getEntity(world.getServer(), this));
      world.getServer().getPluginManager().callEvent(event);
      
      if (!event.isCancelled())
      {
        world.createExplosion(this, locX, locY, locZ, event.getRadius(), event.getFire(), world.getGameRules().getBoolean("mobGriefing"));
      }
      

      die();
    }
  }
  
  public void b(NBTTagCompound nbttagcompound) {
    super.b(nbttagcompound);
    nbttagcompound.setInt("ExplosionPower", yield);
  }
  
  public void a(NBTTagCompound nbttagcompound) {
    super.a(nbttagcompound);
    if (nbttagcompound.hasKeyOfType("ExplosionPower", 99))
    {
      bukkitYield = (this.yield = nbttagcompound.getInt("ExplosionPower"));
    }
  }
}
