package net.minecraft.server.v1_7_R1;

import java.util.Random;

public class EntitySquid extends EntityWaterAnimal
{
  public float bp;
  public float bq;
  public float br;
  public float bs;
  public float bt;
  public float bu;
  public float bv;
  public float bw;
  private float bx;
  private float by;
  private float bz;
  private float bA;
  private float bB;
  private float bC;
  
  public EntitySquid(World world) {
    super(world);
    a(0.95F, 0.95F);
    by = (1.0F / (random.nextFloat() + 1.0F) * 0.2F);
  }
  
  protected void aD() {
    super.aD();
    getAttributeInstance(GenericAttributes.a).setValue(10.0D);
  }
  
  protected String t() {
    return null;
  }
  
  protected String aT() {
    return null;
  }
  
  protected String aU() {
    return null;
  }
  
  protected float bf() {
    return 0.4F;
  }
  
  protected Item getLoot() {
    return Item.d(0);
  }
  
  protected boolean g_() {
    return false;
  }
  
  protected void dropDeathLoot(boolean flag, int i)
  {
    java.util.List<org.bukkit.inventory.ItemStack> loot = new java.util.ArrayList();
    
    int count = random.nextInt(3 + i) + 1;
    if (count > 0) {
      loot.add(new org.bukkit.inventory.ItemStack(org.bukkit.Material.INK_SACK, count));
    }
    
    org.bukkit.craftbukkit.v1_7_R1.event.CraftEventFactory.callEntityDeathEvent(this, loot);
  }
  






  public void e()
  {
    super.e();
    bq = bp;
    bs = br;
    bu = bt;
    bw = bv;
    bt += by;
    if (bt > 6.283186F) {
      bt -= 6.283186F;
      if (random.nextInt(10) == 0) {
        by = (1.0F / (random.nextFloat() + 1.0F) * 0.2F);
      }
    }
    
    if (M())
    {

      if (bt < 3.141593F) {
        float f = bt / 3.141593F;
        bv = (MathHelper.sin(f * f * 3.141593F) * 3.141593F * 0.25F);
        if (f > 0.75D) {
          bx = 1.0F;
          bz = 1.0F;
        } else {
          bz *= 0.8F;
        }
      } else {
        bv = 0.0F;
        bx *= 0.9F;
        bz *= 0.99F;
      }
      
      if (!world.isStatic) {
        motX = (bA * bx);
        motY = (bB * bx);
        motZ = (bC * bx);
      }
      
      float f = MathHelper.sqrt(motX * motX + motZ * motZ);
      
      aN += (-(float)org.bukkit.craftbukkit.v1_7_R1.TrigMath.atan2(motX, motZ) * 180.0F / 3.141593F - aN) * 0.1F;
      yaw = aN;
      br += 3.141593F * bz * 1.5F;
      
      bp += (-(float)org.bukkit.craftbukkit.v1_7_R1.TrigMath.atan2(f, motY) * 180.0F / 3.141593F - bp) * 0.1F;
    } else {
      bv = (MathHelper.abs(MathHelper.sin(bt)) * 3.141593F * 0.25F);
      if (!world.isStatic) {
        motX = 0.0D;
        motY -= 0.08D;
        motY *= 0.9800000190734863D;
        motZ = 0.0D;
      }
      
      bp = ((float)(bp + (-90.0F - bp) * 0.02D));
    }
  }
  
  public void e(float f, float f1) {
    move(motX, motY, motZ);
  }
  
  protected void bq() {
    aV += 1;
    if (aV > 100) {
      bA = (this.bB = this.bC = 0.0F);
    } else if ((random.nextInt(50) == 0) || (!inWater) || ((bA == 0.0F) && (bB == 0.0F) && (bC == 0.0F))) {
      float f = random.nextFloat() * 3.141593F * 2.0F;
      
      bA = (MathHelper.cos(f) * 0.2F);
      bB = (-0.1F + random.nextFloat() * 0.2F);
      bC = (MathHelper.sin(f) * 0.2F);
    }
    
    w();
  }
  
  public boolean canSpawn() {
    return (locY > 45.0D) && (locY < 63.0D) && (super.canSpawn());
  }
}
