package net.minecraft.server.v1_7_R1;

import org.bukkit.event.entity.ExplosionPrimeEvent;

public class EntityWitherSkull extends EntityFireball
{
  public EntityWitherSkull(World world) {
    super(world);
    a(0.3125F, 0.3125F);
  }
  
  public EntityWitherSkull(World world, EntityLiving entityliving, double d0, double d1, double d2) {
    super(world, entityliving, d0, d1, d2);
    a(0.3125F, 0.3125F);
  }
  
  protected float e() {
    return f() ? 0.73F : super.e();
  }
  
  public boolean isBurning() {
    return false;
  }
  
  public float a(Explosion explosion, World world, int i, int j, int k, Block block) {
    float f = super.a(explosion, world, i, j, k, block);
    
    if ((f()) && (block != Blocks.BEDROCK) && (block != Blocks.ENDER_PORTAL) && (block != Blocks.ENDER_PORTAL_FRAME) && (block != Blocks.COMMAND)) {
      f = Math.min(0.8F, f);
    }
    
    return f;
  }
  
  protected void a(MovingObjectPosition movingobjectposition) {
    if (!world.isStatic) {
      if (entity != null) {
        if (shooter != null) {
          if ((entity.damageEntity(DamageSource.mobAttack(shooter), 8.0F)) && (!entity.isAlive())) {
            shooter.heal(5.0F, org.bukkit.event.entity.EntityRegainHealthEvent.RegainReason.WITHER);
          }
        } else {
          entity.damageEntity(DamageSource.MAGIC, 5.0F);
        }
        
        if ((entity instanceof EntityLiving)) {
          byte b0 = 0;
          
          if (world.difficulty == EnumDifficulty.NORMAL) {
            b0 = 10;
          } else if (world.difficulty == EnumDifficulty.HARD) {
            b0 = 40;
          }
          
          if (b0 > 0) {
            ((EntityLiving)entity).addEffect(new MobEffect(WITHERid, 20 * b0, 1));
          }
        }
      }
      

      ExplosionPrimeEvent event = new ExplosionPrimeEvent(getBukkitEntity(), 1.0F, false);
      world.getServer().getPluginManager().callEvent(event);
      
      if (!event.isCancelled()) {
        world.createExplosion(this, locX, locY, locZ, event.getRadius(), event.getFire(), world.getGameRules().getBoolean("mobGriefing"));
      }
      

      die();
    }
  }
  
  public boolean R() {
    return false;
  }
  
  public boolean damageEntity(DamageSource damagesource, float f) {
    return false;
  }
  
  protected void c() {
    datawatcher.a(10, Byte.valueOf((byte)0));
  }
  
  public boolean f() {
    return datawatcher.getByte(10) == 1;
  }
  
  public void a(boolean flag) {
    datawatcher.watch(10, Byte.valueOf((byte)(flag ? 1 : 0)));
  }
}
