package net.minecraft.server.v1_7_R1;

import java.util.List;
import org.bukkit.craftbukkit.v1_7_R1.entity.CraftHumanEntity;
import org.bukkit.entity.Horse;
import org.bukkit.entity.HumanEntity;

public class InventoryHorseChest extends InventorySubcontainer
{
  public InventoryHorseChest(String s, int i)
  {
    super(s, false, i);
  }
  

  public List<HumanEntity> transaction = new java.util.ArrayList();
  private EntityHorse horse;
  private int maxStack = 64;
  
  public InventoryHorseChest(String s, int i, EntityHorse horse) {
    this(s, i);
    this.horse = horse;
  }
  
  public ItemStack[] getContents()
  {
    return items;
  }
  
  public void onOpen(CraftHumanEntity who)
  {
    transaction.add(who);
  }
  
  public void onClose(CraftHumanEntity who)
  {
    transaction.remove(who);
  }
  
  public List<HumanEntity> getViewers()
  {
    return transaction;
  }
  
  public org.bukkit.inventory.InventoryHolder getOwner()
  {
    return (Horse)horse.getBukkitEntity();
  }
  
  public void setMaxStackSize(int size)
  {
    maxStack = size;
  }
  
  public int getMaxStackSize()
  {
    return maxStack;
  }
}
