package net.minecraft.server.v1_7_R1;

import java.util.List;

public abstract class InventorySubcontainer implements IInventory
{
  private String a;
  private int b;
  protected ItemStack[] items;
  private List d;
  private boolean e;
  
  public InventorySubcontainer(String s, boolean flag, int i)
  {
    a = s;
    e = flag;
    b = i;
    items = new ItemStack[i];
  }
  
  public void a(IInventoryListener iinventorylistener) {
    if (d == null) {
      d = new java.util.ArrayList();
    }
    
    d.add(iinventorylistener);
  }
  
  public void b(IInventoryListener iinventorylistener) {
    d.remove(iinventorylistener);
  }
  
  public ItemStack getItem(int i) {
    return items[i];
  }
  
  public ItemStack splitStack(int i, int j) {
    if (items[i] != null)
    {

      if (items[i].count <= j) {
        ItemStack itemstack = items[i];
        items[i] = null;
        update();
        return itemstack;
      }
      ItemStack itemstack = items[i].a(j);
      if (items[i].count == 0) {
        items[i] = null;
      }
      
      update();
      return itemstack;
    }
    
    return null;
  }
  
  public ItemStack splitWithoutUpdate(int i)
  {
    if (items[i] != null) {
      ItemStack itemstack = items[i];
      
      items[i] = null;
      return itemstack;
    }
    return null;
  }
  
  public void setItem(int i, ItemStack itemstack)
  {
    items[i] = itemstack;
    if ((itemstack != null) && (count > getMaxStackSize())) {
      count = getMaxStackSize();
    }
    
    update();
  }
  
  public int getSize() {
    return b;
  }
  
  public String getInventoryName() {
    return a;
  }
  
  public boolean k_() {
    return e;
  }
  
  public void a(String s) {
    e = true;
    a = s;
  }
  
  public int getMaxStackSize() {
    return 64;
  }
  
  public void update() {
    if (d != null) {
      for (int i = 0; i < d.size(); i++) {
        ((IInventoryListener)d.get(i)).a(this);
      }
    }
  }
  
  public boolean a(EntityHuman entityhuman) {
    return true;
  }
  
  public void startOpen() {}
  
  public void l_() {}
  
  public boolean b(int i, ItemStack itemstack) {
    return true;
  }
}
