package net.minecraft.server.v1_7_R1;

public class ItemSign extends Item
{
  public ItemSign() {
    maxStackSize = 16;
    a(CreativeModeTab.c);
  }
  
  public boolean interactWith(ItemStack itemstack, EntityHuman entityhuman, World world, int i, int j, int k, int l, float f, float f1, float f2) {
    int clickedX = i;int clickedY = j;int clickedZ = k;
    if (l == 0)
      return false;
    if (!world.getType(i, j, k).getMaterial().isBuildable()) {
      return false;
    }
    if (l == 1) {
      j++;
    }
    
    if (l == 2) {
      k--;
    }
    
    if (l == 3) {
      k++;
    }
    
    if (l == 4) {
      i--;
    }
    
    if (l == 5) {
      i++;
    }
    
    if (!entityhuman.a(i, j, k, l, itemstack))
      return false;
    if (!Blocks.SIGN_POST.canPlace(world, i, j, k))
      return false;
    if (isStatic) {
      return true;
    }
    
    Block block;
    if (l == 1) {
      int i1 = MathHelper.floor((yaw + 180.0F) * 16.0F / 360.0F + 0.5D) & 0xF;
      

      Block block = Blocks.SIGN_POST;
      l = i1;
    }
    else {
      block = Blocks.WALL_SIGN;
    }
    if (!ItemBlock.processBlockPlace(world, entityhuman, null, i, j, k, block, l, clickedX, clickedY, clickedZ)) {
      return false;
    }
    

    count -= 1;
    TileEntitySign tileentitysign = (TileEntitySign)world.getTileEntity(i, j, k);
    
    if (tileentitysign != null) {
      entityhuman.a(tileentitysign);
    }
    
    return true;
  }
}
