package net.minecraft.server.v1_7_R1;

public class ItemWaterLily extends ItemWithAuxData
{
  public ItemWaterLily(Block block) {
    super(block, false);
  }
  
  public ItemStack a(ItemStack itemstack, World world, EntityHuman entityhuman) {
    MovingObjectPosition movingobjectposition = a(world, entityhuman, true);
    
    if (movingobjectposition == null) {
      return itemstack;
    }
    if (type == EnumMovingObjectType.BLOCK) {
      int i = b;
      int j = c;
      int k = d;
      int clickedX = i;int clickedY = j;int clickedZ = k;
      
      if (!world.a(entityhuman, i, j, k)) {
        return itemstack;
      }
      
      if (!entityhuman.a(i, j, k, face, itemstack)) {
        return itemstack;
      }
      
      if ((world.getType(i, j, k).getMaterial() == Material.WATER) && (world.getData(i, j, k) == 0) && (world.isEmpty(i, j + 1, k)))
      {

        if (!processBlockPlace(world, entityhuman, null, i, j + 1, k, Blocks.WATER_LILY, 0, clickedX, clickedY, clickedZ)) {
          return itemstack;
        }
        

        if (!abilities.canInstantlyBuild) {
          count -= 1;
        }
      }
    }
    
    return itemstack;
  }
}
