package net.minecraft.server.v1_7_R1;

import java.util.List;
import net.minecraft.util.com.google.common.collect.HashMultiset;
import org.bukkit.Bukkit;
import org.bukkit.Server;
import org.bukkit.craftbukkit.v1_7_R1.CraftServer;
import org.bukkit.event.server.MapInitializeEvent;
import org.bukkit.plugin.PluginManager;

public class ItemWorldMap extends ItemWorldMapBase
{
  protected ItemWorldMap()
  {
    a(true);
  }
  
  public WorldMap getSavedMap(ItemStack itemstack, World world) {
    World worldMain = (World)getServer()getServer()worlds.get(0);
    String s = "map_" + itemstack.getData();
    WorldMap worldmap = (WorldMap)worldMain.a(WorldMap.class, s);
    
    if ((worldmap == null) && (!isStatic)) {
      itemstack.setData(worldMain.b("map"));
      s = "map_" + itemstack.getData();
      worldmap = new WorldMap(s);
      scale = 3;
      int i = 128 * (1 << scale);
      
      centerX = (Math.round(world.getWorldData().c() / i) * i);
      centerZ = (Math.round(world.getWorldData().e() / i) * i);
      map = ((byte)dimension);
      worldmap.c();
      worldMain.a(s, worldmap);
      

      MapInitializeEvent event = new MapInitializeEvent(mapView);
      Bukkit.getServer().getPluginManager().callEvent(event);
    }
    

    return worldmap;
  }
  
  public void a(World world, Entity entity, WorldMap worldmap)
  {
    if ((dimension == map) && ((entity instanceof EntityHuman))) {
      int i = 1 << scale;
      int j = centerX;
      int k = centerZ;
      int l = MathHelper.floor(locX - j) / i + 64;
      int i1 = MathHelper.floor(locZ - k) / i + 64;
      int j1 = 128 / i;
      
      if (worldProvider.g) {
        j1 /= 2;
      }
      
      WorldMapHumanTracker worldmaphumantracker = worldmap.a((EntityHuman)entity);
      
      d += 1;
      
      for (int k1 = l - j1 + 1; k1 < l + j1; k1++) {
        if ((k1 & 0xF) == (d & 0xF)) {
          int l1 = 255;
          int i2 = 0;
          double d0 = 0.0D;
          
          for (int j2 = i1 - j1 - 1; j2 < i1 + j1; j2++) {
            if ((k1 >= 0) && (j2 >= -1) && (k1 < 128) && (j2 < 128)) {
              int k2 = k1 - l;
              int l2 = j2 - i1;
              boolean flag = k2 * k2 + l2 * l2 > (j1 - 2) * (j1 - 2);
              int i3 = (j / i + k1 - 64) * i;
              int j3 = (k / i + j2 - 64) * i;
              HashMultiset hashmultiset = HashMultiset.create();
              Chunk chunk = world.getChunkAtWorldCoords(i3, j3);
              
              if (!chunk.isEmpty()) {
                int k3 = i3 & 0xF;
                int l3 = j3 & 0xF;
                int i4 = 0;
                double d1 = 0.0D;
                

                if (worldProvider.g) {
                  int j4 = i3 + j3 * 231871;
                  j4 = j4 * j4 * 31287121 + j4 * 11;
                  if ((j4 >> 20 & 0x1) == 0) {
                    hashmultiset.add(Blocks.DIRT.f(0), 10);
                  } else {
                    hashmultiset.add(Blocks.STONE.f(0), 100);
                  }
                  
                  d1 = 100.0D;
                } else {
                  for (int j4 = 0; j4 < i; j4++) {
                    for (int k4 = 0; k4 < i; k4++) {
                      int l4 = chunk.b(j4 + k3, k4 + l3) + 1;
                      Block block = Blocks.AIR;
                      int i5 = 0;
                      
                      if (l4 > 1) {
                        do {
                          l4--;
                          block = chunk.getType(j4 + k3, l4, k4 + l3);
                          i5 = chunk.getData(j4 + k3, l4, k4 + l3);
                        } while ((block.f(i5) == MaterialMapColor.b) && (l4 > 0));
                        
                        if ((l4 > 0) && (block.getMaterial().isLiquid())) {
                          int j5 = l4 - 1;
                          
                          Block block1;
                          do
                          {
                            block1 = chunk.getType(j4 + k3, j5--, k4 + l3);
                            i4++;
                          } while ((j5 > 0) && (block1.getMaterial().isLiquid()));
                        }
                      }
                      
                      d1 += l4 / (i * i);
                      hashmultiset.add(block.f(i5));
                    }
                  }
                }
                
                i4 /= i * i;
                double d2 = (d1 - d0) * 4.0D / (i + 4) + ((k1 + j2 & 0x1) - 0.5D) * 0.4D;
                byte b0 = 1;
                
                if (d2 > 0.6D) {
                  b0 = 2;
                }
                
                if (d2 < -0.6D) {
                  b0 = 0;
                }
                
                MaterialMapColor materialmapcolor = (MaterialMapColor)net.minecraft.util.com.google.common.collect.Iterables.getFirst(net.minecraft.util.com.google.common.collect.Multisets.copyHighestCountFirst(hashmultiset), MaterialMapColor.b);
                
                if (materialmapcolor == MaterialMapColor.n) {
                  d2 = i4 * 0.1D + (k1 + j2 & 0x1) * 0.2D;
                  b0 = 1;
                  if (d2 < 0.5D) {
                    b0 = 2;
                  }
                  
                  if (d2 > 0.9D) {
                    b0 = 0;
                  }
                }
                
                d0 = d1;
                if ((j2 >= 0) && (k2 * k2 + l2 * l2 < j1 * j1) && ((!flag) || ((k1 + j2 & 0x1) != 0))) {
                  byte b1 = colors[(k1 + j2 * 128)];
                  byte b2 = (byte)(M * 4 + b0);
                  
                  if (b1 != b2) {
                    if (l1 > j2) {
                      l1 = j2;
                    }
                    
                    if (i2 < j2) {
                      i2 = j2;
                    }
                    
                    colors[(k1 + j2 * 128)] = b2;
                  }
                }
              }
            }
          }
          
          if (l1 <= i2) {
            worldmap.flagDirty(k1, l1, i2);
          }
        }
      }
    }
  }
  
  public void a(ItemStack itemstack, World world, Entity entity, int i, boolean flag) {
    if (!isStatic) {
      WorldMap worldmap = getSavedMap(itemstack, world);
      
      if ((entity instanceof EntityHuman)) {
        EntityHuman entityhuman = (EntityHuman)entity;
        
        worldmap.a(entityhuman, itemstack);
      }
      
      if (flag) {
        a(world, entity, worldmap);
      }
    }
  }
  
  public Packet c(ItemStack itemstack, World world, EntityHuman entityhuman) {
    byte[] abyte = getSavedMap(itemstack, world).getUpdatePacket(itemstack, world, entityhuman);
    
    return abyte == null ? null : new PacketPlayOutMap(itemstack.getData(), abyte);
  }
  
  public void d(ItemStack itemstack, World world, EntityHuman entityhuman) {
    if ((itemstack.hasTag()) && (itemstack.getTag().getBoolean("map_is_scaling"))) {
      WorldMap worldmap = Items.MAP.getSavedMap(itemstack, world);
      
      world = (World)getServer()getServer()worlds.get(0);
      
      itemstack.setData(world.b("map"));
      WorldMap worldmap1 = new WorldMap("map_" + itemstack.getData());
      
      scale = ((byte)(scale + 1));
      if (scale > 4) {
        scale = 4;
      }
      
      centerX = centerX;
      centerZ = centerZ;
      map = map;
      worldmap1.c();
      world.a("map_" + itemstack.getData(), worldmap1);
      

      MapInitializeEvent event = new MapInitializeEvent(mapView);
      Bukkit.getServer().getPluginManager().callEvent(event);
    }
  }
}
