package net.minecraft.server.v1_7_R1;

import java.io.IOException;

public class PacketPlayInChat extends Packet
{
  private String message;
  
  public PacketPlayInChat() {}
  
  public PacketPlayInChat(String s) {
    if (s.length() > 100) {
      s = s.substring(0, 100);
    }
    
    message = s;
  }
  
  public void a(PacketDataSerializer packetdataserializer) throws IOException {
    message = packetdataserializer.c(100);
  }
  
  public void b(PacketDataSerializer packetdataserializer) throws IOException {
    packetdataserializer.a(message);
  }
  
  public void a(PacketPlayInListener packetplayinlistener) {
    packetplayinlistener.a(this);
  }
  
  public String b() {
    return String.format("message='%s'", new Object[] { message });
  }
  
  public String c() {
    return message;
  }
  

  public boolean a()
  {
    return !message.startsWith("/");
  }
  
  public void handle(PacketListener packetlistener)
  {
    a((PacketPlayInListener)packetlistener);
  }
}
