package net.minecraft.server.v1_7_R1;

public class PacketPlayOutBlockChange extends Packet
{
  private int a;
  private int b;
  private int c;
  public Block block;
  public int data;
  
  public PacketPlayOutBlockChange() {}
  
  public PacketPlayOutBlockChange(int i, int j, int k, World world) {
    a = i;
    b = j;
    c = k;
    block = world.getType(i, j, k);
    data = world.getData(i, j, k);
  }
  
  public void a(PacketDataSerializer packetdataserializer) {
    a = packetdataserializer.readInt();
    b = packetdataserializer.readUnsignedByte();
    c = packetdataserializer.readInt();
    block = Block.e(packetdataserializer.a());
    data = packetdataserializer.readUnsignedByte();
  }
  
  public void b(PacketDataSerializer packetdataserializer) {
    packetdataserializer.writeInt(a);
    packetdataserializer.writeByte(b);
    packetdataserializer.writeInt(c);
    packetdataserializer.b(Block.b(block));
    packetdataserializer.writeByte(data);
  }
  
  public void a(PacketPlayOutListener packetplayoutlistener) {
    packetplayoutlistener.a(this);
  }
  
  public String b() {
    return String.format("type=%d, data=%d, x=%d, y=%d, z=%d", new Object[] { Integer.valueOf(Block.b(block)), Integer.valueOf(data), Integer.valueOf(a), Integer.valueOf(b), Integer.valueOf(c) });
  }
  
  public void handle(PacketListener packetlistener) {
    a((PacketPlayOutListener)packetlistener);
  }
}
