package net.minecraft.server.v1_7_R1;

import java.util.List;
import net.minecraft.util.io.netty.buffer.ByteBuf;
import net.minecraft.util.io.netty.buffer.Unpooled;
import net.minecraft.util.io.netty.channel.ChannelHandlerContext;
import net.minecraft.util.io.netty.handler.codec.ByteToMessageDecoder;
import net.minecraft.util.io.netty.handler.codec.CorruptedFrameException;

public class PacketSplitter extends ByteToMessageDecoder
{
  protected void decode(ChannelHandlerContext paramChannelHandlerContext, ByteBuf paramByteBuf, List paramList)
  {
    paramByteBuf.markReaderIndex();
    
    byte[] arrayOfByte = new byte[3];
    for (int i = 0; i < arrayOfByte.length; i++) {
      if (!paramByteBuf.isReadable()) {
        paramByteBuf.resetReaderIndex();
        return;
      }
      
      arrayOfByte[i] = paramByteBuf.readByte();
      if (arrayOfByte[i] >= 0) {
        int j = new PacketDataSerializer(Unpooled.wrappedBuffer(arrayOfByte)).a();
        
        if (paramByteBuf.readableBytes() < j) {
          paramByteBuf.resetReaderIndex();
          return;
        }
        paramList.add(paramByteBuf.readBytes(j));
        return;
      }
    }
    

    throw new CorruptedFrameException("length wider than 21-bit");
  }
}
