package net.minecraft.server.v1_7_R1;

import java.util.Comparator;

public class PlayerDistanceComparator
  implements Comparator
{
  private final ChunkCoordinates a;
  
  public PlayerDistanceComparator(ChunkCoordinates paramChunkCoordinates)
  {
    a = paramChunkCoordinates;
  }
  
  public int a(EntityPlayer paramEntityPlayer1, EntityPlayer paramEntityPlayer2)
  {
    double d1 = paramEntityPlayer1.e(a.x, a.y, a.z);
    double d2 = paramEntityPlayer2.e(a.x, a.y, a.z);
    
    if (d1 < d2)
      return -1;
    if (d1 > d2) {
      return 1;
    }
    return 0;
  }
}
