package net.minecraft.server.v1_7_R1;

import org.bukkit.craftbukkit.v1_7_R1.command.CraftBlockCommandSender;

public class TileEntityCommandListener extends CommandBlockListenerAbstract {
  final TileEntityCommand a;
  
  TileEntityCommandListener(TileEntityCommand tileentitycommand) {
    a = tileentitycommand;
    sender = new CraftBlockCommandSender(this);
  }
  
  public ChunkCoordinates getChunkCoordinates() {
    return new ChunkCoordinates(a.x, a.y, a.z);
  }
  
  public World getWorld() {
    return a.getWorld();
  }
  
  public void a(String s) {
    super.a(s);
    a.update();
  }
  
  public void e() {
    a.getWorld().notify(a.x, a.y, a.z);
  }
}
