package net.minecraft.server.v1_7_R1;

import java.util.Iterator;

public class WorldManager implements IWorldAccess
{
  private MinecraftServer server;
  public WorldServer world;
  
  public WorldManager(MinecraftServer minecraftserver, WorldServer worldserver) {
    server = minecraftserver;
    world = worldserver;
  }
  
  public void a(String s, double d0, double d1, double d2, double d3, double d4, double d5) {}
  
  public void a(Entity entity) {
    world.getTracker().track(entity);
  }
  
  public void b(Entity entity) {
    world.getTracker().untrackEntity(entity);
  }
  
  public void a(String s, double d0, double d1, double d2, float f, float f1)
  {
    server.getPlayerList().sendPacketNearby(d0, d1, d2, f > 1.0F ? 16.0F * f : 16.0D, world.dimension, new PacketPlayOutNamedSoundEffect(s, d0, d1, d2, f, f1));
  }
  
  public void a(EntityHuman entityhuman, String s, double d0, double d1, double d2, float f, float f1)
  {
    server.getPlayerList().sendPacketNearby(entityhuman, d0, d1, d2, f > 1.0F ? 16.0F * f : 16.0D, world.dimension, new PacketPlayOutNamedSoundEffect(s, d0, d1, d2, f, f1));
  }
  
  public void a(int i, int j, int k, int l, int i1, int j1) {}
  
  public void a(int i, int j, int k) {
    world.getPlayerChunkMap().flagDirty(i, j, k);
  }
  
  public void b(int i, int j, int k) {}
  
  public void a(String s, int i, int j, int k) {}
  
  public void a(EntityHuman entityhuman, int i, int j, int k, int l, int i1)
  {
    server.getPlayerList().sendPacketNearby(entityhuman, j, k, l, 64.0D, world.dimension, new PacketPlayOutWorldEvent(i, j, k, l, i1, false));
  }
  
  public void a(int i, int j, int k, int l, int i1) {
    server.getPlayerList().sendAll(new PacketPlayOutWorldEvent(i, j, k, l, i1, true));
  }
  
  public void b(int i, int j, int k, int l, int i1) {
    Iterator iterator = server.getPlayerList().players.iterator();
    
    while (iterator.hasNext()) {
      EntityPlayer entityplayer = (EntityPlayer)iterator.next();
      
      if ((entityplayer != null) && (world == world) && (entityplayer.getId() != i)) {
        double d0 = j - locX;
        double d1 = k - locY;
        double d2 = l - locZ;
        
        if (d0 * d0 + d1 * d1 + d2 * d2 < 1024.0D) {
          playerConnection.sendPacket(new PacketPlayOutBlockBreakAnimation(i, j, k, l, i1));
        }
      }
    }
  }
  
  public void b() {}
}
