package net.minecraft.util.com.google.common.collect;

import java.util.List;
import javax.annotation.Nullable;
import net.minecraft.util.com.google.common.annotations.GwtCompatible;





























@GwtCompatible
public abstract class ForwardingListMultimap<K, V>
  extends ForwardingMultimap<K, V>
  implements ListMultimap<K, V>
{
  protected abstract ListMultimap<K, V> delegate();
  
  public List<V> get(@Nullable K key)
  {
    return delegate().get(key);
  }
  
  public List<V> removeAll(@Nullable Object key) {
    return delegate().removeAll(key);
  }
  
  public List<V> replaceValues(K key, Iterable<? extends V> values) {
    return delegate().replaceValues(key, values);
  }
}
