package net.minecraft.util.com.google.common.collect;

import java.util.Comparator;
import java.util.Iterator;
import net.minecraft.util.com.google.common.annotations.GwtCompatible;

@GwtCompatible
abstract interface SortedIterable<T>
  extends Iterable<T>
{
  public abstract Comparator<? super T> comparator();
  
  public abstract Iterator<T> iterator();
}
