package net.minecraft.util.com.google.common.reflect;

import java.lang.reflect.ParameterizedType;
import java.lang.reflect.Type;
import net.minecraft.util.com.google.common.base.Preconditions;























abstract class TypeCapture<T>
{
  final Type capture()
  {
    Type superclass = getClass().getGenericSuperclass();
    Preconditions.checkArgument(superclass instanceof ParameterizedType, "%s isn't parameterized", new Object[] { superclass });
    
    return ((ParameterizedType)superclass).getActualTypeArguments()[0];
  }
}
