package net.minecraft.util.com.mojang.authlib.yggdrasil.request;

import net.minecraft.util.com.mojang.authlib.yggdrasil.YggdrasilUserAuthentication;

public class RefreshRequest
{
  private String clientToken;
  private String accessToken;
  private net.minecraft.util.com.mojang.authlib.GameProfile selectedProfile;
  
  public RefreshRequest(YggdrasilUserAuthentication authenticationService) {
    this(authenticationService, null);
  }
  
  public RefreshRequest(YggdrasilUserAuthentication authenticationService, net.minecraft.util.com.mojang.authlib.GameProfile profile) {
    clientToken = authenticationService.getAuthenticationService().getClientToken();
    accessToken = authenticationService.getAuthenticatedToken();
    selectedProfile = profile;
  }
}
