package net.minecraft.util.gnu.trove;

import java.util.List;
import java.util.Map;
import java.util.Set;
import net.minecraft.util.gnu.trove.list.TByteList;
import net.minecraft.util.gnu.trove.list.TDoubleList;
import net.minecraft.util.gnu.trove.list.TFloatList;
import net.minecraft.util.gnu.trove.list.TLongList;
import net.minecraft.util.gnu.trove.list.TShortList;
import net.minecraft.util.gnu.trove.map.TByteByteMap;
import net.minecraft.util.gnu.trove.map.TByteCharMap;
import net.minecraft.util.gnu.trove.map.TByteDoubleMap;
import net.minecraft.util.gnu.trove.map.TByteFloatMap;
import net.minecraft.util.gnu.trove.map.TByteLongMap;
import net.minecraft.util.gnu.trove.map.TByteShortMap;
import net.minecraft.util.gnu.trove.map.TCharByteMap;
import net.minecraft.util.gnu.trove.map.TCharCharMap;
import net.minecraft.util.gnu.trove.map.TCharIntMap;
import net.minecraft.util.gnu.trove.map.TCharLongMap;
import net.minecraft.util.gnu.trove.map.TCharObjectMap;
import net.minecraft.util.gnu.trove.map.TDoubleByteMap;
import net.minecraft.util.gnu.trove.map.TDoubleDoubleMap;
import net.minecraft.util.gnu.trove.map.TFloatByteMap;
import net.minecraft.util.gnu.trove.map.TFloatCharMap;
import net.minecraft.util.gnu.trove.map.TFloatDoubleMap;
import net.minecraft.util.gnu.trove.map.TFloatIntMap;
import net.minecraft.util.gnu.trove.map.TFloatLongMap;
import net.minecraft.util.gnu.trove.map.TIntIntMap;
import net.minecraft.util.gnu.trove.map.TIntShortMap;
import net.minecraft.util.gnu.trove.map.TLongByteMap;
import net.minecraft.util.gnu.trove.map.TLongCharMap;
import net.minecraft.util.gnu.trove.map.TLongFloatMap;
import net.minecraft.util.gnu.trove.map.TLongLongMap;
import net.minecraft.util.gnu.trove.map.TLongShortMap;
import net.minecraft.util.gnu.trove.map.TObjectCharMap;
import net.minecraft.util.gnu.trove.map.TObjectFloatMap;
import net.minecraft.util.gnu.trove.map.TObjectIntMap;
import net.minecraft.util.gnu.trove.map.TObjectShortMap;
import net.minecraft.util.gnu.trove.map.TShortByteMap;
import net.minecraft.util.gnu.trove.map.TShortCharMap;
import net.minecraft.util.gnu.trove.map.TShortFloatMap;
import net.minecraft.util.gnu.trove.map.TShortLongMap;
import net.minecraft.util.gnu.trove.map.TShortShortMap;
import net.minecraft.util.gnu.trove.set.TByteSet;
import net.minecraft.util.gnu.trove.set.TDoubleSet;
import net.minecraft.util.gnu.trove.set.TFloatSet;
import net.minecraft.util.gnu.trove.set.TShortSet;

public class TDecorators
{
  public static Map<Double, Double> wrap(TDoubleDoubleMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TDoubleDoubleMapDecorator(map);
  }
  






  public static Map<Double, Float> wrap(net.minecraft.util.gnu.trove.map.TDoubleFloatMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TDoubleFloatMapDecorator(map);
  }
  






  public static Map<Double, Integer> wrap(net.minecraft.util.gnu.trove.map.TDoubleIntMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TDoubleIntMapDecorator(map);
  }
  






  public static Map<Double, Long> wrap(net.minecraft.util.gnu.trove.map.TDoubleLongMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TDoubleLongMapDecorator(map);
  }
  






  public static Map<Double, Byte> wrap(TDoubleByteMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TDoubleByteMapDecorator(map);
  }
  






  public static Map<Double, Short> wrap(net.minecraft.util.gnu.trove.map.TDoubleShortMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TDoubleShortMapDecorator(map);
  }
  






  public static Map<Double, Character> wrap(net.minecraft.util.gnu.trove.map.TDoubleCharMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TDoubleCharMapDecorator(map);
  }
  






  public static Map<Float, Double> wrap(TFloatDoubleMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TFloatDoubleMapDecorator(map);
  }
  






  public static Map<Float, Float> wrap(net.minecraft.util.gnu.trove.map.TFloatFloatMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TFloatFloatMapDecorator(map);
  }
  






  public static Map<Float, Integer> wrap(TFloatIntMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TFloatIntMapDecorator(map);
  }
  






  public static Map<Float, Long> wrap(TFloatLongMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TFloatLongMapDecorator(map);
  }
  






  public static Map<Float, Byte> wrap(TFloatByteMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TFloatByteMapDecorator(map);
  }
  






  public static Map<Float, Short> wrap(net.minecraft.util.gnu.trove.map.TFloatShortMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TFloatShortMapDecorator(map);
  }
  






  public static Map<Float, Character> wrap(TFloatCharMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TFloatCharMapDecorator(map);
  }
  






  public static Map<Integer, Double> wrap(net.minecraft.util.gnu.trove.map.TIntDoubleMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TIntDoubleMapDecorator(map);
  }
  






  public static Map<Integer, Float> wrap(net.minecraft.util.gnu.trove.map.TIntFloatMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TIntFloatMapDecorator(map);
  }
  






  public static Map<Integer, Integer> wrap(TIntIntMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TIntIntMapDecorator(map);
  }
  






  public static Map<Integer, Long> wrap(net.minecraft.util.gnu.trove.map.TIntLongMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TIntLongMapDecorator(map);
  }
  






  public static Map<Integer, Byte> wrap(net.minecraft.util.gnu.trove.map.TIntByteMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TIntByteMapDecorator(map);
  }
  






  public static Map<Integer, Short> wrap(TIntShortMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TIntShortMapDecorator(map);
  }
  






  public static Map<Integer, Character> wrap(net.minecraft.util.gnu.trove.map.TIntCharMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TIntCharMapDecorator(map);
  }
  






  public static Map<Long, Double> wrap(net.minecraft.util.gnu.trove.map.TLongDoubleMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TLongDoubleMapDecorator(map);
  }
  






  public static Map<Long, Float> wrap(TLongFloatMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TLongFloatMapDecorator(map);
  }
  






  public static Map<Long, Integer> wrap(net.minecraft.util.gnu.trove.map.TLongIntMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TLongIntMapDecorator(map);
  }
  






  public static Map<Long, Long> wrap(TLongLongMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TLongLongMapDecorator(map);
  }
  






  public static Map<Long, Byte> wrap(TLongByteMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TLongByteMapDecorator(map);
  }
  






  public static Map<Long, Short> wrap(TLongShortMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TLongShortMapDecorator(map);
  }
  






  public static Map<Long, Character> wrap(TLongCharMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TLongCharMapDecorator(map);
  }
  






  public static Map<Byte, Double> wrap(TByteDoubleMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TByteDoubleMapDecorator(map);
  }
  






  public static Map<Byte, Float> wrap(TByteFloatMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TByteFloatMapDecorator(map);
  }
  






  public static Map<Byte, Integer> wrap(net.minecraft.util.gnu.trove.map.TByteIntMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TByteIntMapDecorator(map);
  }
  






  public static Map<Byte, Long> wrap(TByteLongMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TByteLongMapDecorator(map);
  }
  






  public static Map<Byte, Byte> wrap(TByteByteMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TByteByteMapDecorator(map);
  }
  






  public static Map<Byte, Short> wrap(TByteShortMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TByteShortMapDecorator(map);
  }
  






  public static Map<Byte, Character> wrap(TByteCharMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TByteCharMapDecorator(map);
  }
  






  public static Map<Short, Double> wrap(net.minecraft.util.gnu.trove.map.TShortDoubleMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TShortDoubleMapDecorator(map);
  }
  






  public static Map<Short, Float> wrap(TShortFloatMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TShortFloatMapDecorator(map);
  }
  






  public static Map<Short, Integer> wrap(net.minecraft.util.gnu.trove.map.TShortIntMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TShortIntMapDecorator(map);
  }
  






  public static Map<Short, Long> wrap(TShortLongMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TShortLongMapDecorator(map);
  }
  






  public static Map<Short, Byte> wrap(TShortByteMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TShortByteMapDecorator(map);
  }
  






  public static Map<Short, Short> wrap(TShortShortMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TShortShortMapDecorator(map);
  }
  






  public static Map<Short, Character> wrap(TShortCharMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TShortCharMapDecorator(map);
  }
  






  public static Map<Character, Double> wrap(net.minecraft.util.gnu.trove.map.TCharDoubleMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TCharDoubleMapDecorator(map);
  }
  






  public static Map<Character, Float> wrap(net.minecraft.util.gnu.trove.map.TCharFloatMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TCharFloatMapDecorator(map);
  }
  






  public static Map<Character, Integer> wrap(TCharIntMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TCharIntMapDecorator(map);
  }
  






  public static Map<Character, Long> wrap(TCharLongMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TCharLongMapDecorator(map);
  }
  






  public static Map<Character, Byte> wrap(TCharByteMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TCharByteMapDecorator(map);
  }
  






  public static Map<Character, Short> wrap(net.minecraft.util.gnu.trove.map.TCharShortMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TCharShortMapDecorator(map);
  }
  






  public static Map<Character, Character> wrap(TCharCharMap map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TCharCharMapDecorator(map);
  }
  







  public static <T> Map<T, Double> wrap(net.minecraft.util.gnu.trove.map.TObjectDoubleMap<T> map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TObjectDoubleMapDecorator(map);
  }
  






  public static <T> Map<T, Float> wrap(TObjectFloatMap<T> map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TObjectFloatMapDecorator(map);
  }
  






  public static <T> Map<T, Integer> wrap(TObjectIntMap<T> map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TObjectIntMapDecorator(map);
  }
  






  public static <T> Map<T, Long> wrap(net.minecraft.util.gnu.trove.map.TObjectLongMap<T> map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TObjectLongMapDecorator(map);
  }
  






  public static <T> Map<T, Byte> wrap(net.minecraft.util.gnu.trove.map.TObjectByteMap<T> map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TObjectByteMapDecorator(map);
  }
  






  public static <T> Map<T, Short> wrap(TObjectShortMap<T> map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TObjectShortMapDecorator(map);
  }
  






  public static <T> Map<T, Character> wrap(TObjectCharMap<T> map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TObjectCharMapDecorator(map);
  }
  







  public static <T> Map<Double, T> wrap(net.minecraft.util.gnu.trove.map.TDoubleObjectMap<T> map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TDoubleObjectMapDecorator(map);
  }
  






  public static <T> Map<Float, T> wrap(net.minecraft.util.gnu.trove.map.TFloatObjectMap<T> map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TFloatObjectMapDecorator(map);
  }
  






  public static <T> Map<Integer, T> wrap(net.minecraft.util.gnu.trove.map.TIntObjectMap<T> map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TIntObjectMapDecorator(map);
  }
  






  public static <T> Map<Long, T> wrap(net.minecraft.util.gnu.trove.map.TLongObjectMap<T> map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TLongObjectMapDecorator(map);
  }
  






  public static <T> Map<Byte, T> wrap(net.minecraft.util.gnu.trove.map.TByteObjectMap<T> map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TByteObjectMapDecorator(map);
  }
  






  public static <T> Map<Short, T> wrap(net.minecraft.util.gnu.trove.map.TShortObjectMap<T> map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TShortObjectMapDecorator(map);
  }
  






  public static <T> Map<Character, T> wrap(TCharObjectMap<T> map)
  {
    return new net.minecraft.util.gnu.trove.decorator.TCharObjectMapDecorator(map);
  }
  







  public static Set<Double> wrap(TDoubleSet set)
  {
    return new net.minecraft.util.gnu.trove.decorator.TDoubleSetDecorator(set);
  }
  






  public static Set<Float> wrap(TFloatSet set)
  {
    return new net.minecraft.util.gnu.trove.decorator.TFloatSetDecorator(set);
  }
  






  public static Set<Integer> wrap(net.minecraft.util.gnu.trove.set.TIntSet set)
  {
    return new net.minecraft.util.gnu.trove.decorator.TIntSetDecorator(set);
  }
  






  public static Set<Long> wrap(net.minecraft.util.gnu.trove.set.TLongSet set)
  {
    return new net.minecraft.util.gnu.trove.decorator.TLongSetDecorator(set);
  }
  






  public static Set<Byte> wrap(TByteSet set)
  {
    return new net.minecraft.util.gnu.trove.decorator.TByteSetDecorator(set);
  }
  






  public static Set<Short> wrap(TShortSet set)
  {
    return new net.minecraft.util.gnu.trove.decorator.TShortSetDecorator(set);
  }
  






  public static Set<Character> wrap(net.minecraft.util.gnu.trove.set.TCharSet set)
  {
    return new net.minecraft.util.gnu.trove.decorator.TCharSetDecorator(set);
  }
  







  public static List<Double> wrap(TDoubleList list)
  {
    return new net.minecraft.util.gnu.trove.decorator.TDoubleListDecorator(list);
  }
  






  public static List<Float> wrap(TFloatList list)
  {
    return new net.minecraft.util.gnu.trove.decorator.TFloatListDecorator(list);
  }
  






  public static List<Integer> wrap(net.minecraft.util.gnu.trove.list.TIntList list)
  {
    return new net.minecraft.util.gnu.trove.decorator.TIntListDecorator(list);
  }
  






  public static List<Long> wrap(TLongList list)
  {
    return new net.minecraft.util.gnu.trove.decorator.TLongListDecorator(list);
  }
  






  public static List<Byte> wrap(TByteList list)
  {
    return new net.minecraft.util.gnu.trove.decorator.TByteListDecorator(list);
  }
  






  public static List<Short> wrap(TShortList list)
  {
    return new net.minecraft.util.gnu.trove.decorator.TShortListDecorator(list);
  }
  






  public static List<Character> wrap(net.minecraft.util.gnu.trove.list.TCharList list)
  {
    return new net.minecraft.util.gnu.trove.decorator.TCharListDecorator(list);
  }
}
