package net.minecraft.util.gnu.trove.impl.sync;

import java.util.RandomAccess;
import net.minecraft.util.gnu.trove.list.TIntList;













































public class TSynchronizedRandomAccessIntList
  extends TSynchronizedIntList
  implements RandomAccess
{
  static final long serialVersionUID = 1530674583602358482L;
  
  public TSynchronizedRandomAccessIntList(TIntList list)
  {
    super(list);
  }
  
  public TSynchronizedRandomAccessIntList(TIntList list, Object mutex) {
    super(list, mutex);
  }
  
  public TIntList subList(int fromIndex, int toIndex) {
    synchronized (mutex) {
      return new TSynchronizedRandomAccessIntList(list.subList(fromIndex, toIndex), mutex);
    }
  }
  






  private Object writeReplace()
  {
    return new TSynchronizedIntList(list);
  }
}
