package net.minecraft.util.io.netty.channel;

import java.net.SocketAddress;
import net.minecraft.util.io.netty.util.ReferenceCounted;

public abstract interface AddressedEnvelope<M, A extends SocketAddress>
  extends ReferenceCounted
{
  public abstract M content();
  
  public abstract A sender();
  
  public abstract A recipient();
}
