package net.minecraft.util.io.netty.channel;












public abstract class ChannelHandlerAdapter
  implements ChannelHandler
{
  boolean added;
  











  public boolean isSharable()
  {
    return getClass().isAnnotationPresent(ChannelHandler.Sharable.class);
  }
  





  public void handlerAdded(ChannelHandlerContext ctx)
    throws Exception
  {}
  





  public void handlerRemoved(ChannelHandlerContext ctx)
    throws Exception
  {}
  




  @Deprecated
  public void exceptionCaught(ChannelHandlerContext ctx, Throwable cause)
    throws Exception
  {
    ctx.fireExceptionCaught(cause);
  }
}
