package net.minecraft.util.io.netty.channel.local;

import java.util.concurrent.ThreadFactory;
import net.minecraft.util.io.netty.channel.SingleThreadEventLoop;















final class LocalEventLoop
  extends SingleThreadEventLoop
{
  LocalEventLoop(LocalEventLoopGroup parent, ThreadFactory threadFactory)
  {
    super(parent, threadFactory, true);
  }
  
  protected void run()
  {
    for (;;) {
      Runnable task = takeTask();
      if (task != null) {
        task.run();
        updateLastExecutionTime();
      }
      
      if (confirmShutdown()) {
        break;
      }
    }
  }
}
