package net.minecraft.util.io.netty.channel.local;

import java.util.concurrent.ThreadFactory;
import net.minecraft.util.io.netty.channel.MultithreadEventLoopGroup;
import net.minecraft.util.io.netty.util.concurrent.EventExecutor;





















public class LocalEventLoopGroup
  extends MultithreadEventLoopGroup
{
  public LocalEventLoopGroup()
  {
    this(0);
  }
  




  public LocalEventLoopGroup(int nThreads)
  {
    this(nThreads, null);
  }
  





  public LocalEventLoopGroup(int nThreads, ThreadFactory threadFactory)
  {
    super(nThreads, threadFactory, new Object[0]);
  }
  
  protected EventExecutor newChild(ThreadFactory threadFactory, Object... args)
    throws Exception
  {
    return new LocalEventLoop(this, threadFactory);
  }
}
