package net.minecraft.util.io.netty.channel.udt;

import net.minecraft.util.io.netty.buffer.ByteBuf;
import net.minecraft.util.io.netty.buffer.DefaultByteBufHolder;





















public final class UdtMessage
  extends DefaultByteBufHolder
{
  public UdtMessage(ByteBuf data)
  {
    super(data);
  }
  
  public UdtMessage copy()
  {
    return new UdtMessage(content().copy());
  }
  
  public UdtMessage duplicate()
  {
    return new UdtMessage(content().duplicate());
  }
  
  public UdtMessage retain()
  {
    super.retain();
    return this;
  }
  
  public UdtMessage retain(int increment)
  {
    super.retain(increment);
    return this;
  }
}
