package net.minecraft.util.io.netty.handler.codec.bytes;

import java.util.List;
import net.minecraft.util.io.netty.buffer.ByteBuf;
import net.minecraft.util.io.netty.channel.ChannelHandlerContext;
import net.minecraft.util.io.netty.handler.codec.MessageToMessageDecoder;










































public class ByteArrayDecoder
  extends MessageToMessageDecoder<ByteBuf>
{
  protected void decode(ChannelHandlerContext ctx, ByteBuf msg, List<Object> out)
    throws Exception
  {
    byte[] array = new byte[msg.readableBytes()];
    msg.getBytes(0, array);
    
    out.add(array);
  }
}
