package net.minecraft.util.io.netty.handler.codec.http;

import net.minecraft.util.io.netty.buffer.ByteBuf;





















public class HttpResponseEncoder
  extends HttpObjectEncoder<HttpResponse>
{
  private static final byte[] CRLF = { 13, 10 };
  
  public boolean acceptOutboundMessage(Object msg) throws Exception
  {
    return (super.acceptOutboundMessage(msg)) && (!(msg instanceof HttpRequest));
  }
  
  protected void encodeInitialLine(ByteBuf buf, HttpResponse response) throws Exception
  {
    encodeAscii(response.getProtocolVersion().toString(), buf);
    buf.writeByte(32);
    encodeAscii(String.valueOf(response.getStatus().code()), buf);
    buf.writeByte(32);
    encodeAscii(String.valueOf(response.getStatus().reasonPhrase()), buf);
    buf.writeBytes(CRLF);
  }
}
