package net.minecraft.util.io.netty.handler.codec.rtsp;

import net.minecraft.util.io.netty.handler.codec.http.HttpHeaders;
import net.minecraft.util.io.netty.handler.codec.http.HttpMessage;
import net.minecraft.util.io.netty.handler.codec.http.HttpObjectDecoder;
















































public abstract class RtspObjectDecoder
  extends HttpObjectDecoder
{
  protected RtspObjectDecoder()
  {
    this(4096, 8192, 8192);
  }
  


  protected RtspObjectDecoder(int maxInitialLineLength, int maxHeaderSize, int maxContentLength)
  {
    super(maxInitialLineLength, maxHeaderSize, maxContentLength * 2, false);
  }
  


  protected boolean isContentAlwaysEmpty(HttpMessage msg)
  {
    boolean empty = super.isContentAlwaysEmpty(msg);
    if (empty) {
      return true;
    }
    if (!msg.headers().contains("Content-Length")) {
      return true;
    }
    return empty;
  }
}
