package net.minecraft.util.io.netty.handler.codec.socks;

import net.minecraft.util.io.netty.buffer.ByteBuf;



















public final class SocksInitResponse
  extends SocksResponse
{
  private final SocksAuthScheme authScheme;
  
  public SocksInitResponse(SocksAuthScheme authScheme)
  {
    super(SocksResponseType.INIT);
    if (authScheme == null) {
      throw new NullPointerException("authScheme");
    }
    this.authScheme = authScheme;
  }
  




  public SocksAuthScheme authScheme()
  {
    return authScheme;
  }
  
  public void encodeAsByteBuf(ByteBuf byteBuf)
  {
    byteBuf.writeByte(protocolVersion().byteValue());
    byteBuf.writeByte(authScheme.byteValue());
  }
}
