package net.minecraft.util.io.netty.handler.timeout;




















public final class IdleStateEvent
{
  public static final IdleStateEvent FIRST_READER_IDLE_STATE_EVENT = new IdleStateEvent(IdleState.READER_IDLE, true);
  public static final IdleStateEvent READER_IDLE_STATE_EVENT = new IdleStateEvent(IdleState.READER_IDLE, false);
  public static final IdleStateEvent FIRST_WRITER_IDLE_STATE_EVENT = new IdleStateEvent(IdleState.WRITER_IDLE, true);
  public static final IdleStateEvent WRITER_IDLE_STATE_EVENT = new IdleStateEvent(IdleState.WRITER_IDLE, false);
  public static final IdleStateEvent FIRST_ALL_IDLE_STATE_EVENT = new IdleStateEvent(IdleState.ALL_IDLE, true);
  public static final IdleStateEvent ALL_IDLE_STATE_EVENT = new IdleStateEvent(IdleState.ALL_IDLE, false);
  private final IdleState state;
  private final boolean first;
  
  private IdleStateEvent(IdleState state, boolean first)
  {
    this.state = state;
    this.first = first;
  }
  


  public IdleState state()
  {
    return state;
  }
  


  public boolean isFirst()
  {
    return first;
  }
}
