package net.minecraft.util.io.netty.handler.traffic;

import net.minecraft.util.io.netty.channel.ChannelHandlerContext;



















































public class ChannelTrafficShapingHandler
  extends AbstractTrafficShapingHandler
{
  public ChannelTrafficShapingHandler(long writeLimit, long readLimit, long checkInterval)
  {
    super(writeLimit, readLimit, checkInterval);
  }
  








  public ChannelTrafficShapingHandler(long writeLimit, long readLimit)
  {
    super(writeLimit, readLimit);
  }
  






  public ChannelTrafficShapingHandler(long checkInterval)
  {
    super(checkInterval);
  }
  
  public void handlerAdded(ChannelHandlerContext ctx) throws Exception
  {
    TrafficCounter trafficCounter = new TrafficCounter(this, ctx.executor(), "ChannelTC" + ctx.channel().hashCode(), checkInterval);
    
    setTrafficCounter(trafficCounter);
    trafficCounter.start();
  }
  
  public void handlerRemoved(ChannelHandlerContext ctx) throws Exception
  {
    if (trafficCounter != null) {
      trafficCounter.stop();
    }
  }
}
