package org.apache.logging.log4j.core.appender;






public class TLSSyslogFrame
{
  public static final char SPACE = ' ';
  




  private String message;
  



  private int messageLengthInBytes;
  




  public TLSSyslogFrame(String message)
  {
    setMessage(message);
  }
  
  public String getMessage() {
    return message;
  }
  
  public void setMessage(String message) {
    this.message = message;
    setLengthInBytes();
  }
  
  private void setLengthInBytes() {
    messageLengthInBytes = message.length();
  }
  
  public byte[] getBytes() {
    String frame = toString();
    return frame.getBytes();
  }
  
  public String toString()
  {
    String length = Integer.toString(messageLengthInBytes);
    return length + ' ' + message;
  }
  
  public boolean equals(Object frame)
  {
    return super.equals(frame);
  }
  
  public boolean equals(TLSSyslogFrame frame) {
    return (isLengthEquals(frame)) && (isMessageEquals(frame));
  }
  
  private boolean isLengthEquals(TLSSyslogFrame frame) {
    return messageLengthInBytes == messageLengthInBytes;
  }
  
  private boolean isMessageEquals(TLSSyslogFrame frame) {
    return message.equals(message);
  }
}
