package org.apache.logging.log4j.core.impl;

import java.io.Serializable;



























public class StackTracePackageElement
  implements Serializable
{
  private static final long serialVersionUID = -2171069569241280505L;
  private final String location;
  private final String version;
  private final boolean isExact;
  
  public StackTracePackageElement(String location, String version, boolean exact)
  {
    this.location = location;
    this.version = version;
    isExact = exact;
  }
  



  public String getLocation()
  {
    return location;
  }
  



  public String getVersion()
  {
    return version;
  }
  



  public boolean isExact()
  {
    return isExact;
  }
  
  public String toString()
  {
    String exact = isExact ? "" : "~";
    return exact + "[" + location + ":" + version + "]";
  }
}
