package org.apache.logging.log4j.core.net.ssl;

import org.apache.logging.log4j.status.StatusLogger;



















public class StoreConfiguration
{
  protected static final StatusLogger LOGGER = ;
  private String location;
  private String password;
  
  public StoreConfiguration(String location, String password)
  {
    this.location = location;
    this.password = password;
  }
  
  public String getLocation() {
    return location;
  }
  
  public void setLocation(String location) {
    this.location = location;
  }
  
  public String getPassword() {
    return password;
  }
  
  public char[] getPasswordAsCharArray() {
    if (password == null) {
      return null;
    }
    return password.toCharArray();
  }
  
  public void setPassword(String password) {
    this.password = password;
  }
  
  public boolean equals(StoreConfiguration config) {
    if (config == null) {
      return false;
    }
    boolean locationEquals = false;
    boolean passwordEquals = false;
    
    if (location != null) {
      locationEquals = location.equals(location);
    } else {
      locationEquals = location == location;
    }
    if (password != null) {
      passwordEquals = password.equals(password);
    } else {
      passwordEquals = password == password;
    }
    return (locationEquals) && (passwordEquals);
  }
  
  protected void load()
    throws StoreConfigurationException
  {}
}
