package org.bukkit;









public enum Rotation
{
  NONE, 
  


  CLOCKWISE, 
  


  FLIPPED, 
  


  COUNTER_CLOCKWISE;
  

  private static final Rotation[] rotations = values();
  

  private Rotation() {}
  

  public Rotation rotateClockwise()
  {
    return rotations[(ordinal() + 1 & 0x3)];
  }
  




  public Rotation rotateCounterClockwise()
  {
    return rotations[(ordinal() - 1 & 0x3)];
  }
}
