package org.bukkit.block;

import java.util.HashMap;
import java.util.Map;




public enum PistonMoveReaction
{
  MOVE(0), 
  


  BREAK(1), 
  


  BLOCK(2);
  
  static {
    byId = new HashMap();
    
    for (PistonMoveReaction reaction : values()) {
      byId.put(Integer.valueOf(id), reaction);
    }
  }
  
  private PistonMoveReaction(int id) {
    this.id = id;
  }
  

  private int id;
  
  @Deprecated
  public int getId()
  {
    return id;
  }
  


  private static Map<Integer, PistonMoveReaction> byId;
  
  @Deprecated
  public static PistonMoveReaction getById(int id)
  {
    return (PistonMoveReaction)byId.get(Integer.valueOf(id));
  }
}
