package org.bukkit.craftbukkit.libs.com.google.gson.internal.bind;

import java.io.IOException;
import java.math.BigDecimal;
import org.bukkit.craftbukkit.libs.com.google.gson.JsonSyntaxException;
import org.bukkit.craftbukkit.libs.com.google.gson.TypeAdapter;
import org.bukkit.craftbukkit.libs.com.google.gson.stream.JsonReader;
import org.bukkit.craftbukkit.libs.com.google.gson.stream.JsonToken;
import org.bukkit.craftbukkit.libs.com.google.gson.stream.JsonWriter;





















public final class BigDecimalTypeAdapter
  extends TypeAdapter<BigDecimal>
{
  public BigDecimal read(JsonReader in)
    throws IOException
  {
    if (in.peek() == JsonToken.NULL) {
      in.nextNull();
      return null;
    }
    try {
      return new BigDecimal(in.nextString());
    } catch (NumberFormatException e) {
      throw new JsonSyntaxException(e);
    }
  }
  
  public void write(JsonWriter out, BigDecimal value) throws IOException
  {
    out.value(value);
  }
}
