package org.bukkit.craftbukkit.v1_7_R1;

import net.minecraft.server.v1_7_R1.EnumArt;
import org.bukkit.Art;

public class CraftArt
{
  public static Art NotchToBukkit(EnumArt art)
  {
    switch (1.$SwitchMap$net$minecraft$server$EnumArt[art.ordinal()]) {
    case 1:  return Art.KEBAB;
    case 2:  return Art.AZTEC;
    case 3:  return Art.ALBAN;
    case 4:  return Art.AZTEC2;
    case 5:  return Art.BOMB;
    case 6:  return Art.PLANT;
    case 7:  return Art.WASTELAND;
    case 8:  return Art.POOL;
    case 9:  return Art.COURBET;
    case 10:  return Art.SEA;
    case 11:  return Art.SUNSET;
    case 12:  return Art.CREEBET;
    case 13:  return Art.WANDERER;
    case 14:  return Art.GRAHAM;
    case 15:  return Art.MATCH;
    case 16:  return Art.BUST;
    case 17:  return Art.STAGE;
    case 18:  return Art.VOID;
    case 19:  return Art.SKULL_AND_ROSES;
    case 20:  return Art.FIGHTERS;
    case 21:  return Art.POINTER;
    case 22:  return Art.PIGSCENE;
    case 23:  return Art.BURNINGSKULL;
    case 24:  return Art.SKELETON;
    case 25:  return Art.DONKEYKONG;
    case 26:  return Art.WITHER;
    }
    throw new AssertionError(art);
  }
  
  public static EnumArt BukkitToNotch(Art art)
  {
    switch (1.$SwitchMap$org$bukkit$Art[art.ordinal()]) {
    case 1:  return EnumArt.KEBAB;
    case 2:  return EnumArt.AZTEC;
    case 3:  return EnumArt.ALBAN;
    case 4:  return EnumArt.AZTEC2;
    case 5:  return EnumArt.BOMB;
    case 6:  return EnumArt.PLANT;
    case 7:  return EnumArt.WASTELAND;
    case 8:  return EnumArt.POOL;
    case 9:  return EnumArt.COURBET;
    case 10:  return EnumArt.SEA;
    case 11:  return EnumArt.SUNSET;
    case 12:  return EnumArt.CREEBET;
    case 13:  return EnumArt.WANDERER;
    case 14:  return EnumArt.GRAHAM;
    case 15:  return EnumArt.MATCH;
    case 16:  return EnumArt.BUST;
    case 17:  return EnumArt.STAGE;
    case 18:  return EnumArt.VOID;
    case 19:  return EnumArt.SKULL_AND_ROSES;
    case 20:  return EnumArt.FIGHTERS;
    case 21:  return EnumArt.POINTER;
    case 22:  return EnumArt.PIGSCENE;
    case 23:  return EnumArt.BURNINGSKULL;
    case 24:  return EnumArt.SKELETON;
    case 25:  return EnumArt.DONKEYKONG;
    case 26:  return EnumArt.WITHER;
    }
    throw new AssertionError(art);
  }
}
