package org.bukkit.craftbukkit.v1_7_R1;

import org.apache.commons.lang.Validate;
import org.bukkit.Effect;
import org.bukkit.Material;

public class CraftEffect
{
  public static <T> int getDataValue(Effect effect, T data)
  {
    int datavalue;
    switch (1.$SwitchMap$org$bukkit$Effect[effect.ordinal()]) {
    case 1: 
      datavalue = ((org.bukkit.potion.Potion)data).toDamageValue() & 0x3F;
      break;
    case 2: 
      Validate.isTrue(((Material)data).isRecord(), "Invalid record type!");
      datavalue = ((Material)data).getId();
      break;
    case 3: 
      switch (1.$SwitchMap$org$bukkit$block$BlockFace[((org.bukkit.block.BlockFace)data).ordinal()]) {
      case 1: 
        datavalue = 0;
        break;
      case 2: 
        datavalue = 1;
        break;
      case 3: 
        datavalue = 2;
        break;
      case 4: 
        datavalue = 3;
        break;
      case 5: 
      case 6: 
        datavalue = 4;
        break;
      case 7: 
        datavalue = 5;
        break;
      case 8: 
        datavalue = 6;
        break;
      case 9: 
        datavalue = 7;
        break;
      case 10: 
        datavalue = 8;
        break;
      default: 
        throw new IllegalArgumentException("Bad smoke direction!");
      }
      break;
    case 4: 
      Validate.isTrue(((Material)data).isBlock(), "Material is not a block!");
      datavalue = ((Material)data).getId();
      break;
    default: 
      datavalue = 0;
    }
    return datavalue;
  }
}
