package org.bukkit.craftbukkit.v1_7_R1.block;

import net.minecraft.server.v1_7_R1.CommandBlockListenerAbstract;
import net.minecraft.server.v1_7_R1.TileEntityCommand;

public class CraftCommandBlock extends CraftBlockState implements org.bukkit.block.CommandBlock
{
  private final TileEntityCommand commandBlock;
  private String command;
  private String name;
  
  public CraftCommandBlock(org.bukkit.block.Block block)
  {
    super(block);
    
    org.bukkit.craftbukkit.v1_7_R1.CraftWorld world = (org.bukkit.craftbukkit.v1_7_R1.CraftWorld)block.getWorld();
    commandBlock = ((TileEntityCommand)world.getTileEntityAt(getX(), getY(), getZ()));
    command = commandBlock.a().e;
    name = commandBlock.a().getName();
  }
  
  public String getCommand() {
    return command;
  }
  
  public void setCommand(String command) {
    this.command = (command != null ? command : "");
  }
  
  public String getName() {
    return name;
  }
  
  public void setName(String name) {
    this.name = (name != null ? name : "@");
  }
  
  public boolean update(boolean force, boolean applyPhysics) {
    boolean result = super.update(force, applyPhysics);
    
    if (result) {
      commandBlock.a().a(command);
      commandBlock.a().b(name);
    }
    
    return result;
  }
}
