package org.bukkit.craftbukkit.v1_7_R1.block;

import net.minecraft.server.v1_7_R1.TileEntityHopper;
import org.bukkit.block.Block;
import org.bukkit.craftbukkit.v1_7_R1.CraftWorld;
import org.bukkit.inventory.Inventory;

public class CraftHopper extends CraftBlockState implements org.bukkit.block.Hopper
{
  private final TileEntityHopper hopper;
  
  public CraftHopper(Block block)
  {
    super(block);
    
    hopper = ((TileEntityHopper)((CraftWorld)block.getWorld()).getTileEntityAt(getX(), getY(), getZ()));
  }
  
  public Inventory getInventory() {
    return new org.bukkit.craftbukkit.v1_7_R1.inventory.CraftInventory(hopper);
  }
  
  public boolean update(boolean force, boolean applyPhysics)
  {
    boolean result = super.update(force, applyPhysics);
    
    if (result) {
      hopper.update();
    }
    
    return result;
  }
}
