package org.bukkit.craftbukkit.v1_7_R1.entity;

import net.minecraft.server.v1_7_R1.EntityComplexPart;
import net.minecraft.server.v1_7_R1.EntityEnderDragon;
import org.bukkit.entity.ComplexLivingEntity;
import org.bukkit.entity.EntityType;
import org.bukkit.event.entity.EntityDamageEvent;

public class CraftComplexPart extends CraftEntity implements org.bukkit.entity.ComplexEntityPart
{
  public CraftComplexPart(org.bukkit.craftbukkit.v1_7_R1.CraftServer server, EntityComplexPart entity)
  {
    super(server, entity);
  }
  
  public ComplexLivingEntity getParent() {
    return (ComplexLivingEntity)((EntityEnderDragon)getHandle()owner).getBukkitEntity();
  }
  
  public void setLastDamageCause(EntityDamageEvent cause)
  {
    getParent().setLastDamageCause(cause);
  }
  
  public EntityDamageEvent getLastDamageCause()
  {
    return getParent().getLastDamageCause();
  }
  
  public EntityComplexPart getHandle()
  {
    return (EntityComplexPart)entity;
  }
  
  public String toString()
  {
    return "CraftComplexPart";
  }
  
  public EntityType getType() {
    return EntityType.COMPLEX_PART;
  }
}
