package org.bukkit.craftbukkit.v1_7_R1.entity;

import net.minecraft.server.v1_7_R1.EntityCreature;
import org.bukkit.craftbukkit.v1_7_R1.CraftServer;
import org.bukkit.entity.LivingEntity;

public class CraftCreature extends CraftLivingEntity implements org.bukkit.entity.Creature
{
  public CraftCreature(CraftServer server, EntityCreature entity)
  {
    super(server, entity);
  }
  
  public void setTarget(LivingEntity target) {
    EntityCreature entity = getHandle();
    if (target == null) {
      target = null;
    } else if ((target instanceof CraftLivingEntity)) {
      target = ((CraftLivingEntity)target).getHandle();
      pathEntity = world.findPath(entity, target, 16.0F, true, false, false, true);
    }
  }
  
  public CraftLivingEntity getTarget() {
    if (getHandle()target == null) return null;
    if (!(getHandle()target instanceof net.minecraft.server.v1_7_R1.EntityLiving)) { return null;
    }
    return (CraftLivingEntity)getHandle()target.getBukkitEntity();
  }
  
  public EntityCreature getHandle()
  {
    return (EntityCreature)entity;
  }
  
  public String toString()
  {
    return "CraftCreature";
  }
}
