package org.bukkit.craftbukkit.v1_7_R1.entity;

import net.minecraft.server.v1_7_R1.EntityEnderSignal;
import org.bukkit.entity.EntityType;

public class CraftEnderSignal extends CraftEntity implements org.bukkit.entity.EnderSignal
{
  public CraftEnderSignal(org.bukkit.craftbukkit.v1_7_R1.CraftServer server, EntityEnderSignal entity)
  {
    super(server, entity);
  }
  
  public EntityEnderSignal getHandle()
  {
    return (EntityEnderSignal)entity;
  }
  
  public String toString()
  {
    return "CraftEnderSignal";
  }
  
  public EntityType getType() {
    return EntityType.ENDER_SIGNAL;
  }
}
