package org.bukkit.craftbukkit.v1_7_R1.entity;

import net.minecraft.server.v1_7_R1.EntityGhast;
import org.bukkit.craftbukkit.v1_7_R1.CraftServer;
import org.bukkit.entity.EntityType;
import org.bukkit.entity.Ghast;

public class CraftGhast extends CraftFlying implements Ghast
{
  public CraftGhast(CraftServer server, EntityGhast entity)
  {
    super(server, entity);
  }
  
  public EntityGhast getHandle()
  {
    return (EntityGhast)entity;
  }
  
  public String toString()
  {
    return "CraftGhast";
  }
  
  public EntityType getType() {
    return EntityType.GHAST;
  }
}
