package org.bukkit.craftbukkit.v1_7_R1.entity;

import java.util.Set;
import net.minecraft.server.v1_7_R1.CommandBlockListenerAbstract;
import net.minecraft.server.v1_7_R1.EntityMinecartCommandBlock;
import org.bukkit.Bukkit;
import org.bukkit.Server;
import org.bukkit.craftbukkit.v1_7_R1.CraftServer;
import org.bukkit.entity.EntityType;
import org.bukkit.entity.minecart.CommandMinecart;
import org.bukkit.permissions.PermissibleBase;
import org.bukkit.permissions.Permission;
import org.bukkit.permissions.PermissionAttachment;
import org.bukkit.permissions.PermissionAttachmentInfo;
import org.bukkit.plugin.Plugin;

public class CraftMinecartCommand extends CraftMinecart implements CommandMinecart
{
  private final PermissibleBase perm = new PermissibleBase(this);
  
  public CraftMinecartCommand(CraftServer server, EntityMinecartCommandBlock entity) {
    super(server, entity);
  }
  
  public String getCommand()
  {
    return getHandle()e()e;
  }
  
  public void setCommand(String command)
  {
    ((EntityMinecartCommandBlock)getHandle()).e().a(command != null ? command : "");
  }
  
  public void setName(String name)
  {
    ((EntityMinecartCommandBlock)getHandle()).e().b(name != null ? name : "@");
  }
  
  public EntityType getType()
  {
    return EntityType.MINECART_COMMAND;
  }
  


  public void sendMessage(String message) {}
  

  public void sendMessage(String[] messages) {}
  

  public String getName()
  {
    return ((EntityMinecartCommandBlock)getHandle()).e().getName();
  }
  
  public boolean isOp()
  {
    return true;
  }
  
  public void setOp(boolean value)
  {
    throw new UnsupportedOperationException("Cannot change operator status of a minecart");
  }
  
  public boolean isPermissionSet(String name)
  {
    return perm.isPermissionSet(name);
  }
  
  public boolean isPermissionSet(Permission perm)
  {
    return this.perm.isPermissionSet(perm);
  }
  
  public boolean hasPermission(String name)
  {
    return perm.hasPermission(name);
  }
  
  public boolean hasPermission(Permission perm)
  {
    return this.perm.hasPermission(perm);
  }
  
  public PermissionAttachment addAttachment(Plugin plugin, String name, boolean value)
  {
    return perm.addAttachment(plugin, name, value);
  }
  
  public PermissionAttachment addAttachment(Plugin plugin)
  {
    return perm.addAttachment(plugin);
  }
  
  public PermissionAttachment addAttachment(Plugin plugin, String name, boolean value, int ticks)
  {
    return perm.addAttachment(plugin, name, value, ticks);
  }
  
  public PermissionAttachment addAttachment(Plugin plugin, int ticks)
  {
    return perm.addAttachment(plugin, ticks);
  }
  
  public void removeAttachment(PermissionAttachment attachment)
  {
    perm.removeAttachment(attachment);
  }
  
  public void recalculatePermissions()
  {
    perm.recalculatePermissions();
  }
  
  public Set<PermissionAttachmentInfo> getEffectivePermissions()
  {
    return perm.getEffectivePermissions();
  }
  
  public Server getServer()
  {
    return Bukkit.getServer();
  }
}
