package org.bukkit.craftbukkit.v1_7_R1.entity;

import net.minecraft.server.v1_7_R1.EntityMinecartHopper;
import org.bukkit.craftbukkit.v1_7_R1.CraftServer;
import org.bukkit.craftbukkit.v1_7_R1.inventory.CraftInventory;
import org.bukkit.entity.EntityType;
import org.bukkit.inventory.Inventory;

final class CraftMinecartHopper extends CraftMinecart implements org.bukkit.entity.minecart.HopperMinecart
{
  private final CraftInventory inventory;
  
  CraftMinecartHopper(CraftServer server, EntityMinecartHopper entity)
  {
    super(server, entity);
    inventory = new CraftInventory(entity);
  }
  
  public String toString()
  {
    return "CraftMinecartHopper{inventory=" + inventory + '}';
  }
  
  public EntityType getType() {
    return EntityType.MINECART_HOPPER;
  }
  
  public Inventory getInventory() {
    return inventory;
  }
}
