package org.bukkit.craftbukkit.v1_7_R1.entity;

import net.minecraft.server.v1_7_R1.EntityOcelot;
import org.bukkit.entity.EntityType;
import org.bukkit.entity.Ocelot.Type;

public class CraftOcelot extends CraftTameableAnimal implements org.bukkit.entity.Ocelot
{
  public CraftOcelot(org.bukkit.craftbukkit.v1_7_R1.CraftServer server, EntityOcelot wolf)
  {
    super(server, wolf);
  }
  
  public EntityOcelot getHandle()
  {
    return (EntityOcelot)entity;
  }
  
  public Ocelot.Type getCatType() {
    return Ocelot.Type.getType(getHandle().getCatType());
  }
  
  public void setCatType(Ocelot.Type type) {
    org.apache.commons.lang.Validate.notNull(type, "Cat type cannot be null");
    getHandle().setCatType(type.getId());
  }
  
  public EntityType getType()
  {
    return EntityType.OCELOT;
  }
}
