package org.bukkit.craftbukkit.v1_7_R1.entity;

import net.minecraft.server.v1_7_R1.EntityPigZombie;
import org.bukkit.craftbukkit.v1_7_R1.CraftServer;
import org.bukkit.entity.EntityType;
import org.bukkit.entity.PigZombie;

public class CraftPigZombie extends CraftZombie implements PigZombie
{
  public CraftPigZombie(CraftServer server, EntityPigZombie entity)
  {
    super(server, entity);
  }
  
  public int getAnger() {
    return getHandle()angerLevel;
  }
  
  public void setAnger(int level) {
    getHandle()angerLevel = level;
  }
  
  public void setAngry(boolean angry) {
    setAnger(angry ? 400 : 0);
  }
  
  public boolean isAngry() {
    return getAnger() > 0;
  }
  
  public EntityPigZombie getHandle()
  {
    return (EntityPigZombie)entity;
  }
  
  public String toString()
  {
    return "CraftPigZombie";
  }
  
  public EntityType getType() {
    return EntityType.PIG_ZOMBIE;
  }
}
