package org.bukkit.craftbukkit.v1_7_R1.entity;

import net.minecraft.server.v1_7_R1.EntityVillager;
import org.bukkit.craftbukkit.v1_7_R1.CraftServer;
import org.bukkit.entity.Villager.Profession;

public class CraftVillager extends CraftAgeable implements org.bukkit.entity.Villager
{
  public CraftVillager(CraftServer server, EntityVillager entity)
  {
    super(server, entity);
  }
  
  public EntityVillager getHandle()
  {
    return (EntityVillager)entity;
  }
  
  public String toString()
  {
    return "CraftVillager";
  }
  
  public org.bukkit.entity.EntityType getType() {
    return org.bukkit.entity.EntityType.VILLAGER;
  }
  
  public Villager.Profession getProfession() {
    return Villager.Profession.getProfession(getHandle().getProfession());
  }
  
  public void setProfession(Villager.Profession profession) {
    org.apache.commons.lang.Validate.notNull(profession);
    getHandle().setProfession(profession.getId());
  }
}
