package org.bukkit.craftbukkit.v1_7_R1.entity;

import net.minecraft.server.v1_7_R1.EntityWolf;
import org.bukkit.DyeColor;
import org.bukkit.craftbukkit.v1_7_R1.CraftServer;

public class CraftWolf extends CraftTameableAnimal implements org.bukkit.entity.Wolf
{
  public CraftWolf(CraftServer server, EntityWolf wolf)
  {
    super(server, wolf);
  }
  
  public boolean isAngry() {
    return getHandle().isAngry();
  }
  
  public void setAngry(boolean angry) {
    getHandle().setAngry(angry);
  }
  
  public EntityWolf getHandle()
  {
    return (EntityWolf)entity;
  }
  
  public org.bukkit.entity.EntityType getType()
  {
    return org.bukkit.entity.EntityType.WOLF;
  }
  
  public DyeColor getCollarColor() {
    return DyeColor.getByWoolData((byte)getHandle().getCollarColor());
  }
  
  public void setCollarColor(DyeColor color) {
    getHandle().setCollarColor(color.getWoolData());
  }
}
