package org.bukkit.craftbukkit.v1_7_R1.inventory;

import net.minecraft.server.v1_7_R1.IInventory;

public class CraftInventoryAnvil extends CraftInventory implements org.bukkit.inventory.AnvilInventory
{
  private final IInventory resultInventory;
  
  public CraftInventoryAnvil(IInventory inventory, IInventory resultInventory) {
    super(inventory);
    this.resultInventory = resultInventory;
  }
  
  public IInventory getResultInventory() {
    return resultInventory;
  }
  
  public IInventory getIngredientsInventory() {
    return inventory;
  }
  
  public int getSize()
  {
    return getResultInventory().getSize() + getIngredientsInventory().getSize();
  }
}
