package org.bukkit.craftbukkit.v1_7_R1.inventory;

import net.minecraft.server.v1_7_R1.TileEntityFurnace;
import org.bukkit.block.Furnace;
import org.bukkit.inventory.ItemStack;

public class CraftInventoryFurnace extends CraftInventory implements org.bukkit.inventory.FurnaceInventory
{
  public CraftInventoryFurnace(TileEntityFurnace inventory)
  {
    super(inventory);
  }
  
  public ItemStack getResult() {
    return getItem(2);
  }
  
  public ItemStack getFuel() {
    return getItem(1);
  }
  
  public ItemStack getSmelting() {
    return getItem(0);
  }
  
  public void setFuel(ItemStack stack) {
    setItem(1, stack);
  }
  
  public void setResult(ItemStack stack) {
    setItem(2, stack);
  }
  
  public void setSmelting(ItemStack stack) {
    setItem(0, stack);
  }
  
  public Furnace getHolder()
  {
    return (Furnace)inventory.getOwner();
  }
}
