package org.bukkit.craftbukkit.v1_7_R1.util;

import net.minecraft.server.v1_7_R1.MinecraftServer;

public class ServerShutdownThread extends Thread
{
  private final MinecraftServer server;
  
  public ServerShutdownThread(MinecraftServer server) {
    this.server = server;
  }
  
  public void run()
  {
    try {
      server.stop(); return;
    } catch (net.minecraft.server.v1_7_R1.ExceptionWorldConflict ex) {
      ex.printStackTrace();
    } finally {
      try {
        server.reader.getTerminal().restore();
      }
      catch (Exception e) {}
    }
  }
}
