package org.bukkit.entity;






public abstract interface Skeleton
  extends Monster
{
  public abstract SkeletonType getSkeletonType();
  





  public abstract void setSkeletonType(SkeletonType paramSkeletonType);
  




  public static enum SkeletonType
  {
    NORMAL(0), 
    WITHER(1);
    
    static { types = new SkeletonType[values().length];
      


      for (SkeletonType type : values()) {
        types[type.getId()] = type;
      }
    }
    
    private SkeletonType(int id) {
      this.id = id;
    }
    


    private static final SkeletonType[] types;
    

    @Deprecated
    public int getId()
    {
      return id;
    }
    



    private final int id;
    

    @Deprecated
    public static SkeletonType getType(int id)
    {
      return id >= types.length ? null : types[id];
    }
  }
}
