package org.bukkit.entity;






public abstract interface Villager
  extends Ageable, NPC
{
  public abstract Profession getProfession();
  





  public abstract void setProfession(Profession paramProfession);
  





  public static enum Profession
  {
    FARMER(0), 
    LIBRARIAN(1), 
    PRIEST(2), 
    BLACKSMITH(3), 
    BUTCHER(4);
    
    static { professions = new Profession[values().length];
      


      for (Profession type : values()) {
        professions[type.getId()] = type;
      }
    }
    
    private Profession(int id) {
      this.id = id;
    }
    


    private static final Profession[] professions;
    

    @Deprecated
    public int getId()
    {
      return id;
    }
    



    private final int id;
    

    @Deprecated
    public static Profession getProfession(int id)
    {
      return id >= professions.length ? null : professions[id];
    }
  }
}
