package org.bukkit.event.inventory;

import org.bukkit.event.HandlerList;
import org.bukkit.inventory.CraftingInventory;
import org.bukkit.inventory.InventoryView;

public class PrepareItemCraftEvent extends InventoryEvent
{
  private static final HandlerList handlers = new HandlerList();
  private boolean repair;
  private CraftingInventory matrix;
  
  public PrepareItemCraftEvent(CraftingInventory what, InventoryView view, boolean isRepair) {
    super(view);
    matrix = what;
    repair = isRepair;
  }
  






  public org.bukkit.inventory.Recipe getRecipe()
  {
    return matrix.getRecipe();
  }
  



  public CraftingInventory getInventory()
  {
    return matrix;
  }
  





  public boolean isRepair()
  {
    return repair;
  }
  
  public HandlerList getHandlers()
  {
    return handlers;
  }
  
  public static HandlerList getHandlerList() {
    return handlers;
  }
}
