package org.bukkit.material;

import org.bukkit.Material;
import org.bukkit.block.BlockFace;

public class Skull
  extends MaterialData implements Directional
{
  public Skull()
  {
    super(Material.SKULL);
  }
  




  public Skull(BlockFace direction)
  {
    this();
    setFacingDirection(direction);
  }
  



  @Deprecated
  public Skull(int type)
  {
    super(type);
  }
  
  public Skull(Material type) {
    super(type);
  }
  



  @Deprecated
  public Skull(int type, byte data)
  {
    super(type, data);
  }
  



  @Deprecated
  public Skull(Material type, byte data)
  {
    super(type, data);
  }
  
  public void setFacingDirection(BlockFace face)
  {
    int data;
    switch (1.$SwitchMap$org$bukkit$block$BlockFace[face.ordinal()]) {
    case 1: 
    default: 
      data = 1;
      break;
    
    case 2: 
      data = 2;
      break;
    
    case 3: 
      data = 4;
      break;
    
    case 4: 
      data = 3;
      break;
    
    case 5: 
      data = 5;
    }
    
    setData((byte)data);
  }
  
  public BlockFace getFacing() {
    int data = getData();
    
    switch (data) {
    case 1: 
    default: 
      return BlockFace.SELF;
    
    case 2: 
      return BlockFace.NORTH;
    
    case 3: 
      return BlockFace.SOUTH;
    
    case 4: 
      return BlockFace.EAST;
    }
    
    return BlockFace.WEST;
  }
  

  public String toString()
  {
    return super.toString() + " facing " + getFacing();
  }
  
  public Skull clone()
  {
    return (Skull)super.clone();
  }
}
