package org.yaml.snakeyaml.events;

import org.yaml.snakeyaml.error.Mark;




















public final class DocumentEndEvent
  extends Event
{
  private final boolean explicit;
  
  public DocumentEndEvent(Mark startMark, Mark endMark, boolean explicit)
  {
    super(startMark, endMark);
    this.explicit = explicit;
  }
  
  public boolean getExplicit() {
    return explicit;
  }
  
  public boolean is(Event.ID id)
  {
    return Event.ID.DocumentEnd == id;
  }
}
