package com.avaje.ebean.cache;

import com.avaje.ebean.EbeanServer;

public abstract interface ServerCacheManager
{
  public abstract void init(EbeanServer paramEbeanServer);
  
  public abstract boolean isBeanCaching(Class<?> paramClass);
  
  public abstract ServerCache getBeanCache(Class<?> paramClass);
  
  public abstract ServerCache getQueryCache(Class<?> paramClass);
  
  public abstract void clear(Class<?> paramClass);
  
  public abstract void clearAll();
}
