package com.avaje.ebean.cache;







public class ServerCacheStatistics
{
  protected String cacheName;
  





  protected int maxSize;
  





  protected int size;
  





  protected int hitCount;
  




  protected int missCount;
  





  public String getCacheName()
  {
    return cacheName;
  }
  


  public void setCacheName(String cacheName)
  {
    this.cacheName = cacheName;
  }
  


  public int getHitCount()
  {
    return hitCount;
  }
  


  public void setHitCount(int hitCount)
  {
    this.hitCount = hitCount;
  }
  


  public int getMissCount()
  {
    return missCount;
  }
  


  public void setMissCount(int missCount)
  {
    this.missCount = missCount;
  }
  


  public int getSize()
  {
    return size;
  }
  


  public void setSize(int size)
  {
    this.size = size;
  }
  






  public int getMaxSize()
  {
    return maxSize;
  }
  


  public void setMaxSize(int maxSize)
  {
    this.maxSize = maxSize;
  }
  






  public int getHitRatio()
  {
    int totalCount = hitCount + missCount;
    if (totalCount == 0) {
      return 0;
    }
    return hitCount * 100 / totalCount;
  }
}
