package com.avaje.ebean.common;

import java.io.Serializable;
import java.util.Collection;
import java.util.LinkedHashSet;
import java.util.Set;
































class ModifyHolder<E>
  implements Serializable
{
  private static final long serialVersionUID = 2572572897923801083L;
  private Set<E> modifyDeletions = new LinkedHashSet();
  



  private Set<E> modifyAdditions = new LinkedHashSet();
  
  void reset() {
    modifyDeletions = new LinkedHashSet();
    modifyAdditions = new LinkedHashSet();
  }
  


  void modifyAdditionAll(Collection<? extends E> c)
  {
    if (c != null) {
      modifyAdditions.addAll(c);
    }
  }
  
  void modifyAddition(E bean) {
    if (bean != null) {
      modifyAdditions.add(bean);
    }
  }
  
  void modifyRemoval(Object bean)
  {
    if (bean != null) {
      modifyDeletions.add(bean);
    }
  }
  
  Set<E> getModifyAdditions() {
    return modifyAdditions;
  }
  
  Set<E> getModifyRemovals() {
    return modifyDeletions;
  }
}
