package com.avaje.ebean.config.dbplatform;














public abstract class AbstractDbEncrypt
  implements DbEncrypt
{
  protected DbEncryptFunction varcharEncryptFunction;
  












  protected DbEncryptFunction dateEncryptFunction;
  











  protected DbEncryptFunction timestampEncryptFunction;
  












  public DbEncryptFunction getDbEncryptFunction(int jdbcType)
  {
    switch (jdbcType) {
    case 12: 
      return varcharEncryptFunction;
    case 2005: 
      return varcharEncryptFunction;
    case 1: 
      return varcharEncryptFunction;
    case -1: 
      return varcharEncryptFunction;
    
    case 91: 
      return dateEncryptFunction;
    
    case 93: 
      return timestampEncryptFunction;
    }
    
    return null;
  }
  



  public int getEncryptDbType()
  {
    return -3;
  }
  


  public boolean isBindEncryptDataFirst()
  {
    return true;
  }
}
