package com.avaje.ebean.enhance.asm;










final class Item
{
  int index;
  








  int type;
  








  int intVal;
  








  long longVal;
  








  String strVal1;
  








  String strVal2;
  








  String strVal3;
  








  int hashCode;
  








  Item next;
  








  Item() {}
  








  Item(int index)
  {
    this.index = index;
  }
  





  Item(int index, Item i)
  {
    this.index = index;
    type = type;
    intVal = intVal;
    longVal = longVal;
    strVal1 = strVal1;
    strVal2 = strVal2;
    strVal3 = strVal3;
    hashCode = hashCode;
  }
  




  void set(int intVal)
  {
    type = 3;
    this.intVal = intVal;
    hashCode = (0x7FFFFFFF & type + intVal);
  }
  




  void set(long longVal)
  {
    type = 5;
    this.longVal = longVal;
    hashCode = (0x7FFFFFFF & type + (int)longVal);
  }
  




  void set(float floatVal)
  {
    type = 4;
    intVal = Float.floatToRawIntBits(floatVal);
    hashCode = (0x7FFFFFFF & type + (int)floatVal);
  }
  




  void set(double doubleVal)
  {
    type = 6;
    longVal = Double.doubleToRawLongBits(doubleVal);
    hashCode = (0x7FFFFFFF & type + (int)doubleVal);
  }
  












  void set(int type, String strVal1, String strVal2, String strVal3)
  {
    this.type = type;
    this.strVal1 = strVal1;
    this.strVal2 = strVal2;
    this.strVal3 = strVal3;
    switch (type) {
    case 1: 
    case 7: 
    case 8: 
    case 13: 
      hashCode = (0x7FFFFFFF & type + strVal1.hashCode());
      return;
    case 12: 
      hashCode = (0x7FFFFFFF & type + strVal1.hashCode() * strVal2.hashCode());
      
      return;
    }
    
    

    hashCode = (0x7FFFFFFF & type + strVal1.hashCode() * strVal2.hashCode() * strVal3.hashCode());
  }
  








  boolean isEqualTo(Item i)
  {
    if (type == type) {
      switch (type) {
      case 3: 
      case 4: 
        return intVal == intVal;
      case 5: 
      case 6: 
      case 15: 
        return longVal == longVal;
      case 1: 
      case 7: 
      case 8: 
      case 13: 
        return strVal1.equals(strVal1);
      case 14: 
        return (intVal == intVal) && (strVal1.equals(strVal1));
      case 12: 
        return (strVal1.equals(strVal1)) && (strVal2.equals(strVal2));
      }
      
      


      return (strVal1.equals(strVal1)) && (strVal2.equals(strVal2)) && (strVal3.equals(strVal3));
    }
    


    return false;
  }
}
