package com.avaje.ebeaninternal.server.core;

import com.avaje.ebeaninternal.api.SpiTransaction;











final class TransWrapper
{
  final SpiTransaction transaction;
  private final boolean wasCreated;
  
  TransWrapper(SpiTransaction t, boolean created)
  {
    transaction = t;
    wasCreated = created;
  }
  
  void commitIfCreated() {
    if (wasCreated) {
      transaction.commit();
    }
  }
  
  void rollbackIfCreated() {
    if (wasCreated) {
      transaction.rollback();
    }
  }
  



  boolean wasCreated()
  {
    return wasCreated;
  }
}
