package com.mysql.jdbc;

import java.sql.DataTruncation;



















































public class MysqlDataTruncation
  extends DataTruncation
{
  private String message;
  private int vendorErrorCode;
  
  public MysqlDataTruncation(String message, int index, boolean parameter, boolean read, int dataSize, int transferSize, int vendorErrorCode)
  {
    super(index, parameter, read, dataSize, transferSize);
    
    this.message = message;
    this.vendorErrorCode = vendorErrorCode;
  }
  
  public int getErrorCode() {
    return vendorErrorCode;
  }
  




  public String getMessage()
  {
    return super.getMessage() + ": " + message;
  }
}
