package net.minecraft.server.v1_7_R1;

import java.util.Random;
import org.bukkit.event.entity.EntityDamageByBlockEvent;

public class BlockCactus extends Block
{
  protected BlockCactus()
  {
    super(Material.CACTUS);
    a(true);
    a(CreativeModeTab.c);
  }
  
  public void a(World world, int i, int j, int k, Random random) {
    if (world.isEmpty(i, j + 1, k))
    {

      for (int l = 1; world.getType(i, j - l, k) == this; l++) {}
      


      if (l < 3) {
        int i1 = world.getData(i, j, k);
        
        if (i1 == 15) {
          org.bukkit.craftbukkit.v1_7_R1.event.CraftEventFactory.handleBlockGrowEvent(world, i, j + 1, k, this, 0);
          world.setData(i, j, k, 0, 4);
          doPhysics(world, i, j + 1, k, this);
        } else {
          world.setData(i, j, k, i1 + 1, 4);
        }
      }
    }
  }
  
  public AxisAlignedBB a(World world, int i, int j, int k) {
    float f = 0.0625F;
    
    return AxisAlignedBB.a().a(i + f, j, k + f, i + 1 - f, j + 1 - f, k + 1 - f);
  }
  
  public boolean d() {
    return false;
  }
  
  public boolean c() {
    return false;
  }
  
  public int b() {
    return 13;
  }
  
  public boolean canPlace(World world, int i, int j, int k) {
    return !super.canPlace(world, i, j, k) ? false : j(world, i, j, k);
  }
  
  public void doPhysics(World world, int i, int j, int k, Block block) {
    if (!j(world, i, j, k)) {
      world.setAir(i, j, k, true);
    }
  }
  
  public boolean j(World world, int i, int j, int k) {
    if (world.getType(i - 1, j, k).getMaterial().isBuildable())
      return false;
    if (world.getType(i + 1, j, k).getMaterial().isBuildable())
      return false;
    if (world.getType(i, j, k - 1).getMaterial().isBuildable())
      return false;
    if (world.getType(i, j, k + 1).getMaterial().isBuildable()) {
      return false;
    }
    Block block = world.getType(i, j - 1, k);
    
    return (block == Blocks.CACTUS) || (block == Blocks.SAND);
  }
  

  public void a(World world, int i, int j, int k, Entity entity)
  {
    if ((entity instanceof EntityLiving)) {
      org.bukkit.block.Block damager = world.getWorld().getBlockAt(i, j, k);
      org.bukkit.entity.Entity damagee = entity == null ? null : entity.getBukkitEntity();
      
      EntityDamageByBlockEvent event = new EntityDamageByBlockEvent(damager, damagee, org.bukkit.event.entity.EntityDamageEvent.DamageCause.CONTACT, 1.0D);
      world.getServer().getPluginManager().callEvent(event);
      
      if (!event.isCancelled()) {
        damagee.setLastDamageCause(event);
        entity.damageEntity(DamageSource.CACTUS, (float)event.getDamage());
      }
      return;
    }
    

    entity.damageEntity(DamageSource.CACTUS, 1.0F);
  }
}
