package net.minecraft.server.v1_7_R1;




public class Blocks
{
  public static final Block AIR = (Block)Block.REGISTRY.a("air");
  public static final Block STONE = (Block)Block.REGISTRY.a("stone");
  public static final BlockGrass GRASS = (BlockGrass)Block.REGISTRY.a("grass");
  public static final Block DIRT = (Block)Block.REGISTRY.a("dirt");
  public static final Block COBBLESTONE = (Block)Block.REGISTRY.a("cobblestone");
  public static final Block WOOD = (Block)Block.REGISTRY.a("planks");
  public static final Block SAPLING = (Block)Block.REGISTRY.a("sapling");
  public static final Block BEDROCK = (Block)Block.REGISTRY.a("bedrock");
  public static final BlockFluids WATER = (BlockFluids)Block.REGISTRY.a("flowing_water");
  public static final Block STATIONARY_WATER = (Block)Block.REGISTRY.a("water");
  public static final BlockFluids LAVA = (BlockFluids)Block.REGISTRY.a("flowing_lava");
  public static final Block STATIONARY_LAVA = (Block)Block.REGISTRY.a("lava");
  public static final Block SAND = (Block)Block.REGISTRY.a("sand");
  public static final Block GRAVEL = (Block)Block.REGISTRY.a("gravel");
  public static final Block GOLD_ORE = (Block)Block.REGISTRY.a("gold_ore");
  public static final Block IRON_ORE = (Block)Block.REGISTRY.a("iron_ore");
  public static final Block COAL_ORE = (Block)Block.REGISTRY.a("coal_ore");
  public static final Block LOG = (Block)Block.REGISTRY.a("log");
  public static final Block LOG2 = (Block)Block.REGISTRY.a("log2");
  public static final BlockLeaves LEAVES = (BlockLeaves)Block.REGISTRY.a("leaves");
  public static final BlockLeaves LEAVES2 = (BlockLeaves)Block.REGISTRY.a("leaves2");
  public static final Block SPONGE = (Block)Block.REGISTRY.a("sponge");
  public static final Block GLASS = (Block)Block.REGISTRY.a("glass");
  public static final Block LAPIS_ORE = (Block)Block.REGISTRY.a("lapis_ore");
  public static final Block LAPIS_BLOCK = (Block)Block.REGISTRY.a("lapis_block");
  public static final Block DISPENSER = (Block)Block.REGISTRY.a("dispenser");
  public static final Block SANDSTONE = (Block)Block.REGISTRY.a("sandstone");
  public static final Block NOTE_BLOCK = (Block)Block.REGISTRY.a("noteblock");
  public static final Block BED = (Block)Block.REGISTRY.a("bed");
  public static final Block GOLDEN_RAIL = (Block)Block.REGISTRY.a("golden_rail");
  public static final Block DETECTOR_RAIL = (Block)Block.REGISTRY.a("detector_rail");
  public static final BlockPiston PISTON_STICKY = (BlockPiston)Block.REGISTRY.a("sticky_piston");
  public static final Block WEB = (Block)Block.REGISTRY.a("web");
  public static final BlockLongGrass LONG_GRASS = (BlockLongGrass)Block.REGISTRY.a("tallgrass");
  public static final BlockDeadBush DEAD_BUSH = (BlockDeadBush)Block.REGISTRY.a("deadbush");
  public static final BlockPiston PISTON = (BlockPiston)Block.REGISTRY.a("piston");
  public static final BlockPistonExtension PISTON_EXTENSION = (BlockPistonExtension)Block.REGISTRY.a("piston_head");
  public static final Block WOOL = (Block)Block.REGISTRY.a("wool");
  public static final BlockPistonMoving PISTON_MOVING = (BlockPistonMoving)Block.REGISTRY.a("piston_extension");
  public static final BlockFlowers YELLOW_FLOWER = (BlockFlowers)Block.REGISTRY.a("yellow_flower");
  public static final BlockFlowers RED_ROSE = (BlockFlowers)Block.REGISTRY.a("red_flower");
  public static final BlockPlant BROWN_MUSHROOM = (BlockPlant)Block.REGISTRY.a("brown_mushroom");
  public static final BlockPlant RED_MUSHROOM = (BlockPlant)Block.REGISTRY.a("red_mushroom");
  public static final Block GOLD_BLOCK = (Block)Block.REGISTRY.a("gold_block");
  public static final Block IRON_BLOCK = (Block)Block.REGISTRY.a("iron_block");
  public static final BlockStepAbstract DOUBLE_STEP = (BlockStepAbstract)Block.REGISTRY.a("double_stone_slab");
  public static final BlockStepAbstract STEP = (BlockStepAbstract)Block.REGISTRY.a("stone_slab");
  public static final Block BRICK = (Block)Block.REGISTRY.a("brick_block");
  public static final Block TNT = (Block)Block.REGISTRY.a("tnt");
  public static final Block BOOKSHELF = (Block)Block.REGISTRY.a("bookshelf");
  public static final Block MOSSY_COBBLESTONE = (Block)Block.REGISTRY.a("mossy_cobblestone");
  public static final Block OBSIDIAN = (Block)Block.REGISTRY.a("obsidian");
  public static final Block TORCH = (Block)Block.REGISTRY.a("torch");
  public static final BlockFire FIRE = (BlockFire)Block.REGISTRY.a("fire");
  public static final Block MOB_SPAWNER = (Block)Block.REGISTRY.a("mob_spawner");
  public static final Block WOOD_STAIRS = (Block)Block.REGISTRY.a("oak_stairs");
  public static final BlockChest CHEST = (BlockChest)Block.REGISTRY.a("chest");
  public static final BlockRedstoneWire REDSTONE_WIRE = (BlockRedstoneWire)Block.REGISTRY.a("redstone_wire");
  public static final Block DIAMOND_ORE = (Block)Block.REGISTRY.a("diamond_ore");
  public static final Block DIAMOND_BLOCK = (Block)Block.REGISTRY.a("diamond_block");
  public static final Block WORKBENCH = (Block)Block.REGISTRY.a("crafting_table");
  public static final Block CROPS = (Block)Block.REGISTRY.a("wheat");
  public static final Block SOIL = (Block)Block.REGISTRY.a("farmland");
  public static final Block FURNACE = (Block)Block.REGISTRY.a("furnace");
  public static final Block BURNING_FURNACE = (Block)Block.REGISTRY.a("lit_furnace");
  public static final Block SIGN_POST = (Block)Block.REGISTRY.a("standing_sign");
  public static final Block WOODEN_DOOR = (Block)Block.REGISTRY.a("wooden_door");
  public static final Block LADDER = (Block)Block.REGISTRY.a("ladder");
  public static final Block RAILS = (Block)Block.REGISTRY.a("rail");
  public static final Block COBBLESTONE_STAIRS = (Block)Block.REGISTRY.a("stone_stairs");
  public static final Block WALL_SIGN = (Block)Block.REGISTRY.a("wall_sign");
  public static final Block LEVER = (Block)Block.REGISTRY.a("lever");
  public static final Block STONE_PLATE = (Block)Block.REGISTRY.a("stone_pressure_plate");
  public static final Block IRON_DOOR_BLOCK = (Block)Block.REGISTRY.a("iron_door");
  public static final Block WOOD_PLATE = (Block)Block.REGISTRY.a("wooden_pressure_plate");
  public static final Block REDSTONE_ORE = (Block)Block.REGISTRY.a("redstone_ore");
  public static final Block GLOWING_REDSTONE_ORE = (Block)Block.REGISTRY.a("lit_redstone_ore");
  public static final Block REDSTONE_TORCH_OFF = (Block)Block.REGISTRY.a("unlit_redstone_torch");
  public static final Block REDSTONE_TORCH_ON = (Block)Block.REGISTRY.a("redstone_torch");
  public static final Block STONE_BUTTON = (Block)Block.REGISTRY.a("stone_button");
  public static final Block SNOW = (Block)Block.REGISTRY.a("snow_layer");
  public static final Block ICE = (Block)Block.REGISTRY.a("ice");
  public static final Block SNOW_BLOCK = (Block)Block.REGISTRY.a("snow");
  public static final Block CACTUS = (Block)Block.REGISTRY.a("cactus");
  public static final Block CLAY = (Block)Block.REGISTRY.a("clay");
  public static final Block SUGAR_CANE_BLOCK = (Block)Block.REGISTRY.a("reeds");
  public static final Block JUKEBOX = (Block)Block.REGISTRY.a("jukebox");
  public static final Block FENCE = (Block)Block.REGISTRY.a("fence");
  public static final Block PUMPKIN = (Block)Block.REGISTRY.a("pumpkin");
  public static final Block NETHERRACK = (Block)Block.REGISTRY.a("netherrack");
  public static final Block SOUL_SAND = (Block)Block.REGISTRY.a("soul_sand");
  public static final Block GLOWSTONE = (Block)Block.REGISTRY.a("glowstone");
  public static final BlockPortal PORTAL = (BlockPortal)Block.REGISTRY.a("portal");
  public static final Block JACK_O_LANTERN = (Block)Block.REGISTRY.a("lit_pumpkin");
  public static final Block CAKE_BLOCK = (Block)Block.REGISTRY.a("cake");
  public static final BlockRepeater DIODE_OFF = (BlockRepeater)Block.REGISTRY.a("unpowered_repeater");
  public static final BlockRepeater DIODE_ON = (BlockRepeater)Block.REGISTRY.a("powered_repeater");
  public static final Block TRAP_DOOR = (Block)Block.REGISTRY.a("trapdoor");
  public static final Block MONSTER_EGGS = (Block)Block.REGISTRY.a("monster_egg");
  public static final Block SMOOTH_BRICK = (Block)Block.REGISTRY.a("stonebrick");
  public static final Block BIG_MUSHROOM_1 = (Block)Block.REGISTRY.a("brown_mushroom_block");
  public static final Block BIG_MUSHROOM_2 = (Block)Block.REGISTRY.a("red_mushroom_block");
  public static final Block IRON_FENCE = (Block)Block.REGISTRY.a("iron_bars");
  public static final Block THIN_GLASS = (Block)Block.REGISTRY.a("glass_pane");
  public static final Block MELON = (Block)Block.REGISTRY.a("melon_block");
  public static final Block PUMPKIN_STEM = (Block)Block.REGISTRY.a("pumpkin_stem");
  public static final Block MELON_STEM = (Block)Block.REGISTRY.a("melon_stem");
  public static final Block VINE = (Block)Block.REGISTRY.a("vine");
  public static final Block FENCE_GATE = (Block)Block.REGISTRY.a("fence_gate");
  public static final Block BRICK_STAIRS = (Block)Block.REGISTRY.a("brick_stairs");
  public static final Block STONE_STAIRS = (Block)Block.REGISTRY.a("stone_brick_stairs");
  public static final BlockMycel MYCEL = (BlockMycel)Block.REGISTRY.a("mycelium");
  public static final Block WATER_LILY = (Block)Block.REGISTRY.a("waterlily");
  public static final Block NETHER_BRICK = (Block)Block.REGISTRY.a("nether_brick");
  public static final Block NETHER_FENCE = (Block)Block.REGISTRY.a("nether_brick_fence");
  public static final Block NETHER_BRICK_STAIRS = (Block)Block.REGISTRY.a("nether_brick_stairs");
  public static final Block NETHER_WART = (Block)Block.REGISTRY.a("nether_wart");
  public static final Block ENCHANTMENT_TABLE = (Block)Block.REGISTRY.a("enchanting_table");
  public static final Block BREWING_STAND = (Block)Block.REGISTRY.a("brewing_stand");
  public static final BlockCauldron CAULDRON = (BlockCauldron)Block.REGISTRY.a("cauldron");
  public static final Block ENDER_PORTAL = (Block)Block.REGISTRY.a("end_portal");
  public static final Block ENDER_PORTAL_FRAME = (Block)Block.REGISTRY.a("end_portal_frame");
  public static final Block WHITESTONE = (Block)Block.REGISTRY.a("end_stone");
  public static final Block DRAGON_EGG = (Block)Block.REGISTRY.a("dragon_egg");
  public static final Block REDSTONE_LAMP_OFF = (Block)Block.REGISTRY.a("redstone_lamp");
  public static final Block REDSTONE_LAMP_ON = (Block)Block.REGISTRY.a("lit_redstone_lamp");
  public static final BlockStepAbstract WOOD_DOUBLE_STEP = (BlockStepAbstract)Block.REGISTRY.a("double_wooden_slab");
  public static final BlockStepAbstract WOOD_STEP = (BlockStepAbstract)Block.REGISTRY.a("wooden_slab");
  public static final Block COCOA = (Block)Block.REGISTRY.a("cocoa");
  public static final Block SANDSTONE_STAIRS = (Block)Block.REGISTRY.a("sandstone_stairs");
  public static final Block EMERALD_ORE = (Block)Block.REGISTRY.a("emerald_ore");
  public static final Block ENDER_CHEST = (Block)Block.REGISTRY.a("ender_chest");
  public static final BlockTripwireHook TRIPWIRE_SOURCE = (BlockTripwireHook)Block.REGISTRY.a("tripwire_hook");
  public static final Block TRIPWIRE = (Block)Block.REGISTRY.a("tripwire");
  public static final Block EMERALD_BLOCK = (Block)Block.REGISTRY.a("emerald_block");
  public static final Block SPRUCE_WOOD_STAIRS = (Block)Block.REGISTRY.a("spruce_stairs");
  public static final Block BIRCH_WOOD_STAIRS = (Block)Block.REGISTRY.a("birch_stairs");
  public static final Block JUNGLE_WOOD_STAIRS = (Block)Block.REGISTRY.a("jungle_stairs");
  public static final Block COMMAND = (Block)Block.REGISTRY.a("command_block");
  public static final BlockBeacon BEACON = (BlockBeacon)Block.REGISTRY.a("beacon");
  public static final Block COBBLE_WALL = (Block)Block.REGISTRY.a("cobblestone_wall");
  public static final Block FLOWER_POT = (Block)Block.REGISTRY.a("flower_pot");
  public static final Block CARROTS = (Block)Block.REGISTRY.a("carrots");
  public static final Block POTATOES = (Block)Block.REGISTRY.a("potatoes");
  public static final Block WOOD_BUTTON = (Block)Block.REGISTRY.a("wooden_button");
  public static final Block SKULL = (Block)Block.REGISTRY.a("skull");
  public static final Block ANVIL = (Block)Block.REGISTRY.a("anvil");
  public static final Block TRAPPED_CHEST = (Block)Block.REGISTRY.a("trapped_chest");
  public static final Block GOLD_PLATE = (Block)Block.REGISTRY.a("light_weighted_pressure_plate");
  public static final Block IRON_PLATE = (Block)Block.REGISTRY.a("heavy_weighted_pressure_plate");
  public static final BlockRedstoneComparator REDSTONE_COMPARATOR_OFF = (BlockRedstoneComparator)Block.REGISTRY.a("unpowered_comparator");
  public static final BlockRedstoneComparator REDSTONE_COMPARATOR_ON = (BlockRedstoneComparator)Block.REGISTRY.a("powered_comparator");
  public static final BlockDaylightDetector DAYLIGHT_DETECTOR = (BlockDaylightDetector)Block.REGISTRY.a("daylight_detector");
  public static final Block REDSTONE_BLOCK = (Block)Block.REGISTRY.a("redstone_block");
  public static final Block QUARTZ_ORE = (Block)Block.REGISTRY.a("quartz_ore");
  public static final BlockHopper HOPPER = (BlockHopper)Block.REGISTRY.a("hopper");
  public static final Block QUARTZ_BLOCK = (Block)Block.REGISTRY.a("quartz_block");
  public static final Block QUARTZ_STAIRS = (Block)Block.REGISTRY.a("quartz_stairs");
  public static final Block ACTIVATOR_RAIL = (Block)Block.REGISTRY.a("activator_rail");
  public static final Block DROPPER = (Block)Block.REGISTRY.a("dropper");
  public static final Block STAINED_HARDENED_CLAY = (Block)Block.REGISTRY.a("stained_hardened_clay");
  public static final Block HAY_BLOCK = (Block)Block.REGISTRY.a("hay_block");
  public static final Block WOOL_CARPET = (Block)Block.REGISTRY.a("carpet");
  public static final Block HARDENED_CLAY = (Block)Block.REGISTRY.a("hardened_clay");
  public static final Block COAL_BLOCK = (Block)Block.REGISTRY.a("coal_block");
  public static final Block PACKED_ICE = (Block)Block.REGISTRY.a("packed_ice");
  public static final Block ACACIA_STAIRS = (Block)Block.REGISTRY.a("acacia_stairs");
  public static final Block DARK_OAK_STAIRS = (Block)Block.REGISTRY.a("dark_oak_stairs");
  public static final BlockTallPlant DOUBLE_PLANT = (BlockTallPlant)Block.REGISTRY.a("double_plant");
  public static final BlockStainedGlass STAINED_GLASS = (BlockStainedGlass)Block.REGISTRY.a("stained_glass");
  public static final BlockStainedGlassPane STAINED_GLASS_PANE = (BlockStainedGlassPane)Block.REGISTRY.a("stained_glass_pane");
}
