package net.minecraft.server.v1_7_R1;

import java.util.List;
import org.bukkit.craftbukkit.v1_7_R1.inventory.CraftInventory;
import org.bukkit.craftbukkit.v1_7_R1.inventory.CraftInventoryDoubleChest;
import org.bukkit.craftbukkit.v1_7_R1.inventory.CraftInventoryPlayer;
import org.bukkit.craftbukkit.v1_7_R1.inventory.CraftInventoryView;

public class ContainerChest extends Container
{
  public IInventory container;
  private int f;
  private CraftInventoryView bukkitEntity = null;
  private PlayerInventory player;
  
  public CraftInventoryView getBukkitView() {
    if (bukkitEntity != null) {
      return bukkitEntity;
    }
    CraftInventory inventory;
    CraftInventory inventory;
    if ((container instanceof PlayerInventory)) {
      inventory = new CraftInventoryPlayer((PlayerInventory)container); } else { CraftInventory inventory;
      if ((container instanceof InventoryLargeChest)) {
        inventory = new CraftInventoryDoubleChest((InventoryLargeChest)container);
      } else {
        inventory = new CraftInventory(container);
      }
    }
    bukkitEntity = new CraftInventoryView(player.player.getBukkitEntity(), inventory, this);
    return bukkitEntity;
  }
  
  public ContainerChest(IInventory iinventory, IInventory iinventory1)
  {
    container = iinventory1;
    f = (iinventory1.getSize() / 9);
    iinventory1.startOpen();
    int i = (f - 4) * 18;
    

    player = ((PlayerInventory)iinventory);
    




    for (int j = 0; j < f; j++) {
      for (int k = 0; k < 9; k++) {
        a(new Slot(iinventory1, k + j * 9, 8 + k * 18, 18 + j * 18));
      }
    }
    
    for (j = 0; j < 3; j++) {
      for (int k = 0; k < 9; k++) {
        a(new Slot(iinventory, k + j * 9 + 9, 8 + k * 18, 103 + j * 18 + i));
      }
    }
    
    for (j = 0; j < 9; j++) {
      a(new Slot(iinventory, j, 8 + j * 18, 161 + i));
    }
  }
  
  public boolean a(EntityHuman entityhuman) {
    if (!checkReachable) return true;
    return container.a(entityhuman);
  }
  
  public ItemStack b(EntityHuman entityhuman, int i) {
    ItemStack itemstack = null;
    Slot slot = (Slot)c.get(i);
    
    if ((slot != null) && (slot.e())) {
      ItemStack itemstack1 = slot.getItem();
      
      itemstack = itemstack1.cloneItemStack();
      if (i < f * 9) {
        if (!a(itemstack1, f * 9, c.size(), true)) {
          return null;
        }
      } else if (!a(itemstack1, 0, f * 9, false)) {
        return null;
      }
      
      if (count == 0) {
        slot.set((ItemStack)null);
      } else {
        slot.f();
      }
    }
    
    return itemstack;
  }
  
  public void b(EntityHuman entityhuman) {
    super.b(entityhuman);
    container.l_();
  }
  
  public IInventory e() {
    return container;
  }
}
