package net.minecraft.server.v1_7_R1;

import java.util.List;
import org.bukkit.craftbukkit.v1_7_R1.inventory.CraftInventory;
import org.bukkit.craftbukkit.v1_7_R1.inventory.CraftInventoryView;


public class ContainerDispenser
  extends Container
{
  public TileEntityDispenser items;
  private CraftInventoryView bukkitEntity = null;
  private PlayerInventory player;
  
  public ContainerDispenser(IInventory iinventory, TileEntityDispenser tileentitydispenser)
  {
    items = tileentitydispenser;
    

    player = ((PlayerInventory)iinventory);
    




    for (int i = 0; i < 3; i++) {
      for (int j = 0; j < 3; j++) {
        a(new Slot(tileentitydispenser, j + i * 3, 62 + j * 18, 17 + i * 18));
      }
    }
    
    for (i = 0; i < 3; i++) {
      for (int j = 0; j < 9; j++) {
        a(new Slot(iinventory, j + i * 9 + 9, 8 + j * 18, 84 + i * 18));
      }
    }
    
    for (i = 0; i < 9; i++) {
      a(new Slot(iinventory, i, 8 + i * 18, 142));
    }
  }
  
  public boolean a(EntityHuman entityhuman) {
    if (!checkReachable) return true;
    return items.a(entityhuman);
  }
  
  public ItemStack b(EntityHuman entityhuman, int i) {
    ItemStack itemstack = null;
    Slot slot = (Slot)c.get(i);
    
    if ((slot != null) && (slot.e())) {
      ItemStack itemstack1 = slot.getItem();
      
      itemstack = itemstack1.cloneItemStack();
      if (i < 9) {
        if (!a(itemstack1, 9, 45, true)) {
          return null;
        }
      } else if (!a(itemstack1, 0, 9, false)) {
        return null;
      }
      
      if (count == 0) {
        slot.set((ItemStack)null);
      } else {
        slot.f();
      }
      
      if (count == count) {
        return null;
      }
      
      slot.a(entityhuman, itemstack1);
    }
    
    return itemstack;
  }
  
  public CraftInventoryView getBukkitView()
  {
    if (bukkitEntity != null) {
      return bukkitEntity;
    }
    
    CraftInventory inventory = new CraftInventory(items);
    bukkitEntity = new CraftInventoryView(player.player.getBukkitEntity(), inventory, this);
    return bukkitEntity;
  }
}
