package net.minecraft.server.v1_7_R1;

import java.util.ArrayList;
import java.util.List;
import org.bukkit.craftbukkit.v1_7_R1.entity.CraftHumanEntity;
import org.bukkit.entity.HumanEntity;
import org.bukkit.entity.Player;
import org.bukkit.inventory.InventoryHolder;

public class ContainerEnchantTableInventory
  extends InventorySubcontainer
{
  final ContainerEnchantTable enchantTable;
  public List<HumanEntity> transaction = new ArrayList();
  public Player player;
  private int maxStack = 64;
  
  public ItemStack[] getContents() {
    return items;
  }
  
  public void onOpen(CraftHumanEntity who) {
    transaction.add(who);
  }
  
  public void onClose(CraftHumanEntity who) {
    transaction.remove(who);
  }
  
  public List<HumanEntity> getViewers() {
    return transaction;
  }
  
  public InventoryHolder getOwner() {
    return player;
  }
  
  public void setMaxStackSize(int size) {
    maxStack = size;
  }
  
  ContainerEnchantTableInventory(ContainerEnchantTable containerenchanttable, String s, boolean flag, int i)
  {
    super(s, flag, i);
    enchantTable = containerenchanttable;
    setMaxStackSize(1);
  }
  
  public int getMaxStackSize() {
    return maxStack;
  }
  
  public void update() {
    super.update();
    enchantTable.a(this);
  }
}
