package net.minecraft.server.v1_7_R1;

import java.util.List;
import org.bukkit.craftbukkit.v1_7_R1.inventory.CraftInventoryFurnace;
import org.bukkit.craftbukkit.v1_7_R1.inventory.CraftInventoryView;



public class ContainerFurnace
  extends Container
{
  private TileEntityFurnace furnace;
  private int f;
  private int g;
  private int h;
  private CraftInventoryView bukkitEntity = null;
  private PlayerInventory player;
  
  public CraftInventoryView getBukkitView() {
    if (bukkitEntity != null) {
      return bukkitEntity;
    }
    
    CraftInventoryFurnace inventory = new CraftInventoryFurnace(furnace);
    bukkitEntity = new CraftInventoryView(player.player.getBukkitEntity(), inventory, this);
    return bukkitEntity;
  }
  
  public ContainerFurnace(PlayerInventory playerinventory, TileEntityFurnace tileentityfurnace)
  {
    furnace = tileentityfurnace;
    a(new Slot(tileentityfurnace, 0, 56, 17));
    a(new Slot(tileentityfurnace, 1, 56, 53));
    a(new SlotFurnaceResult(player, tileentityfurnace, 2, 116, 35));
    player = playerinventory;
    


    for (int i = 0; i < 3; i++) {
      for (int j = 0; j < 9; j++) {
        a(new Slot(playerinventory, j + i * 9 + 9, 8 + j * 18, 84 + i * 18));
      }
    }
    
    for (i = 0; i < 9; i++) {
      a(new Slot(playerinventory, i, 8 + i * 18, 142));
    }
  }
  
  public void addSlotListener(ICrafting icrafting) {
    super.addSlotListener(icrafting);
    icrafting.setContainerData(this, 0, furnace.cookTime);
    icrafting.setContainerData(this, 1, furnace.burnTime);
    icrafting.setContainerData(this, 2, furnace.ticksForCurrentFuel);
  }
  
  public void b() {
    super.b();
    
    for (int i = 0; i < listeners.size(); i++) {
      ICrafting icrafting = (ICrafting)listeners.get(i);
      
      if (f != furnace.cookTime) {
        icrafting.setContainerData(this, 0, furnace.cookTime);
      }
      
      if (g != furnace.burnTime) {
        icrafting.setContainerData(this, 1, furnace.burnTime);
      }
      
      if (h != furnace.ticksForCurrentFuel) {
        icrafting.setContainerData(this, 2, furnace.ticksForCurrentFuel);
      }
    }
    
    f = furnace.cookTime;
    g = furnace.burnTime;
    h = furnace.ticksForCurrentFuel;
  }
  
  public boolean a(EntityHuman entityhuman) {
    if (!checkReachable) return true;
    return furnace.a(entityhuman);
  }
  
  public ItemStack b(EntityHuman entityhuman, int i) {
    ItemStack itemstack = null;
    Slot slot = (Slot)c.get(i);
    
    if ((slot != null) && (slot.e())) {
      ItemStack itemstack1 = slot.getItem();
      
      itemstack = itemstack1.cloneItemStack();
      if (i == 2) {
        if (!a(itemstack1, 3, 39, true)) {
          return null;
        }
        
        slot.a(itemstack1, itemstack);
      } else if ((i != 1) && (i != 0)) {
        if (RecipesFurnace.getInstance().getResult(itemstack1) != null) {
          if (!a(itemstack1, 0, 1, false)) {
            return null;
          }
        } else if (TileEntityFurnace.isFuel(itemstack1)) {
          if (!a(itemstack1, 1, 2, false)) {
            return null;
          }
        } else if ((i >= 3) && (i < 30)) {
          if (!a(itemstack1, 30, 39, false)) {
            return null;
          }
        } else if ((i >= 30) && (i < 39) && (!a(itemstack1, 3, 30, false))) {
          return null;
        }
      } else if (!a(itemstack1, 3, 39, false)) {
        return null;
      }
      
      if (count == 0) {
        slot.set((ItemStack)null);
      } else {
        slot.f();
      }
      
      if (count == count) {
        return null;
      }
      
      slot.a(entityhuman, itemstack1);
    }
    
    return itemstack;
  }
}
