package net.minecraft.server.v1_7_R1;

import java.util.List;
import org.bukkit.craftbukkit.v1_7_R1.inventory.CraftInventory;
import org.bukkit.craftbukkit.v1_7_R1.inventory.CraftInventoryView;



public class ContainerHopper
  extends Container
{
  private final IInventory hopper;
  private CraftInventoryView bukkitEntity = null;
  private PlayerInventory player;
  
  public CraftInventoryView getBukkitView() {
    if (bukkitEntity != null) {
      return bukkitEntity;
    }
    
    CraftInventory inventory = new CraftInventory(hopper);
    bukkitEntity = new CraftInventoryView(player.player.getBukkitEntity(), inventory, this);
    return bukkitEntity;
  }
  
  public ContainerHopper(PlayerInventory playerinventory, IInventory iinventory)
  {
    hopper = iinventory;
    player = playerinventory;
    iinventory.startOpen();
    byte b0 = 51;
    


    for (int i = 0; i < iinventory.getSize(); i++) {
      a(new Slot(iinventory, i, 44 + i * 18, 20));
    }
    
    for (i = 0; i < 3; i++) {
      for (int j = 0; j < 9; j++) {
        a(new Slot(playerinventory, j + i * 9 + 9, 8 + j * 18, i * 18 + b0));
      }
    }
    
    for (i = 0; i < 9; i++) {
      a(new Slot(playerinventory, i, 8 + i * 18, 58 + b0));
    }
  }
  
  public boolean a(EntityHuman entityhuman) {
    if (!checkReachable) return true;
    return hopper.a(entityhuman);
  }
  
  public ItemStack b(EntityHuman entityhuman, int i) {
    ItemStack itemstack = null;
    Slot slot = (Slot)c.get(i);
    
    if ((slot != null) && (slot.e())) {
      ItemStack itemstack1 = slot.getItem();
      
      itemstack = itemstack1.cloneItemStack();
      if (i < hopper.getSize()) {
        if (!a(itemstack1, hopper.getSize(), c.size(), true)) {
          return null;
        }
      } else if (!a(itemstack1, 0, hopper.getSize(), false)) {
        return null;
      }
      
      if (count == 0) {
        slot.set((ItemStack)null);
      } else {
        slot.f();
      }
    }
    
    return itemstack;
  }
  
  public void b(EntityHuman entityhuman) {
    super.b(entityhuman);
    hopper.l_();
  }
}
