package net.minecraft.server.v1_7_R1;

import java.util.List;
import org.bukkit.craftbukkit.v1_7_R1.inventory.CraftInventoryMerchant;
import org.bukkit.craftbukkit.v1_7_R1.inventory.CraftInventoryView;

public class ContainerMerchant extends Container
{
  private IMerchant merchant;
  private InventoryMerchant f;
  private final World g;
  private CraftInventoryView bukkitEntity = null;
  private PlayerInventory player;
  
  public CraftInventoryView getBukkitView()
  {
    if (bukkitEntity == null) {
      bukkitEntity = new CraftInventoryView(player.player.getBukkitEntity(), new CraftInventoryMerchant(getMerchantInventory()), this);
    }
    return bukkitEntity;
  }
  

  public ContainerMerchant(PlayerInventory playerinventory, IMerchant imerchant, World world)
  {
    merchant = imerchant;
    g = world;
    f = new InventoryMerchant(player, imerchant);
    a(new Slot(f, 0, 36, 53));
    a(new Slot(f, 1, 62, 53));
    a(new SlotMerchantResult(player, imerchant, f, 2, 120, 53));
    player = playerinventory;
    


    for (int i = 0; i < 3; i++) {
      for (int j = 0; j < 9; j++) {
        a(new Slot(playerinventory, j + i * 9 + 9, 8 + j * 18, 84 + i * 18));
      }
    }
    
    for (i = 0; i < 9; i++) {
      a(new Slot(playerinventory, i, 8 + i * 18, 142));
    }
  }
  
  public InventoryMerchant getMerchantInventory() {
    return f;
  }
  
  public void addSlotListener(ICrafting icrafting) {
    super.addSlotListener(icrafting);
  }
  
  public void b() {
    super.b();
  }
  
  public void a(IInventory iinventory) {
    f.h();
    super.a(iinventory);
  }
  
  public void e(int i) {
    f.c(i);
  }
  
  public boolean a(EntityHuman entityhuman) {
    return merchant.b() == entityhuman;
  }
  
  public ItemStack b(EntityHuman entityhuman, int i) {
    ItemStack itemstack = null;
    Slot slot = (Slot)c.get(i);
    
    if ((slot != null) && (slot.e())) {
      ItemStack itemstack1 = slot.getItem();
      
      itemstack = itemstack1.cloneItemStack();
      if (i == 2) {
        if (!a(itemstack1, 3, 39, true)) {
          return null;
        }
        
        slot.a(itemstack1, itemstack);
      } else if ((i != 0) && (i != 1)) {
        if ((i >= 3) && (i < 30)) {
          if (!a(itemstack1, 30, 39, false)) {
            return null;
          }
        } else if ((i >= 30) && (i < 39) && (!a(itemstack1, 3, 30, false))) {
          return null;
        }
      } else if (!a(itemstack1, 3, 39, false)) {
        return null;
      }
      
      if (count == 0) {
        slot.set((ItemStack)null);
      } else {
        slot.f();
      }
      
      if (count == count) {
        return null;
      }
      
      slot.a(entityhuman, itemstack1);
    }
    
    return itemstack;
  }
  
  public void b(EntityHuman entityhuman) {
    super.b(entityhuman);
    merchant.a_((EntityHuman)null);
    super.b(entityhuman);
    if (!g.isStatic) {
      ItemStack itemstack = f.splitWithoutUpdate(0);
      
      if (itemstack != null) {
        entityhuman.drop(itemstack, false);
      }
      
      itemstack = f.splitWithoutUpdate(1);
      if (itemstack != null) {
        entityhuman.drop(itemstack, false);
      }
    }
  }
}
