package net.minecraft.server.v1_7_R1;

import java.util.List;
import org.bukkit.craftbukkit.v1_7_R1.inventory.CraftInventoryCrafting;
import org.bukkit.craftbukkit.v1_7_R1.inventory.CraftInventoryView;


public class ContainerWorkbench
  extends Container
{
  public InventoryCrafting craftInventory;
  public IInventory resultInventory;
  private World g;
  private int h;
  private int i;
  private int j;
  private CraftInventoryView bukkitEntity = null;
  
  private PlayerInventory player;
  
  public ContainerWorkbench(PlayerInventory playerinventory, World world, int i, int j, int k)
  {
    resultInventory = new InventoryCraftResult();
    craftInventory = new InventoryCrafting(this, 3, 3, player);
    craftInventory.resultInventory = resultInventory;
    player = playerinventory;
    
    g = world;
    h = i;
    this.i = j;
    this.j = k;
    a(new SlotResult(player, craftInventory, resultInventory, 0, 124, 35));
    



    for (int l = 0; l < 3; l++) {
      for (int i1 = 0; i1 < 3; i1++) {
        a(new Slot(craftInventory, i1 + l * 3, 30 + i1 * 18, 17 + l * 18));
      }
    }
    
    for (l = 0; l < 3; l++) {
      for (int i1 = 0; i1 < 9; i1++) {
        a(new Slot(playerinventory, i1 + l * 9 + 9, 8 + i1 * 18, 84 + l * 18));
      }
    }
    
    for (l = 0; l < 9; l++) {
      a(new Slot(playerinventory, l, 8 + l * 18, 142));
    }
    
    a(craftInventory);
  }
  
  public void a(IInventory iinventory)
  {
    getInstance()lastCraftView = getBukkitView();
    ItemStack craftResult = CraftingManager.getInstance().craft(craftInventory, g);
    resultInventory.setItem(0, craftResult);
    if (listeners.size() < 1) {
      return;
    }
    
    EntityPlayer player = (EntityPlayer)listeners.get(0);
    playerConnection.sendPacket(new PacketPlayOutSetSlot(activeContainer.windowId, 0, craftResult));
  }
  
  public void b(EntityHuman entityhuman)
  {
    super.b(entityhuman);
    if (!g.isStatic) {
      for (int i = 0; i < 9; i++) {
        ItemStack itemstack = craftInventory.splitWithoutUpdate(i);
        
        if (itemstack != null) {
          entityhuman.drop(itemstack, false);
        }
      }
    }
  }
  
  public boolean a(EntityHuman entityhuman) {
    if (!checkReachable) return true;
    return g.getType(h, i, j) == Blocks.WORKBENCH;
  }
  
  public ItemStack b(EntityHuman entityhuman, int i) {
    ItemStack itemstack = null;
    Slot slot = (Slot)c.get(i);
    
    if ((slot != null) && (slot.e())) {
      ItemStack itemstack1 = slot.getItem();
      
      itemstack = itemstack1.cloneItemStack();
      if (i == 0) {
        if (!a(itemstack1, 10, 46, true)) {
          return null;
        }
        
        slot.a(itemstack1, itemstack);
      } else if ((i >= 10) && (i < 37)) {
        if (!a(itemstack1, 37, 46, false)) {
          return null;
        }
      } else if ((i >= 37) && (i < 46)) {
        if (!a(itemstack1, 10, 37, false)) {
          return null;
        }
      } else if (!a(itemstack1, 10, 46, false)) {
        return null;
      }
      
      if (count == 0) {
        slot.set((ItemStack)null);
      } else {
        slot.f();
      }
      
      if (count == count) {
        return null;
      }
      
      slot.a(entityhuman, itemstack1);
    }
    
    return itemstack;
  }
  
  public boolean a(ItemStack itemstack, Slot slot) {
    return (inventory != resultInventory) && (super.a(itemstack, slot));
  }
  
  public CraftInventoryView getBukkitView()
  {
    if (bukkitEntity != null) {
      return bukkitEntity;
    }
    
    CraftInventoryCrafting inventory = new CraftInventoryCrafting(craftInventory, resultInventory);
    bukkitEntity = new CraftInventoryView(player.player.getBukkitEntity(), inventory, this);
    return bukkitEntity;
  }
}
