package net.minecraft.server.v1_7_R1;

import java.util.Random;

public class EntityBlaze extends EntityMonster { private float bp = 0.5F;
  private int bq;
  private int br;
  
  public EntityBlaze(World world) {
    super(world);
    fireProof = true;
    b = 10;
  }
  
  protected void aD() {
    super.aD();
    getAttributeInstance(GenericAttributes.e).setValue(6.0D);
  }
  
  protected void c() {
    super.c();
    datawatcher.a(16, new Byte((byte)0));
  }
  
  protected String t() {
    return "mob.blaze.breathe";
  }
  
  protected String aT() {
    return "mob.blaze.hit";
  }
  
  protected String aU() {
    return "mob.blaze.death";
  }
  
  public float d(float f) {
    return 1.0F;
  }
  
  public void e() {
    if (!world.isStatic) {
      if (L()) {
        damageEntity(DamageSource.DROWN, 1.0F);
      }
      
      bq -= 1;
      if (bq <= 0) {
        bq = 100;
        bp = (0.5F + (float)random.nextGaussian() * 3.0F);
      }
      
      if ((bR() != null) && (bR()locY + bR().getHeadHeight() > locY + getHeadHeight() + bp)) {
        motY += (0.300000011920929D - motY) * 0.300000011920929D;
      }
    }
    
    if (random.nextInt(24) == 0) {
      world.makeSound(locX + 0.5D, locY + 0.5D, locZ + 0.5D, "fire.fire", 1.0F + random.nextFloat(), random.nextFloat() * 0.7F + 0.3F);
    }
    
    if ((!onGround) && (motY < 0.0D)) {
      motY *= 0.6D;
    }
    
    for (int i = 0; i < 2; i++) {
      world.addParticle("largesmoke", locX + (random.nextDouble() - 0.5D) * width, locY + random.nextDouble() * length, locZ + (random.nextDouble() - 0.5D) * width, 0.0D, 0.0D, 0.0D);
    }
    
    super.e();
  }
  
  protected void a(Entity entity, float f) {
    if ((attackTicks <= 0) && (f < 2.0F) && (boundingBox.e > boundingBox.b) && (boundingBox.b < boundingBox.e)) {
      attackTicks = 20;
      m(entity);
    } else if (f < 30.0F) {
      double d0 = locX - locX;
      double d1 = boundingBox.b + length / 2.0F - (locY + length / 2.0F);
      double d2 = locZ - locZ;
      
      if (attackTicks == 0) {
        br += 1;
        if (br == 1) {
          attackTicks = 60;
          a(true);
        } else if (br <= 4) {
          attackTicks = 6;
        } else {
          attackTicks = 100;
          br = 0;
          a(false);
        }
        
        if (br > 1) {
          float f1 = MathHelper.c(f) * 0.5F;
          
          world.a((EntityHuman)null, 1009, (int)locX, (int)locY, (int)locZ, 0);
          
          for (int i = 0; i < 1; i++) {
            EntitySmallFireball entitysmallfireball = new EntitySmallFireball(world, this, d0 + random.nextGaussian() * f1, d1, d2 + random.nextGaussian() * f1);
            
            locY = (locY + length / 2.0F + 0.5D);
            world.addEntity(entitysmallfireball);
          }
        }
      }
      
      yaw = ((float)(Math.atan2(d2, d0) * 180.0D / 3.141592741012573D) - 90.0F);
      bn = true;
    }
  }
  
  protected void b(float f) {}
  
  protected Item getLoot() {
    return Items.BLAZE_ROD;
  }
  
  public boolean isBurning() {
    return bX();
  }
  
  protected void dropDeathLoot(boolean flag, int i)
  {
    java.util.List<org.bukkit.inventory.ItemStack> loot = new java.util.ArrayList();
    
    if (flag) {
      int j = random.nextInt(2 + i);
      
      if (j > 0) {
        loot.add(new org.bukkit.inventory.ItemStack(org.bukkit.craftbukkit.v1_7_R1.util.CraftMagicNumbers.getMaterial(Items.BLAZE_ROD), j));
      }
    }
    
    org.bukkit.craftbukkit.v1_7_R1.event.CraftEventFactory.callEntityDeathEvent(this, loot);
  }
  
  public boolean bX()
  {
    return (datawatcher.getByte(16) & 0x1) != 0;
  }
  
  public void a(boolean flag) {
    byte b0 = datawatcher.getByte(16);
    
    if (flag) {
      b0 = (byte)(b0 | 0x1);
    } else {
      b0 = (byte)(b0 & 0xFFFFFFFE);
    }
    
    datawatcher.watch(16, Byte.valueOf(b0));
  }
  
  protected boolean j_() {
    return true;
  }
}
