package net.minecraft.server.v1_7_R1;

import java.util.Iterator;
import java.util.List;
import java.util.Random;
import org.bukkit.block.BlockState;
import org.bukkit.craftbukkit.v1_7_R1.CraftServer;
import org.bukkit.craftbukkit.v1_7_R1.entity.CraftEntity;
import org.bukkit.craftbukkit.v1_7_R1.util.BlockStateListPopulator;
import org.bukkit.event.entity.EntityCreatePortalEvent;
import org.bukkit.event.entity.EntityDamageEvent;
import org.bukkit.event.entity.EntityExplodeEvent;
import org.bukkit.event.entity.EntityRegainHealthEvent;
import org.bukkit.event.entity.EntityTargetEvent;
import org.bukkit.plugin.PluginManager;

public class EntityEnderDragon extends EntityInsentient implements IComplex, IMonster
{
  public double h;
  public double i;
  public double j;
  public double[][] bn = new double[64][3];
  public int bo = -1;
  public EntityComplexPart[] children;
  public EntityComplexPart bq;
  public EntityComplexPart br;
  public EntityComplexPart bs;
  public EntityComplexPart bt;
  public EntityComplexPart bu;
  public EntityComplexPart bv;
  public EntityComplexPart bw;
  public float bx;
  public float by;
  public boolean bz;
  public boolean bA;
  private Entity bD;
  public int bB;
  public EntityEnderCrystal bC;
  private Explosion explosionSource = new Explosion(null, this, (0.0D / 0.0D), (0.0D / 0.0D), (0.0D / 0.0D), (0.0F / 0.0F));
  
  public EntityEnderDragon(World world) {
    super(world); EntityComplexPart[] 
      tmp51_48 = new EntityComplexPart[7]; void tmp68_65 = new EntityComplexPart(this, "head", 6.0F, 6.0F);bq = tmp68_65;tmp51_48[0] = tmp68_65; EntityComplexPart[] tmp73_51 = tmp51_48; void tmp90_87 = new EntityComplexPart(this, "body", 8.0F, 8.0F);br = tmp90_87;tmp73_51[1] = tmp90_87; EntityComplexPart[] tmp95_73 = tmp73_51; void tmp112_109 = new EntityComplexPart(this, "tail", 4.0F, 4.0F);bs = tmp112_109;tmp95_73[2] = tmp112_109; EntityComplexPart[] tmp117_95 = tmp95_73; void tmp134_131 = new EntityComplexPart(this, "tail", 4.0F, 4.0F);bt = tmp134_131;tmp117_95[3] = tmp134_131; EntityComplexPart[] tmp139_117 = tmp117_95; void tmp156_153 = new EntityComplexPart(this, "tail", 4.0F, 4.0F);bu = tmp156_153;tmp139_117[4] = tmp156_153; EntityComplexPart[] tmp161_139 = tmp139_117; void tmp178_175 = new EntityComplexPart(this, "wing", 4.0F, 4.0F);bv = tmp178_175;tmp161_139[5] = tmp178_175; EntityComplexPart[] tmp183_161 = tmp161_139; void tmp201_198 = new EntityComplexPart(this, "wing", 4.0F, 4.0F);bw = tmp201_198;tmp183_161[6] = tmp201_198;children = tmp183_161;
    setHealth(getMaxHealth());
    a(16.0F, 8.0F);
    Y = true;
    fireProof = true;
    i = 100.0D;
    al = true;
  }
  
  protected void aD() {
    super.aD();
    getAttributeInstance(GenericAttributes.a).setValue(200.0D);
  }
  
  protected void c() {
    super.c();
  }
  
  public double[] b(int i, float f) {
    if (getHealth() <= 0.0F) {
      f = 0.0F;
    }
    
    f = 1.0F - f;
    int j = bo - i * 1 & 0x3F;
    int k = bo - i * 1 - 1 & 0x3F;
    double[] adouble = new double[3];
    double d0 = bn[j][0];
    double d1 = MathHelper.g(bn[k][0] - d0);
    
    adouble[0] = (d0 + d1 * f);
    d0 = bn[j][1];
    d1 = bn[k][1] - d0;
    adouble[1] = (d0 + d1 * f);
    adouble[2] = (bn[j][2] + (bn[k][2] - bn[j][2]) * f);
    return adouble;
  }
  


  public void e()
  {
    if (world.isStatic) {
      float f = MathHelper.cos(by * 3.141593F * 2.0F);
      float f1 = MathHelper.cos(bx * 3.141593F * 2.0F);
      if ((f1 <= -0.3F) && (f >= -0.3F)) {
        world.a(locX, locY, locZ, "mob.enderdragon.wings", 5.0F, 0.8F + random.nextFloat() * 0.3F, false);
      }
    }
    
    bx = by;
    

    if (getHealth() <= 0.0F) {
      float f = (random.nextFloat() - 0.5F) * 8.0F;
      float f1 = (random.nextFloat() - 0.5F) * 4.0F;
      float f2 = (random.nextFloat() - 0.5F) * 8.0F;
      world.addParticle("largeexplode", locX + f, locY + 2.0D + f1, locZ + f2, 0.0D, 0.0D, 0.0D);
    } else {
      bN();
      float f = 0.2F / (MathHelper.sqrt(motX * motX + motZ * motZ) * 10.0F + 1.0F);
      f *= (float)Math.pow(2.0D, motY);
      if (bA) {
        by += f * 0.5F;
      } else {
        by += f;
      }
      
      yaw = MathHelper.g(yaw);
      if (bo < 0) {
        for (int d05 = 0; d05 < bn.length; d05++) {
          bn[d05][0] = yaw;
          bn[d05][1] = locY;
        }
      }
      
      if (++bo == bn.length) {
        bo = 0;
      }
      
      bn[bo][0] = yaw;
      bn[bo][1] = locY;
      





      if (world.isStatic) {
        if (bh > 0) {
          double d0 = locX + (bi - locX) / bh;
          double d1 = locY + (bj - locY) / bh;
          double d2 = locZ + (bk - locZ) / bh;
          double d3 = MathHelper.g(bl - yaw);
          yaw = ((float)(yaw + d3 / bh));
          pitch = ((float)(pitch + (bm - pitch) / bh));
          bh -= 1;
          setPosition(d0, d1, d2);
          b(yaw, pitch);
        }
      } else {
        double d0 = h - locX;
        double d1 = i - locY;
        double d2 = this.j - locZ;
        double d3 = d0 * d0 + d1 * d1 + d2 * d2;
        if (bD != null) {
          h = bD.locX;
          this.j = bD.locZ;
          double d4 = h - locX;
          double d5 = this.j - locZ;
          double d6 = Math.sqrt(d4 * d4 + d5 * d5);
          double d7 = 0.4000000059604645D + d6 / 80.0D - 1.0D;
          
          if (d7 > 10.0D) {
            d7 = 10.0D;
          }
          
          i = (bD.boundingBox.b + d7);
        } else {
          h += random.nextGaussian() * 2.0D;
          this.j += random.nextGaussian() * 2.0D;
        }
        
        if ((bz) || (d3 < 100.0D) || (d3 > 22500.0D) || (positionChanged) || (G)) {
          bO();
        }
        
        d1 /= MathHelper.sqrt(d0 * d0 + d2 * d2);
        float f3 = 0.6F;
        if (d1 < -f3) {
          d1 = -f3;
        }
        
        if (d1 > f3) {
          d1 = f3;
        }
        
        motY += d1 * 0.1000000014901161D;
        yaw = MathHelper.g(yaw);
        double d8 = 180.0D - Math.atan2(d0, d2) * 180.0D / 3.141592741012573D;
        double d9 = MathHelper.g(d8 - yaw);
        
        if (d9 > 50.0D) {
          d9 = 50.0D;
        }
        
        if (d9 < -50.0D) {
          d9 = -50.0D;
        }
        
        Vec3D vec3d = world.getVec3DPool().create(h - locX, i - locY, this.j - locZ).a();
        Vec3D vec3d1 = world.getVec3DPool().create(MathHelper.sin(yaw * 3.141593F / 180.0F), motY, -MathHelper.cos(yaw * 3.141593F / 180.0F)).a();
        float f4 = (float)(vec3d1.b(vec3d) + 0.5D) / 1.5F;
        
        if (f4 < 0.0F) {
          f4 = 0.0F;
        }
        
        bg *= 0.8F;
        float f5 = MathHelper.sqrt(motX * motX + motZ * motZ) * 1.0F + 1.0F;
        double d10 = Math.sqrt(motX * motX + motZ * motZ) * 1.0D + 1.0D;
        
        if (d10 > 40.0D) {
          d10 = 40.0D;
        }
        
        bg = ((float)(bg + d9 * (0.699999988079071D / d10 / f5)));
        yaw += bg * 0.1F;
        float f6 = (float)(2.0D / (d10 + 1.0D));
        float f7 = 0.06F;
        
        a(0.0F, -1.0F, f7 * (f4 * f6 + (1.0F - f6)));
        if (bA) {
          move(motX * 0.800000011920929D, motY * 0.800000011920929D, motZ * 0.800000011920929D);
        } else {
          move(motX, motY, motZ);
        }
        
        Vec3D vec3d2 = world.getVec3DPool().create(motX, motY, motZ).a();
        float f8 = (float)(vec3d2.b(vec3d1) + 1.0D) / 2.0F;
        
        f8 = 0.8F + 0.15F * f8;
        motX *= f8;
        motZ *= f8;
        motY *= 0.910000026226044D;
      }
      
      aN = yaw;
      bq.width = (bq.length = 3.0F);
      bs.width = (bs.length = 2.0F);
      bt.width = (bt.length = 2.0F);
      bu.width = (bu.length = 2.0F);
      br.length = 3.0F;
      br.width = 5.0F;
      bv.length = 2.0F;
      bv.width = 4.0F;
      bw.length = 3.0F;
      bw.width = 4.0F;
      float f1 = (float)(b(5, 1.0F)[1] - b(10, 1.0F)[1]) * 10.0F / 180.0F * 3.141593F;
      float f2 = MathHelper.cos(f1);
      float f9 = -MathHelper.sin(f1);
      float f10 = yaw * 3.141593F / 180.0F;
      float f11 = MathHelper.sin(f10);
      float f12 = MathHelper.cos(f10);
      
      br.h();
      br.setPositionRotation(locX + f11 * 0.5F, locY, locZ - f12 * 0.5F, 0.0F, 0.0F);
      bv.h();
      bv.setPositionRotation(locX + f12 * 4.5F, locY + 2.0D, locZ + f11 * 4.5F, 0.0F, 0.0F);
      bw.h();
      bw.setPositionRotation(locX - f12 * 4.5F, locY + 2.0D, locZ - f11 * 4.5F, 0.0F, 0.0F);
      if ((!world.isStatic) && (hurtTicks == 0)) {
        a(world.getEntities(this, bv.boundingBox.grow(4.0D, 2.0D, 4.0D).d(0.0D, -2.0D, 0.0D)));
        a(world.getEntities(this, bw.boundingBox.grow(4.0D, 2.0D, 4.0D).d(0.0D, -2.0D, 0.0D)));
        b(world.getEntities(this, bq.boundingBox.grow(1.0D, 1.0D, 1.0D)));
      }
      
      double[] adouble = b(5, 1.0F);
      double[] adouble1 = b(0, 1.0F);
      
      float f3 = MathHelper.sin(yaw * 3.141593F / 180.0F - bg * 0.01F);
      float f13 = MathHelper.cos(yaw * 3.141593F / 180.0F - bg * 0.01F);
      
      bq.h();
      bq.setPositionRotation(locX + f3 * 5.5F * f2, locY + (adouble1[1] - adouble[1]) * 1.0D + f9 * 5.5F, locZ - f13 * 5.5F * f2, 0.0F, 0.0F);
      
      for (int j = 0; j < 3; j++) {
        EntityComplexPart entitycomplexpart = null;
        
        if (j == 0) {
          entitycomplexpart = bs;
        }
        
        if (j == 1) {
          entitycomplexpart = bt;
        }
        
        if (j == 2) {
          entitycomplexpart = bu;
        }
        
        double[] adouble2 = b(12 + j * 2, 1.0F);
        float f14 = yaw * 3.141593F / 180.0F + b(adouble2[0] - adouble[0]) * 3.141593F / 180.0F * 1.0F;
        float f15 = MathHelper.sin(f14);
        float f16 = MathHelper.cos(f14);
        float f17 = 1.5F;
        float f18 = (j + 1) * 2.0F;
        
        entitycomplexpart.h();
        entitycomplexpart.setPositionRotation(locX - (f11 * f17 + f15 * f18) * f2, locY + (adouble2[1] - adouble[1]) * 1.0D - (f18 + f17) * f9 + 1.5D, locZ + (f12 * f17 + f16 * f18) * f2, 0.0F, 0.0F);
      }
      
      if (!world.isStatic) {
        bA = (a(bq.boundingBox) | a(br.boundingBox));
      }
    }
  }
  
  private void bN() {
    if (bC != null) {
      if (bC.dead) {
        if (!world.isStatic)
        {
          EntityDamageEvent event = new EntityDamageEvent(getBukkitEntity(), org.bukkit.event.entity.EntityDamageEvent.DamageCause.ENTITY_EXPLOSION, 10.0D);
          org.bukkit.Bukkit.getPluginManager().callEvent(event);
          
          if (!event.isCancelled()) {
            getBukkitEntity().setLastDamageCause(event);
            a(bq, DamageSource.explosion((Explosion)null), (float)event.getDamage());
          }
        }
        

        bC = null;
      } else if ((ticksLived % 10 == 0) && (getHealth() < getMaxHealth()))
      {
        EntityRegainHealthEvent event = new EntityRegainHealthEvent(getBukkitEntity(), 1.0D, org.bukkit.event.entity.EntityRegainHealthEvent.RegainReason.ENDER_CRYSTAL);
        world.getServer().getPluginManager().callEvent(event);
        
        if (!event.isCancelled()) {
          setHealth((float)(getHealth() + event.getAmount()));
        }
      }
    }
    

    if (random.nextInt(10) == 0) {
      float f = 32.0F;
      List list = world.a(EntityEnderCrystal.class, boundingBox.grow(f, f, f));
      EntityEnderCrystal entityendercrystal = null;
      double d0 = 1.7976931348623157E+308D;
      Iterator iterator = list.iterator();
      
      while (iterator.hasNext()) {
        EntityEnderCrystal entityendercrystal1 = (EntityEnderCrystal)iterator.next();
        double d1 = entityendercrystal1.e(this);
        
        if (d1 < d0) {
          d0 = d1;
          entityendercrystal = entityendercrystal1;
        }
      }
      
      bC = entityendercrystal;
    }
  }
  
  private void a(List list) {
    double d0 = (br.boundingBox.a + br.boundingBox.d) / 2.0D;
    double d1 = (br.boundingBox.c + br.boundingBox.f) / 2.0D;
    Iterator iterator = list.iterator();
    
    while (iterator.hasNext()) {
      Entity entity = (Entity)iterator.next();
      
      if ((entity instanceof EntityLiving)) {
        double d2 = locX - d0;
        double d3 = locZ - d1;
        double d4 = d2 * d2 + d3 * d3;
        
        entity.g(d2 / d4 * 4.0D, 0.2000000029802322D, d3 / d4 * 4.0D);
      }
    }
  }
  
  private void b(List list) {
    for (int i = 0; i < list.size(); i++) {
      Entity entity = (Entity)list.get(i);
      
      if ((entity instanceof EntityLiving)) {
        entity.damageEntity(DamageSource.mobAttack(this), 10.0F);
      }
    }
  }
  
  private void bO() {
    bz = false;
    if ((random.nextInt(2) == 0) && (!world.players.isEmpty()))
    {
      Entity target = (Entity)world.players.get(random.nextInt(world.players.size()));
      EntityTargetEvent event = new EntityTargetEvent(getBukkitEntity(), target.getBukkitEntity(), org.bukkit.event.entity.EntityTargetEvent.TargetReason.RANDOM_TARGET);
      world.getServer().getPluginManager().callEvent(event);
      
      if (!event.isCancelled()) {
        if (event.getTarget() == null) {
          bD = null;
        } else {
          bD = ((CraftEntity)event.getTarget()).getHandle();
        }
      }
    }
    else {
      boolean flag = false;
      do
      {
        h = 0.0D;
        i = (70.0F + random.nextFloat() * 50.0F);
        j = 0.0D;
        h += random.nextFloat() * 120.0F - 60.0F;
        j += random.nextFloat() * 120.0F - 60.0F;
        double d0 = locX - h;
        double d1 = locY - i;
        double d2 = locZ - j;
        
        flag = d0 * d0 + d1 * d1 + d2 * d2 > 100.0D;
      } while (!flag);
      
      bD = null;
    }
  }
  
  private float b(double d0) {
    return (float)MathHelper.g(d0);
  }
  
  private boolean a(AxisAlignedBB axisalignedbb) {
    int i = MathHelper.floor(a);
    int j = MathHelper.floor(b);
    int k = MathHelper.floor(c);
    int l = MathHelper.floor(d);
    int i1 = MathHelper.floor(e);
    int j1 = MathHelper.floor(f);
    boolean flag = false;
    boolean flag1 = false;
    

    List<org.bukkit.block.Block> destroyedBlocks = new java.util.ArrayList();
    org.bukkit.craftbukkit.v1_7_R1.CraftWorld craftWorld = world.getWorld();
    

    for (int k1 = i; k1 <= l; k1++) {
      for (int l1 = j; l1 <= i1; l1++) {
        for (int i2 = k; i2 <= j1; i2++) {
          Block block = world.getType(k1, l1, i2);
          
          if (block.getMaterial() != Material.AIR) {
            if ((block != Blocks.OBSIDIAN) && (block != Blocks.WHITESTONE) && (block != Blocks.BEDROCK) && (world.getGameRules().getBoolean("mobGriefing")))
            {

              flag1 = true;
              destroyedBlocks.add(craftWorld.getBlockAt(k1, l1, i2));
            }
            else {
              flag = true;
            }
          }
        }
      }
    }
    
    if (flag1)
    {
      org.bukkit.entity.Entity bukkitEntity = getBukkitEntity();
      EntityExplodeEvent event = new EntityExplodeEvent(bukkitEntity, bukkitEntity.getLocation(), destroyedBlocks, 0.0F);
      org.bukkit.Bukkit.getPluginManager().callEvent(event);
      if (event.isCancelled())
      {

        return flag; }
      if (event.getYield() == 0.0F)
      {
        for (org.bukkit.block.Block block : event.blockList()) {
          world.setAir(block.getX(), block.getY(), block.getZ());
        }
      } else {
        for (org.bukkit.block.Block block : event.blockList()) {
          org.bukkit.Material blockId = block.getType();
          if (blockId != org.bukkit.Material.AIR)
          {


            int blockX = block.getX();
            int blockY = block.getY();
            int blockZ = block.getZ();
            
            Block nmsBlock = org.bukkit.craftbukkit.v1_7_R1.util.CraftMagicNumbers.getBlock(blockId);
            if (nmsBlock.a(explosionSource)) {
              nmsBlock.dropNaturally(world, blockX, blockY, blockZ, block.getData(), event.getYield(), 0);
            }
            nmsBlock.wasExploded(world, blockX, blockY, blockZ, explosionSource);
            
            world.setAir(blockX, blockY, blockZ);
          }
        }
      }
      
      double d0 = a + (d - a) * random.nextFloat();
      double d1 = b + (e - b) * random.nextFloat();
      double d2 = c + (f - c) * random.nextFloat();
      
      world.addParticle("largeexplode", d0, d1, d2, 0.0D, 0.0D, 0.0D);
    }
    
    return flag;
  }
  
  public boolean a(EntityComplexPart entitycomplexpart, DamageSource damagesource, float f) {
    if (entitycomplexpart != bq) {
      f = f / 4.0F + 1.0F;
    }
    
    float f1 = yaw * 3.141593F / 180.0F;
    float f2 = MathHelper.sin(f1);
    float f3 = MathHelper.cos(f1);
    
    h = (locX + f2 * 5.0F + (random.nextFloat() - 0.5F) * 2.0F);
    i = (locY + random.nextFloat() * 3.0F + 1.0D);
    j = (locZ - f3 * 5.0F + (random.nextFloat() - 0.5F) * 2.0F);
    bD = null;
    if (((damagesource.getEntity() instanceof EntityHuman)) || (damagesource.c())) {
      dealDamage(damagesource, f);
    }
    
    return true;
  }
  
  public boolean damageEntity(DamageSource damagesource, float f) {
    return false;
  }
  
  public boolean dealDamage(DamageSource damagesource, float f) {
    return super.damageEntity(damagesource, f);
  }
  
  protected void aF() {
    if (dead) return;
    bB += 1;
    if ((bB >= 180) && (bB <= 200)) {
      float f = (random.nextFloat() - 0.5F) * 8.0F;
      float f1 = (random.nextFloat() - 0.5F) * 4.0F;
      float f2 = (random.nextFloat() - 0.5F) * 8.0F;
      
      world.addParticle("hugeexplosion", locX + f, locY + 2.0D + f1, locZ + f2, 0.0D, 0.0D, 0.0D);
    }
    



    if (!world.isStatic) {
      if ((bB > 150) && (bB % 5 == 0)) {
        int i = expToDrop / 12;
        
        while (i > 0) {
          int j = EntityExperienceOrb.getOrbValue(i);
          i -= j;
          world.addEntity(new EntityExperienceOrb(world, locX, locY, locZ, j));
        }
      }
      
      if (bB == 1) {
        world.b(1018, (int)locX, (int)locY, (int)locZ, 0);
      }
    }
    
    move(0.0D, 0.1000000014901161D, 0.0D);
    aN = (this.yaw += 20.0F);
    if ((bB == 200) && (!world.isStatic)) {
      int i = expToDrop - 10 * expToDrop / 12;
      
      while (i > 0) {
        int j = EntityExperienceOrb.getOrbValue(i);
        i -= j;
        world.addEntity(new EntityExperienceOrb(world, locX, locY, locZ, j));
      }
      
      b(MathHelper.floor(locX), MathHelper.floor(locZ));
      die();
    }
  }
  
  private void b(int i, int j) {
    byte b0 = 64;
    
    BlockEnderPortal.a = true;
    byte b1 = 4;
    

    BlockStateListPopulator world = new BlockStateListPopulator(this.world.getWorld());
    
    for (int k = b0 - 1; k <= b0 + 32; k++) {
      for (int l = i - b1; l <= i + b1; l++) {
        for (int i1 = j - b1; i1 <= j + b1; i1++) {
          double d0 = l - i;
          double d1 = i1 - j;
          double d2 = d0 * d0 + d1 * d1;
          
          if (d2 <= (b1 - 0.5D) * (b1 - 0.5D)) {
            if (k < b0) {
              if (d2 <= (b1 - 1 - 0.5D) * (b1 - 1 - 0.5D)) {
                world.setTypeUpdate(l, k, i1, Blocks.BEDROCK);
              }
            } else if (k > b0) {
              world.setTypeUpdate(l, k, i1, Blocks.AIR);
            } else if (d2 > (b1 - 1 - 0.5D) * (b1 - 1 - 0.5D)) {
              world.setTypeUpdate(l, k, i1, Blocks.BEDROCK);
            } else {
              world.setTypeUpdate(l, k, i1, Blocks.ENDER_PORTAL);
            }
          }
        }
      }
    }
    
    world.setType(i, b0 + 0, j, Blocks.BEDROCK);
    world.setType(i, b0 + 1, j, Blocks.BEDROCK);
    world.setType(i, b0 + 2, j, Blocks.BEDROCK);
    world.setTypeAndData(i - 1, b0 + 2, j, Blocks.TORCH, 2, 0);
    world.setTypeAndData(i + 1, b0 + 2, j, Blocks.TORCH, 1, 0);
    world.setTypeAndData(i, b0 + 2, j - 1, Blocks.TORCH, 4, 0);
    world.setTypeAndData(i, b0 + 2, j + 1, Blocks.TORCH, 3, 0);
    world.setType(i, b0 + 3, j, Blocks.BEDROCK);
    world.setType(i, b0 + 4, j, Blocks.DRAGON_EGG);
    
    EntityCreatePortalEvent event = new EntityCreatePortalEvent((org.bukkit.entity.LivingEntity)getBukkitEntity(), java.util.Collections.unmodifiableList(world.getList()), org.bukkit.PortalType.ENDER);
    this.world.getServer().getPluginManager().callEvent(event);
    
    if (!event.isCancelled()) {
      for (BlockState state : event.getBlocks()) {
        state.update(true);
      }
    } else {
      for (BlockState state : event.getBlocks()) {
        packet = new PacketPlayOutBlockChange(state.getX(), state.getY(), state.getZ(), this.world);
        for (it = worldplayers.iterator(); it.hasNext();) {
          EntityHuman entity = (EntityHuman)it.next();
          if ((entity instanceof EntityPlayer)) {
            playerConnection.sendPacket(packet);
          }
        }
      }
    }
    PacketPlayOutBlockChange packet;
    Iterator it;
    BlockEnderPortal.a = false;
  }
  
  protected void w() {}
  
  public Entity[] at() {
    return children;
  }
  
  public boolean R() {
    return false;
  }
  
  public World a() {
    return world;
  }
  
  protected String t() {
    return "mob.enderdragon.growl";
  }
  
  protected String aT() {
    return "mob.enderdragon.hit";
  }
  
  protected float bf() {
    return 5.0F;
  }
  


  public int getExpReward()
  {
    return 12000;
  }
}
