package net.minecraft.server.v1_7_R1;

import java.util.Collection;
import java.util.Iterator;
import java.util.List;
import java.util.Random;
import java.util.UUID;
import net.minecraft.util.com.mojang.authlib.GameProfile;
import org.bukkit.craftbukkit.v1_7_R1.CraftServer;
import org.bukkit.craftbukkit.v1_7_R1.CraftWorld;
import org.bukkit.craftbukkit.v1_7_R1.entity.CraftItem;
import org.bukkit.craftbukkit.v1_7_R1.inventory.CraftItemStack;
import org.bukkit.craftbukkit.v1_7_R1.scoreboard.CraftScoreboard;
import org.bukkit.craftbukkit.v1_7_R1.scoreboard.CraftScoreboardManager;
import org.bukkit.entity.Player;
import org.bukkit.event.entity.EntityCombustByEntityEvent;
import org.bukkit.event.player.PlayerBedEnterEvent;
import org.bukkit.event.player.PlayerDropItemEvent;
import org.bukkit.event.player.PlayerItemConsumeEvent;
import org.bukkit.plugin.PluginManager;
import org.bukkit.scoreboard.Team;

public abstract class EntityHuman extends EntityLiving implements ICommandListener
{
  public PlayerInventory inventory = new PlayerInventory(this);
  private InventoryEnderChest enderChest = new InventoryEnderChest();
  public Container defaultContainer;
  public Container activeContainer;
  protected FoodMetaData foodData = new FoodMetaData(this);
  
  protected int br;
  public float bs;
  public float bt;
  public int bu;
  public double bv;
  public double bw;
  public double bx;
  public double by;
  public double bz;
  public double bA;
  public boolean sleeping;
  public boolean fauxSleeping;
  public String spawnWorld = "";
  public ChunkCoordinates bC;
  
  public org.bukkit.craftbukkit.v1_7_R1.entity.CraftHumanEntity getBukkitEntity() {
    return (org.bukkit.craftbukkit.v1_7_R1.entity.CraftHumanEntity)super.getBukkitEntity();
  }
  

  public int sleepTicks;
  
  public float bD;
  public float bE;
  private ChunkCoordinates c;
  private boolean d;
  private ChunkCoordinates e;
  public PlayerAbilities abilities = new PlayerAbilities();
  public int oldLevel = -1;
  public int expLevel;
  public int expTotal;
  public float exp;
  private ItemStack f;
  private int g;
  protected float bJ = 0.1F;
  protected float bK = 0.02F;
  private int h;
  private final GameProfile i;
  public EntityFishingHook hookedFish;
  
  public EntityHuman(World world, GameProfile gameprofile) {
    super(world);
    uniqueID = a(gameprofile);
    i = gameprofile;
    defaultContainer = new ContainerPlayer(inventory, !isStatic, this);
    activeContainer = defaultContainer;
    height = 1.62F;
    ChunkCoordinates chunkcoordinates = world.getSpawn();
    
    setPositionRotation(x + 0.5D, y + 1, z + 0.5D, 0.0F, 0.0F);
    ba = 180.0F;
    maxFireTicks = 20;
  }
  
  protected void aD() {
    super.aD();
    bc().b(GenericAttributes.e).setValue(1.0D);
  }
  
  protected void c() {
    super.c();
    datawatcher.a(16, Byte.valueOf((byte)0));
    datawatcher.a(17, Float.valueOf(0.0F));
    datawatcher.a(18, Integer.valueOf(0));
  }
  
  public boolean bw() {
    return f != null;
  }
  
  public void by() {
    if (f != null) {
      f.b(world, this, g);
    }
    
    bz();
  }
  
  public void bz() {
    f = null;
    g = 0;
    if (!world.isStatic) {
      e(false);
    }
  }
  
  public boolean isBlocking() {
    return (bw()) && (f.getItem().d(f) == EnumAnimation.BLOCK);
  }
  
  public void h() {
    if (f != null) {
      ItemStack itemstack = inventory.getItemInHand();
      
      if (itemstack == f) {
        if ((g <= 25) && (g % 4 == 0)) {
          c(itemstack, 5);
        }
        
        if ((--g == 0) && (!world.isStatic)) {
          p();
        }
      } else {
        bz();
      }
    }
    
    if (bu > 0) {
      bu -= 1;
    }
    
    if (isSleeping()) {
      sleepTicks += 1;
      if (sleepTicks > 100) {
        sleepTicks = 100;
      }
      
      if (!world.isStatic) {
        if (!j()) {
          a(true, true, false);
        } else if (world.v()) {
          a(false, true, true);
        }
      }
    } else if (sleepTicks > 0) {
      sleepTicks += 1;
      if (sleepTicks >= 110) {
        sleepTicks = 0;
      }
    }
    
    super.h();
    if ((!world.isStatic) && (activeContainer != null) && (!activeContainer.a(this))) {
      closeInventory();
      activeContainer = defaultContainer;
    }
    
    if ((isBurning()) && (abilities.isInvulnerable)) {
      extinguish();
    }
    
    bv = by;
    bw = bz;
    bx = bA;
    double d0 = locX - by;
    double d1 = locY - bz;
    double d2 = locZ - bA;
    double d3 = 10.0D;
    
    if (d0 > d3) {
      bv = (this.by = locX);
    }
    
    if (d2 > d3) {
      bx = (this.bA = locZ);
    }
    
    if (d1 > d3) {
      bw = (this.bz = locY);
    }
    
    if (d0 < -d3) {
      bv = (this.by = locX);
    }
    
    if (d2 < -d3) {
      bx = (this.bA = locZ);
    }
    
    if (d1 < -d3) {
      bw = (this.bz = locY);
    }
    
    by += d0 * 0.25D;
    bA += d2 * 0.25D;
    bz += d1 * 0.25D;
    if (vehicle == null) {
      e = null;
    }
    
    if (!world.isStatic) {
      foodData.a(this);
      a(StatisticList.g, 1);
    }
  }
  
  public int D() {
    return abilities.isInvulnerable ? 0 : 80;
  }
  
  protected String H() {
    return "game.player.swim";
  }
  
  protected String O() {
    return "game.player.swim.splash";
  }
  
  public int ai() {
    return 10;
  }
  
  public void makeSound(String s, float f, float f1) {
    world.a(this, s, f, f1);
  }
  
  protected void c(ItemStack itemstack, int i) {
    if (itemstack.o() == EnumAnimation.DRINK) {
      makeSound("random.drink", 0.5F, world.random.nextFloat() * 0.1F + 0.9F);
    }
    
    if (itemstack.o() == EnumAnimation.EAT) {
      for (int j = 0; j < i; j++) {
        Vec3D vec3d = world.getVec3DPool().create((random.nextFloat() - 0.5D) * 0.1D, Math.random() * 0.1D + 0.1D, 0.0D);
        
        vec3d.a(-pitch * 3.141593F / 180.0F);
        vec3d.b(-yaw * 3.141593F / 180.0F);
        Vec3D vec3d1 = world.getVec3DPool().create((random.nextFloat() - 0.5D) * 0.3D, -random.nextFloat() * 0.6D - 0.3D, 0.6D);
        
        vec3d1.a(-pitch * 3.141593F / 180.0F);
        vec3d1.b(-yaw * 3.141593F / 180.0F);
        vec3d1 = vec3d1.add(locX, locY + getHeadHeight(), locZ);
        String s = "iconcrack_" + Item.b(itemstack.getItem());
        
        if (itemstack.usesData()) {
          s = s + "_" + itemstack.getData();
        }
        
        world.addParticle(s, c, d, e, c, d + 0.05D, e);
      }
      
      makeSound("random.eat", 0.5F + 0.5F * random.nextInt(2), (random.nextFloat() - random.nextFloat()) * 0.2F + 1.0F);
    }
  }
  
  protected void p() {
    if (f != null) {
      c(f, 16);
      int i = f.count;
      

      org.bukkit.inventory.ItemStack craftItem = CraftItemStack.asBukkitCopy(f);
      PlayerItemConsumeEvent event = new PlayerItemConsumeEvent((Player)getBukkitEntity(), craftItem);
      world.getServer().getPluginManager().callEvent(event);
      
      if (event.isCancelled())
      {
        if ((this instanceof EntityPlayer)) {
          playerConnection.sendPacket(new PacketPlayOutSetSlot(0, activeContainer.a(inventory, inventory.itemInHandIndex).index, f));
        }
        return;
      }
      

      if (!craftItem.equals(event.getItem())) {
        CraftItemStack.asNMSCopy(event.getItem()).b(world, this);
        

        if ((this instanceof EntityPlayer)) {
          playerConnection.sendPacket(new PacketPlayOutSetSlot(0, activeContainer.a(inventory, inventory.itemInHandIndex).index, f));
        }
        return;
      }
      

      ItemStack itemstack = f.b(world, this);
      
      if ((itemstack != f) || ((itemstack != null) && (count != i))) {
        inventory.items[inventory.itemInHandIndex] = itemstack;
        if (count == 0) {
          inventory.items[inventory.itemInHandIndex] = null;
        }
      }
      
      bz();
    }
  }
  
  protected boolean bh() {
    return (getHealth() <= 0.0F) || (isSleeping());
  }
  
  public void closeInventory()
  {
    activeContainer = defaultContainer;
  }
  
  public void mount(Entity entity)
  {
    setPassengerOf(entity);
  }
  
  public void setPassengerOf(Entity entity)
  {
    if ((vehicle != null) && (entity == null))
    {
      Entity originalVehicle = vehicle;
      











      super.setPassengerOf(entity);
      if ((!world.isStatic) && (vehicle == null)) {
        l(originalVehicle);
      }
    }
    else {
      super.setPassengerOf(entity);
    }
  }
  
  public void ab() {
    if ((!world.isStatic) && (isSneaking())) {
      mount((Entity)null);
      setSneaking(false);
    } else {
      double d0 = locX;
      double d1 = locY;
      double d2 = locZ;
      float f = yaw;
      float f1 = pitch;
      
      super.ab();
      bs = bt;
      bt = 0.0F;
      l(locX - d0, locY - d1, locZ - d2);
      if ((vehicle instanceof EntityPig)) {
        pitch = f1;
        yaw = f;
        aN = vehicle).aN;
      }
    }
  }
  
  protected void bq() {
    super.bq();
    bb();
  }
  
  public void e() {
    if (br > 0) {
      br -= 1;
    }
    
    if ((world.difficulty == EnumDifficulty.PEACEFUL) && (getHealth() < getMaxHealth()) && (world.getGameRules().getBoolean("naturalRegeneration")) && (ticksLived % 20 * 12 == 0))
    {
      heal(1.0F, org.bukkit.event.entity.EntityRegainHealthEvent.RegainReason.REGEN);
    }
    
    inventory.k();
    bs = bt;
    super.e();
    AttributeInstance attributeinstance = getAttributeInstance(GenericAttributes.d);
    
    if (!world.isStatic) {
      attributeinstance.setValue(abilities.b());
    }
    
    aR = bK;
    if (isSprinting()) {
      aR = ((float)(aR + bK * 0.3D));
    }
    
    i((float)attributeinstance.getValue());
    float f = MathHelper.sqrt(motX * motX + motZ * motZ);
    
    float f1 = (float)org.bukkit.craftbukkit.v1_7_R1.TrigMath.atan(-motY * 0.2000000029802322D) * 15.0F;
    
    if (f > 0.1F) {
      f = 0.1F;
    }
    
    if ((!onGround) || (getHealth() <= 0.0F)) {
      f = 0.0F;
    }
    
    if ((onGround) || (getHealth() <= 0.0F)) {
      f1 = 0.0F;
    }
    
    bt += (f - bt) * 0.4F;
    aK += (f1 - aK) * 0.8F;
    if (getHealth() > 0.0F) {
      AxisAlignedBB axisalignedbb = null;
      
      if ((vehicle != null) && (!vehicle.dead)) {
        axisalignedbb = boundingBox.a(vehicle.boundingBox).grow(1.0D, 0.0D, 1.0D);
      } else {
        axisalignedbb = boundingBox.grow(1.0D, 0.5D, 1.0D);
      }
      
      List list = world.getEntities(this, axisalignedbb);
      
      if (list != null) {
        for (int i = 0; i < list.size(); i++) {
          Entity entity = (Entity)list.get(i);
          
          if (!dead) {
            r(entity);
          }
        }
      }
    }
  }
  
  private void r(Entity entity) {
    entity.b_(this);
  }
  
  public int getScore() {
    return datawatcher.getInt(18);
  }
  
  public void setScore(int i) {
    datawatcher.watch(18, Integer.valueOf(i));
  }
  
  public void addScore(int i) {
    int j = getScore();
    
    datawatcher.watch(18, Integer.valueOf(j + i));
  }
  
  public void die(DamageSource damagesource) {
    super.die(damagesource);
    a(0.2F, 0.2F);
    setPosition(locX, locY, locZ);
    motY = 0.1000000014901161D;
    if (getName().equals("Notch")) {
      a(new ItemStack(Items.APPLE, 1), true, false);
    }
    
    if (!world.getGameRules().getBoolean("keepInventory")) {
      inventory.m();
    }
    
    if (damagesource != null) {
      motX = (-MathHelper.cos((aA + yaw) * 3.141593F / 180.0F) * 0.1F);
      motZ = (-MathHelper.sin((aA + yaw) * 3.141593F / 180.0F) * 0.1F);
    } else {
      motX = (this.motZ = 0.0D);
    }
    
    height = 0.1F;
    a(StatisticList.v, 1);
  }
  
  protected String aT() {
    return "game.player.hurt";
  }
  
  protected String aU() {
    return "game.player.die";
  }
  
  public void b(Entity entity, int i) {
    addScore(i);
    
    Collection<ScoreboardScore> collection = world.getServer().getScoreboardManager().getScoreboardScores(IScoreboardCriteria.e, getName(), new java.util.ArrayList());
    
    if ((entity instanceof EntityHuman)) {
      a(StatisticList.y, 1);
      
      world.getServer().getScoreboardManager().getScoreboardScores(IScoreboardCriteria.d, getName(), collection);
    } else {
      a(StatisticList.w, 1);
    }
    
    Iterator iterator = collection.iterator();
    
    while (iterator.hasNext()) {
      ScoreboardScore scoreboardscore = (ScoreboardScore)iterator.next();
      
      scoreboardscore.incrementScore();
    }
  }
  
  public EntityItem a(boolean flag) {
    return a(inventory.splitStack(inventory.itemInHandIndex, (flag) && (inventory.getItemInHand() != null) ? inventory.getItemInHand().count : 1), false, true);
  }
  
  public EntityItem drop(ItemStack itemstack, boolean flag) {
    return a(itemstack, false, false);
  }
  
  public EntityItem a(ItemStack itemstack, boolean flag, boolean flag1) {
    if (itemstack == null)
      return null;
    if (count == 0) {
      return null;
    }
    EntityItem entityitem = new EntityItem(world, locX, locY - 0.300000011920929D + getHeadHeight(), locZ, itemstack);
    
    pickupDelay = 40;
    if (flag1) {
      entityitem.b(getName());
    }
    
    float f = 0.1F;
    

    if (flag) {
      float f1 = random.nextFloat() * 0.5F;
      float f2 = random.nextFloat() * 3.141593F * 2.0F;
      
      motX = (-MathHelper.sin(f2) * f1);
      motZ = (MathHelper.cos(f2) * f1);
      motY = 0.2000000029802322D;
    } else {
      f = 0.3F;
      motX = (-MathHelper.sin(yaw / 180.0F * 3.141593F) * MathHelper.cos(pitch / 180.0F * 3.141593F) * f);
      motZ = (MathHelper.cos(yaw / 180.0F * 3.141593F) * MathHelper.cos(pitch / 180.0F * 3.141593F) * f);
      motY = (-MathHelper.sin(pitch / 180.0F * 3.141593F) * f + 0.1F);
      f = 0.02F;
      float f1 = random.nextFloat() * 3.141593F * 2.0F;
      f *= random.nextFloat();
      motX += Math.cos(f1) * f;
      motY += (random.nextFloat() - random.nextFloat()) * 0.1F;
      motZ += Math.sin(f1) * f;
    }
    

    Player player = (Player)getBukkitEntity();
    CraftItem drop = new CraftItem(world.getServer(), entityitem);
    
    PlayerDropItemEvent event = new PlayerDropItemEvent(player, drop);
    world.getServer().getPluginManager().callEvent(event);
    
    if (event.isCancelled()) {
      player.getInventory().addItem(new org.bukkit.inventory.ItemStack[] { drop.getItemStack() });
      return null;
    }
    

    a(entityitem);
    a(StatisticList.s, 1);
    return entityitem;
  }
  
  protected void a(EntityItem entityitem)
  {
    world.addEntity(entityitem);
  }
  
  public float a(Block block, boolean flag) {
    float f = inventory.a(block);
    
    if (f > 1.0F) {
      int i = EnchantmentManager.getDigSpeedEnchantmentLevel(this);
      ItemStack itemstack = inventory.getItemInHand();
      
      if ((i > 0) && (itemstack != null)) {
        float f1 = i * i + 1;
        
        if ((!itemstack.b(block)) && (f <= 1.0F)) {
          f += f1 * 0.08F;
        } else {
          f += f1;
        }
      }
    }
    
    if (hasEffect(MobEffectList.FASTER_DIG)) {
      f *= (1.0F + (getEffect(MobEffectList.FASTER_DIG).getAmplifier() + 1) * 0.2F);
    }
    
    if (hasEffect(MobEffectList.SLOWER_DIG)) {
      f *= (1.0F - (getEffect(MobEffectList.SLOWER_DIG).getAmplifier() + 1) * 0.2F);
    }
    
    if ((a(Material.WATER)) && (!EnchantmentManager.hasWaterWorkerEnchantment(this))) {
      f /= 5.0F;
    }
    
    if (!onGround) {
      f /= 5.0F;
    }
    
    return f;
  }
  
  public boolean a(Block block) {
    return inventory.b(block);
  }
  
  public void a(NBTTagCompound nbttagcompound) {
    super.a(nbttagcompound);
    uniqueID = a(i);
    NBTTagList nbttaglist = nbttagcompound.getList("Inventory", 10);
    
    inventory.b(nbttaglist);
    inventory.itemInHandIndex = nbttagcompound.getInt("SelectedItemSlot");
    sleeping = nbttagcompound.getBoolean("Sleeping");
    sleepTicks = nbttagcompound.getShort("SleepTimer");
    exp = nbttagcompound.getFloat("XpP");
    expLevel = nbttagcompound.getInt("XpLevel");
    expTotal = nbttagcompound.getInt("XpTotal");
    setScore(nbttagcompound.getInt("Score"));
    if (sleeping) {
      bC = new ChunkCoordinates(MathHelper.floor(locX), MathHelper.floor(locY), MathHelper.floor(locZ));
      a(true, true, false);
    }
    

    spawnWorld = nbttagcompound.getString("SpawnWorld");
    if ("".equals(spawnWorld)) {
      spawnWorld = ((org.bukkit.World)world.getServer().getWorlds().get(0)).getName();
    }
    

    if ((nbttagcompound.hasKeyOfType("SpawnX", 99)) && (nbttagcompound.hasKeyOfType("SpawnY", 99)) && (nbttagcompound.hasKeyOfType("SpawnZ", 99))) {
      c = new ChunkCoordinates(nbttagcompound.getInt("SpawnX"), nbttagcompound.getInt("SpawnY"), nbttagcompound.getInt("SpawnZ"));
      d = nbttagcompound.getBoolean("SpawnForced");
    }
    
    foodData.a(nbttagcompound);
    abilities.b(nbttagcompound);
    if (nbttagcompound.hasKeyOfType("EnderItems", 9)) {
      NBTTagList nbttaglist1 = nbttagcompound.getList("EnderItems", 10);
      
      enderChest.a(nbttaglist1);
    }
  }
  
  public void b(NBTTagCompound nbttagcompound) {
    super.b(nbttagcompound);
    nbttagcompound.set("Inventory", inventory.a(new NBTTagList()));
    nbttagcompound.setInt("SelectedItemSlot", inventory.itemInHandIndex);
    nbttagcompound.setBoolean("Sleeping", sleeping);
    nbttagcompound.setShort("SleepTimer", (short)sleepTicks);
    nbttagcompound.setFloat("XpP", exp);
    nbttagcompound.setInt("XpLevel", expLevel);
    nbttagcompound.setInt("XpTotal", expTotal);
    nbttagcompound.setInt("Score", getScore());
    if (c != null) {
      nbttagcompound.setInt("SpawnX", c.x);
      nbttagcompound.setInt("SpawnY", c.y);
      nbttagcompound.setInt("SpawnZ", c.z);
      nbttagcompound.setBoolean("SpawnForced", d);
      nbttagcompound.setString("SpawnWorld", spawnWorld);
    }
    
    foodData.b(nbttagcompound);
    abilities.a(nbttagcompound);
    nbttagcompound.set("EnderItems", enderChest.h());
  }
  
  public void openContainer(IInventory iinventory) {}
  
  public void openHopper(TileEntityHopper tileentityhopper) {}
  
  public void openMinecartHopper(EntityMinecartHopper entityminecarthopper) {}
  
  public void openHorseInventory(EntityHorse entityhorse, IInventory iinventory) {}
  
  public void startEnchanting(int i, int j, int k, String s) {}
  
  public void openAnvil(int i, int j, int k) {}
  
  public void startCrafting(int i, int j, int k) {}
  
  public float getHeadHeight() {
    return 0.12F;
  }
  
  protected void e_() {
    height = 1.62F;
  }
  
  public boolean damageEntity(DamageSource damagesource, float f) {
    if (isInvulnerable())
      return false;
    if ((abilities.isInvulnerable) && (!damagesource.ignoresInvulnerability())) {
      return false;
    }
    aV = 0;
    if (getHealth() <= 0.0F) {
      return false;
    }
    if ((isSleeping()) && (!world.isStatic)) {
      a(true, true, false);
    }
    
    if (damagesource.r()) {
      if (world.difficulty == EnumDifficulty.PEACEFUL) {
        return false;
      }
      
      if (world.difficulty == EnumDifficulty.EASY) {
        f = f / 2.0F + 1.0F;
      }
      
      if (world.difficulty == EnumDifficulty.HARD) {
        f = f * 3.0F / 2.0F;
      }
    }
    



    Entity entity = damagesource.getEntity();
    
    if (((entity instanceof EntityArrow)) && (shooter != null)) {
      entity = shooter;
    }
    
    a(StatisticList.u, Math.round(f * 10.0F));
    return super.damageEntity(damagesource, f);
  }
  


  public boolean a(EntityHuman entityhuman)
  {
    Team team;
    

    if ((entityhuman instanceof EntityPlayer)) {
      EntityPlayer thatPlayer = (EntityPlayer)entityhuman;
      Team team = thatPlayer.getBukkitEntity().getScoreboard().getPlayerTeam(thatPlayer.getBukkitEntity());
      if ((team == null) || (team.allowFriendlyFire())) {
        return true;
      }
    }
    else {
      org.bukkit.OfflinePlayer thisPlayer = world.getServer().getOfflinePlayer(entityhuman.getName());
      team = world.getServer().getScoreboardManager().getMainScoreboard().getPlayerTeam(thisPlayer);
      if ((team == null) || (team.allowFriendlyFire())) {
        return true;
      }
    }
    
    if ((this instanceof EntityPlayer)) {
      return !team.hasPlayer(((EntityPlayer)this).getBukkitEntity());
    }
    return !team.hasPlayer(world.getServer().getOfflinePlayer(getName()));
  }
  
  protected void h(float f)
  {
    inventory.a(f);
  }
  
  public int aV() {
    return inventory.l();
  }
  
  public float bC() {
    int i = 0;
    ItemStack[] aitemstack = inventory.armor;
    int j = aitemstack.length;
    
    for (int k = 0; k < j; k++) {
      ItemStack itemstack = aitemstack[k];
      
      if (itemstack != null) {
        i++;
      }
    }
    
    return i / inventory.armor.length;
  }
  
  protected void d(DamageSource damagesource, float f) {
    if (!isInvulnerable()) {
      if ((!damagesource.ignoresArmor()) && (isBlocking()) && (f > 0.0F)) {
        f = (1.0F + f) * 0.5F;
      }
      
      f = b(damagesource, f);
      f = c(damagesource, f);
      float f1 = f;
      
      f = Math.max(f - bs(), 0.0F);
      m(bs() - (f1 - f));
      if (f != 0.0F) {
        a(damagesource.f());
        float f2 = getHealth();
        
        setHealth(getHealth() - f);
        aW().a(damagesource, f2, f);
      }
    }
  }
  
  public void openFurnace(TileEntityFurnace tileentityfurnace) {}
  
  public void openDispenser(TileEntityDispenser tileentitydispenser) {}
  
  public void a(TileEntity tileentity) {}
  
  public void a(CommandBlockListenerAbstract commandblocklistenerabstract) {}
  
  public void openBrewingStand(TileEntityBrewingStand tileentitybrewingstand) {}
  
  public void openBeacon(TileEntityBeacon tileentitybeacon) {}
  
  public void openTrade(IMerchant imerchant, String s) {}
  
  public void b(ItemStack itemstack) {}
  
  public boolean p(Entity entity) {
    ItemStack itemstack = bD();
    ItemStack itemstack1 = itemstack != null ? itemstack.cloneItemStack() : null;
    
    if (!entity.c(this)) {
      if ((itemstack != null) && ((entity instanceof EntityLiving))) {
        if (abilities.canInstantlyBuild) {
          itemstack = itemstack1;
        }
        
        if (itemstack.a(this, (EntityLiving)entity))
        {
          if ((count == 0) && (!abilities.canInstantlyBuild)) {
            bE();
          }
          
          return true;
        }
      }
      
      return false;
    }
    if ((itemstack != null) && (itemstack == bD())) {
      if ((count <= 0) && (!abilities.canInstantlyBuild)) {
        bE();
      } else if ((count < count) && (abilities.canInstantlyBuild)) {
        count = count;
      }
    }
    
    return true;
  }
  
  public ItemStack bD()
  {
    return inventory.getItemInHand();
  }
  
  public void bE() {
    inventory.setItem(inventory.itemInHandIndex, (ItemStack)null);
  }
  
  public double ad() {
    return height - 0.5F;
  }
  
  public void attack(Entity entity) {
    if ((entity.av()) && 
      (!entity.i(this))) {
      float f = (float)getAttributeInstance(GenericAttributes.e).getValue();
      int i = 0;
      float f1 = 0.0F;
      
      if ((entity instanceof EntityLiving)) {
        f1 = EnchantmentManager.a(this, (EntityLiving)entity);
        i += EnchantmentManager.getKnockbackEnchantmentLevel(this, (EntityLiving)entity);
      }
      
      if (isSprinting()) {
        i++;
      }
      
      if ((f > 0.0F) || (f1 > 0.0F)) {
        boolean flag = (fallDistance > 0.0F) && (!onGround) && (!h_()) && (!M()) && (!hasEffect(MobEffectList.BLINDNESS)) && (vehicle == null) && ((entity instanceof EntityLiving));
        
        if ((flag) && (f > 0.0F)) {
          f *= 1.5F;
        }
        
        f += f1;
        boolean flag1 = false;
        int j = EnchantmentManager.getFireAspectEnchantmentLevel(this);
        
        if (((entity instanceof EntityLiving)) && (j > 0) && (!entity.isBurning())) {
          flag1 = true;
          entity.setOnFire(1);
        }
        
        boolean flag2 = entity.damageEntity(DamageSource.playerAttack(this), f);
        
        if (flag2) {
          if (i > 0) {
            entity.g(-MathHelper.sin(yaw * 3.141593F / 180.0F) * i * 0.5F, 0.1D, MathHelper.cos(yaw * 3.141593F / 180.0F) * i * 0.5F);
            motX *= 0.6D;
            motZ *= 0.6D;
            setSprinting(false);
          }
          
          if (flag) {
            b(entity);
          }
          
          if (f1 > 0.0F) {
            c(entity);
          }
          
          if (f >= 18.0F) {
            a(AchievementList.F);
          }
          
          k(entity);
          if ((entity instanceof EntityLiving)) {
            EnchantmentManager.a((EntityLiving)entity, this);
          }
          
          EnchantmentManager.b(this, entity);
          ItemStack itemstack = bD();
          Object object = entity;
          
          if ((entity instanceof EntityComplexPart)) {
            IComplex icomplex = owner;
            
            if ((icomplex != null) && ((icomplex instanceof EntityLiving))) {
              object = (EntityLiving)icomplex;
            }
          }
          
          if ((itemstack != null) && ((object instanceof EntityLiving))) {
            itemstack.a((EntityLiving)object, this);
            
            if (count == 0) {
              bE();
            }
          }
          
          if ((entity instanceof EntityLiving)) {
            a(StatisticList.t, Math.round(f * 10.0F));
            if (j > 0)
            {
              EntityCombustByEntityEvent combustEvent = new EntityCombustByEntityEvent(getBukkitEntity(), entity.getBukkitEntity(), j * 4);
              org.bukkit.Bukkit.getPluginManager().callEvent(combustEvent);
              
              if (!combustEvent.isCancelled()) {
                entity.setOnFire(combustEvent.getDuration());
              }
            }
          }
          

          a(0.3F);
        } else if (flag1) {
          entity.extinguish();
        }
      }
    }
  }
  
  public void b(Entity entity) {}
  
  public void c(Entity entity) {}
  
  public void die()
  {
    super.die();
    defaultContainer.b(this);
    if (activeContainer != null) {
      activeContainer.b(this);
    }
  }
  
  public boolean inBlock() {
    return (!sleeping) && (super.inBlock());
  }
  
  public GameProfile getProfile() {
    return i;
  }
  
  public EnumBedResult a(int i, int j, int k) {
    if (!world.isStatic) {
      if ((isSleeping()) || (!isAlive())) {
        return EnumBedResult.OTHER_PROBLEM;
      }
      
      if (!world.worldProvider.d()) {
        return EnumBedResult.NOT_POSSIBLE_HERE;
      }
      
      if (world.v()) {
        return EnumBedResult.NOT_POSSIBLE_NOW;
      }
      
      if ((Math.abs(locX - i) > 3.0D) || (Math.abs(locY - j) > 2.0D) || (Math.abs(locZ - k) > 3.0D)) {
        return EnumBedResult.TOO_FAR_AWAY;
      }
      
      double d0 = 8.0D;
      double d1 = 5.0D;
      List list = world.a(EntityMonster.class, AxisAlignedBB.a().a(i - d0, j - d1, k - d0, i + d0, j + d1, k + d0));
      
      if (!list.isEmpty()) {
        return EnumBedResult.NOT_SAFE;
      }
    }
    
    if (am()) {
      mount((Entity)null);
    }
    

    if ((getBukkitEntity() instanceof Player)) {
      Player player = (Player)getBukkitEntity();
      org.bukkit.block.Block bed = world.getWorld().getBlockAt(i, j, k);
      
      PlayerBedEnterEvent event = new PlayerBedEnterEvent(player, bed);
      world.getServer().getPluginManager().callEvent(event);
      
      if (event.isCancelled()) {
        return EnumBedResult.OTHER_PROBLEM;
      }
    }
    

    a(0.2F, 0.2F);
    height = 0.2F;
    if (world.isLoaded(i, j, k)) {
      int l = world.getData(i, j, k);
      int i1 = BlockBed.l(l);
      float f = 0.5F;
      float f1 = 0.5F;
      
      switch (i1) {
      case 0: 
        f1 = 0.9F;
        break;
      
      case 1: 
        f = 0.1F;
        break;
      
      case 2: 
        f1 = 0.1F;
        break;
      
      case 3: 
        f = 0.9F;
      }
      
      w(i1);
      setPosition(i + f, j + 0.9375F, k + f1);
    } else {
      setPosition(i + 0.5F, j + 0.9375F, k + 0.5F);
    }
    
    sleeping = true;
    sleepTicks = 0;
    bC = new ChunkCoordinates(i, j, k);
    motX = (this.motZ = this.motY = 0.0D);
    if (!world.isStatic) {
      world.everyoneSleeping();
    }
    
    return EnumBedResult.OK;
  }
  
  private void w(int i) {
    bD = 0.0F;
    bE = 0.0F;
    switch (i) {
    case 0: 
      bE = -1.8F;
      break;
    
    case 1: 
      bD = 1.8F;
      break;
    
    case 2: 
      bE = 1.8F;
      break;
    
    case 3: 
      bD = -1.8F;
    }
  }
  
  public void a(boolean flag, boolean flag1, boolean flag2) {
    a(0.6F, 1.8F);
    e_();
    ChunkCoordinates chunkcoordinates = bC;
    ChunkCoordinates chunkcoordinates1 = bC;
    
    if ((chunkcoordinates != null) && (world.getType(x, y, z) == Blocks.BED)) {
      BlockBed.a(world, x, y, z, false);
      chunkcoordinates1 = BlockBed.a(world, x, y, z, 0);
      if (chunkcoordinates1 == null) {
        chunkcoordinates1 = new ChunkCoordinates(x, y + 1, z);
      }
      
      setPosition(x + 0.5F, y + height + 0.1F, z + 0.5F);
    }
    
    sleeping = false;
    if ((!world.isStatic) && (flag1)) {
      world.everyoneSleeping();
    }
    

    if ((getBukkitEntity() instanceof Player)) {
      Player player = (Player)getBukkitEntity();
      org.bukkit.block.Block bed;
      org.bukkit.block.Block bed;
      if (chunkcoordinates != null) {
        bed = world.getWorld().getBlockAt(x, y, z);
      } else {
        bed = world.getWorld().getBlockAt(player.getLocation());
      }
      
      org.bukkit.event.player.PlayerBedLeaveEvent event = new org.bukkit.event.player.PlayerBedLeaveEvent(player, bed);
      world.getServer().getPluginManager().callEvent(event);
    }
    

    if (flag) {
      sleepTicks = 0;
    } else {
      sleepTicks = 100;
    }
    
    if (flag2) {
      setRespawnPosition(bC, false);
    }
  }
  
  private boolean j() {
    return world.getType(bC.x, bC.y, bC.z) == Blocks.BED;
  }
  
  public static ChunkCoordinates getBed(World world, ChunkCoordinates chunkcoordinates, boolean flag) {
    IChunkProvider ichunkprovider = world.K();
    
    ichunkprovider.getChunkAt(x - 3 >> 4, z - 3 >> 4);
    ichunkprovider.getChunkAt(x + 3 >> 4, z - 3 >> 4);
    ichunkprovider.getChunkAt(x - 3 >> 4, z + 3 >> 4);
    ichunkprovider.getChunkAt(x + 3 >> 4, z + 3 >> 4);
    if (world.getType(x, y, z) == Blocks.BED) {
      ChunkCoordinates chunkcoordinates1 = BlockBed.a(world, x, y, z, 0);
      
      return chunkcoordinates1;
    }
    Material material = world.getType(x, y, z).getMaterial();
    Material material1 = world.getType(x, y + 1, z).getMaterial();
    boolean flag1 = (!material.isBuildable()) && (!material.isLiquid());
    boolean flag2 = (!material1.isBuildable()) && (!material1.isLiquid());
    
    return (flag) && (flag1) && (flag2) ? chunkcoordinates : null;
  }
  
  public boolean isSleeping()
  {
    return sleeping;
  }
  
  public boolean isDeeplySleeping() {
    return (sleeping) && (sleepTicks >= 100);
  }
  
  protected void b(int i, boolean flag) {
    byte b0 = datawatcher.getByte(16);
    
    if (flag) {
      datawatcher.watch(16, Byte.valueOf((byte)(b0 | 1 << i)));
    } else {
      datawatcher.watch(16, Byte.valueOf((byte)(b0 & (1 << i ^ 0xFFFFFFFF))));
    }
  }
  
  public void b(IChatBaseComponent ichatbasecomponent) {}
  
  public ChunkCoordinates getBed() {
    return c;
  }
  
  public boolean isRespawnForced() {
    return d;
  }
  
  public void setRespawnPosition(ChunkCoordinates chunkcoordinates, boolean flag) {
    if (chunkcoordinates != null) {
      c = new ChunkCoordinates(chunkcoordinates);
      d = flag;
      spawnWorld = world.worldData.getName();
    } else {
      c = null;
      d = false;
      spawnWorld = "";
    }
  }
  
  public void a(Statistic statistic) {
    a(statistic, 1);
  }
  
  public void a(Statistic statistic, int i) {}
  
  public void bj() {
    super.bj();
    a(StatisticList.r, 1);
    if (isSprinting()) {
      a(0.8F);
    } else {
      a(0.2F);
    }
  }
  
  public void e(float f, float f1) {
    double d0 = locX;
    double d1 = locY;
    double d2 = locZ;
    
    if ((abilities.isFlying) && (vehicle == null)) {
      double d3 = motY;
      float f2 = aR;
      
      aR = abilities.a();
      super.e(f, f1);
      motY = (d3 * 0.6D);
      aR = f2;
    } else {
      super.e(f, f1);
    }
    
    checkMovement(locX - d0, locY - d1, locZ - d2);
  }
  
  public float bl() {
    return (float)getAttributeInstance(GenericAttributes.d).getValue();
  }
  
  public void checkMovement(double d0, double d1, double d2) {
    if (vehicle == null)
    {

      if (a(Material.WATER)) {
        int i = Math.round(MathHelper.sqrt(d0 * d0 + d1 * d1 + d2 * d2) * 100.0F);
        if (i > 0) {
          a(StatisticList.m, i);
          a(0.015F * i * 0.01F);
        }
      } else if (M()) {
        int i = Math.round(MathHelper.sqrt(d0 * d0 + d2 * d2) * 100.0F);
        if (i > 0) {
          a(StatisticList.i, i);
          a(0.015F * i * 0.01F);
        }
      } else if (h_()) {
        if (d1 > 0.0D) {
          a(StatisticList.k, (int)Math.round(d1 * 100.0D));
        }
      } else if (onGround) {
        int i = Math.round(MathHelper.sqrt(d0 * d0 + d2 * d2) * 100.0F);
        if (i > 0) {
          a(StatisticList.h, i);
          if (isSprinting()) {
            a(0.09999999F * i * 0.01F);
          } else {
            a(0.01F * i * 0.01F);
          }
        }
      } else {
        int i = Math.round(MathHelper.sqrt(d0 * d0 + d2 * d2) * 100.0F);
        if (i > 25) {
          a(StatisticList.l, i);
        }
      }
    }
  }
  
  private void l(double d0, double d1, double d2) {
    if (vehicle != null) {
      int i = Math.round(MathHelper.sqrt(d0 * d0 + d1 * d1 + d2 * d2) * 100.0F);
      
      if (i > 0) {
        if ((vehicle instanceof EntityMinecartAbstract)) {
          a(StatisticList.n, i);
          if (e == null) {
            e = new ChunkCoordinates(MathHelper.floor(locX), MathHelper.floor(locY), MathHelper.floor(locZ));
          } else if (e.e(MathHelper.floor(locX), MathHelper.floor(locY), MathHelper.floor(locZ)) >= 1000000.0D) {
            a(AchievementList.q, 1);
          }
        } else if ((vehicle instanceof EntityBoat)) {
          a(StatisticList.o, i);
        } else if ((vehicle instanceof EntityPig)) {
          a(StatisticList.p, i);
        } else if ((vehicle instanceof EntityHorse)) {
          a(StatisticList.q, i);
        }
      }
    }
  }
  
  protected void b(float f) {
    if (!abilities.canFly) {
      if (f >= 2.0F) {
        a(StatisticList.j, (int)Math.round(f * 100.0D));
      }
      
      super.b(f);
    }
  }
  
  protected String o(int i) {
    return i > 4 ? "game.player.hurt.fall.big" : "game.player.hurt.fall.small";
  }
  
  public void a(EntityLiving entityliving) {
    if ((entityliving instanceof IMonster)) {
      a(AchievementList.s);
    }
    
    int i = EntityTypes.a(entityliving);
    MonsterEggInfo monsteregginfo = (MonsterEggInfo)EntityTypes.a.get(Integer.valueOf(i));
    
    if (monsteregginfo != null) {
      a(d, 1);
    }
  }
  
  public void as() {
    if (!abilities.isFlying) {
      super.as();
    }
  }
  
  public ItemStack r(int i) {
    return inventory.d(i);
  }
  
  public void giveExp(int i) {
    addScore(i);
    int j = 2147483647 - expTotal;
    
    if (i > j) {
      i = j;
    }
    
    exp += i / getExpToLevel();
    
    for (expTotal += i; exp >= 1.0F; exp /= getExpToLevel()) {
      exp = ((exp - 1.0F) * getExpToLevel());
      levelDown(1);
    }
  }
  
  public void levelDown(int i) {
    expLevel += i;
    if (expLevel < 0) {
      expLevel = 0;
      exp = 0.0F;
      expTotal = 0;
    }
    
    if ((i > 0) && (expLevel % 5 == 0) && (h < ticksLived - 100.0F)) {
      float f = expLevel > 30 ? 1.0F : expLevel / 30.0F;
      
      world.makeSound(this, "random.levelup", f * 0.75F, 1.0F);
      h = ticksLived;
    }
  }
  
  public int getExpToLevel() {
    return expLevel >= 15 ? 17 + (expLevel - 15) * 3 : expLevel >= 30 ? 62 + (expLevel - 30) * 7 : 17;
  }
  
  public void a(float f) {
    if ((!abilities.isInvulnerable) && 
      (!world.isStatic)) {
      foodData.a(f);
    }
  }
  
  public FoodMetaData getFoodData()
  {
    return foodData;
  }
  
  public boolean g(boolean flag) {
    return ((flag) || (foodData.c())) && (!abilities.isInvulnerable);
  }
  
  public boolean bP() {
    return (getHealth() > 0.0F) && (getHealth() < getMaxHealth());
  }
  
  public void a(ItemStack itemstack, int i) {
    if (itemstack != f) {
      f = itemstack;
      g = i;
      if (!world.isStatic) {
        e(true);
      }
    }
  }
  
  public boolean d(int i, int j, int k) {
    if (abilities.mayBuild) {
      return true;
    }
    Block block = world.getType(i, j, k);
    
    if (block.getMaterial() != Material.AIR) {
      if (block.getMaterial().q()) {
        return true;
      }
      
      if (bD() != null) {
        ItemStack itemstack = bD();
        
        if ((itemstack.b(block)) || (itemstack.a(block) > 1.0F)) {
          return true;
        }
      }
    }
    
    return false;
  }
  
  public boolean a(int i, int j, int k, int l, ItemStack itemstack)
  {
    return abilities.mayBuild;
  }
  
  protected int getExpValue(EntityHuman entityhuman) {
    if (world.getGameRules().getBoolean("keepInventory")) {
      return 0;
    }
    int i = expLevel * 7;
    
    return i > 100 ? 100 : i;
  }
  
  protected boolean alwaysGivesExp()
  {
    return true;
  }
  
  public void copyTo(EntityHuman entityhuman, boolean flag) {
    if (flag) {
      inventory.b(inventory);
      setHealth(entityhuman.getHealth());
      foodData = foodData;
      expLevel = expLevel;
      expTotal = expTotal;
      exp = exp;
      setScore(entityhuman.getScore());
      ar = ar;
    } else if (world.getGameRules().getBoolean("keepInventory")) {
      inventory.b(inventory);
      expLevel = expLevel;
      expTotal = expTotal;
      exp = exp;
      setScore(entityhuman.getScore());
    }
    
    enderChest = enderChest;
  }
  
  protected boolean g_() {
    return !abilities.isFlying;
  }
  
  public void updateAbilities() {}
  
  public void a(EnumGamemode enumgamemode) {}
  
  public String getName() {
    return i.getName();
  }
  
  public World getWorld() {
    return world;
  }
  
  public InventoryEnderChest getEnderChest() {
    return enderChest;
  }
  
  public ItemStack getEquipment(int i) {
    return i == 0 ? inventory.getItemInHand() : inventory.armor[(i - 1)];
  }
  
  public ItemStack be() {
    return inventory.getItemInHand();
  }
  
  public void setEquipment(int i, ItemStack itemstack) {
    inventory.armor[i] = itemstack;
  }
  
  public ItemStack[] getEquipment() {
    return inventory.armor;
  }
  
  public boolean aC() {
    return !abilities.isFlying;
  }
  
  public Scoreboard getScoreboard() {
    return world.getScoreboard();
  }
  
  public ScoreboardTeamBase getScoreboardTeam() {
    return getScoreboard().getPlayerTeam(getName());
  }
  
  public IChatBaseComponent getScoreboardDisplayName()
  {
    ChatComponentText chatcomponenttext = new ChatComponentText(ScoreboardTeam.getPlayerDisplayName(getScoreboardTeam(), getName()));
    
    chatcomponenttext.b().a(new ChatClickable(EnumClickAction.SUGGEST_COMMAND, "/msg " + getName() + " "));
    return chatcomponenttext;
  }
  
  public void m(float f) {
    if (f < 0.0F) {
      f = 0.0F;
    }
    
    getDataWatcher().watch(17, Float.valueOf(f));
  }
  
  public float bs() {
    return getDataWatcher().getFloat(17);
  }
  
  public static UUID a(GameProfile gameprofile) {
    UUID uuid = UtilUUID.b(gameprofile.getId());
    
    if (uuid == null) {
      uuid = UUID.nameUUIDFromBytes(("OfflinePlayer:" + gameprofile.getName()).getBytes(net.minecraft.util.com.google.common.base.Charsets.UTF_8));
    }
    
    return uuid;
  }
}
