package net.minecraft.server.v1_7_R1;

import java.util.List;

public class EntityMagmaCube extends EntitySlime {
  public EntityMagmaCube(World world) { super(world);
    fireProof = true;
  }
  
  protected void aD() {
    super.aD();
    getAttributeInstance(GenericAttributes.d).setValue(0.2000000029802322D);
  }
  
  public boolean canSpawn() {
    return (world.difficulty != EnumDifficulty.PEACEFUL) && (world.b(boundingBox)) && (world.getCubes(this, boundingBox).isEmpty()) && (!world.containsLiquid(boundingBox));
  }
  
  public int aV() {
    return getSize() * 3;
  }
  
  public float d(float f) {
    return 1.0F;
  }
  
  protected String bN() {
    return "flame";
  }
  
  protected EntitySlime bO() {
    return new EntityMagmaCube(world);
  }
  
  protected Item getLoot() {
    return Items.MAGMA_CREAM;
  }
  
  protected void dropDeathLoot(boolean flag, int i)
  {
    List<org.bukkit.inventory.ItemStack> loot = new java.util.ArrayList();
    Item item = getLoot();
    
    if ((item != null) && (getSize() > 1)) {
      int j = random.nextInt(4) - 2;
      
      if (i > 0) {
        j += random.nextInt(i + 1);
      }
      
      if (j > 0) {
        loot.add(new org.bukkit.inventory.ItemStack(org.bukkit.craftbukkit.v1_7_R1.util.CraftMagicNumbers.getMaterial(item), j));
      }
    }
    
    org.bukkit.craftbukkit.v1_7_R1.event.CraftEventFactory.callEntityDeathEvent(this, loot);
  }
  
  public boolean isBurning()
  {
    return false;
  }
  
  protected int bP() {
    return super.bP() * 4;
  }
  
  protected void bQ() {
    h *= 0.9F;
  }
  
  protected void bj() {
    motY = (0.42F + getSize() * 0.1F);
    am = true;
  }
  
  protected void b(float f) {}
  
  protected boolean bR() {
    return true;
  }
  
  protected int bS() {
    return super.bS() + 2;
  }
  
  protected String bT() {
    return getSize() > 1 ? "mob.magmacube.big" : "mob.magmacube.small";
  }
  
  public boolean P() {
    return false;
  }
  
  protected boolean bU() {
    return true;
  }
}
