package net.minecraft.server.v1_7_R1;

import org.bukkit.event.entity.EntityTargetEvent;

public abstract class EntityMonster extends EntityCreature implements IMonster
{
  public EntityMonster(World world) {
    super(world);
    b = 5;
  }
  
  public void e() {
    bb();
    float f = d(1.0F);
    
    if (f > 0.5F) {
      aV += 2;
    }
    
    super.e();
  }
  
  public void h() {
    super.h();
    if ((!world.isStatic) && (world.difficulty == EnumDifficulty.PEACEFUL)) {
      die();
    }
  }
  
  protected String H() {
    return "game.hostile.swim";
  }
  
  protected String O() {
    return "game.hostile.swim.splash";
  }
  
  protected Entity findTarget() {
    EntityHuman entityhuman = world.findNearbyVulnerablePlayer(this, 16.0D);
    
    return (entityhuman != null) && (o(entityhuman)) ? entityhuman : null;
  }
  
  public boolean damageEntity(DamageSource damagesource, float f) {
    if (isInvulnerable())
      return false;
    if (super.damageEntity(damagesource, f)) {
      Entity entity = damagesource.getEntity();
      
      if ((passenger != entity) && (vehicle != entity)) {
        if (entity != this)
        {
          if ((entity != target) && (((this instanceof EntityBlaze)) || ((this instanceof EntityEnderman)) || ((this instanceof EntitySpider)) || ((this instanceof EntityGiantZombie)) || ((this instanceof EntitySilverfish)))) {
            EntityTargetEvent event = org.bukkit.craftbukkit.v1_7_R1.event.CraftEventFactory.callEntityTargetEvent(this, entity, org.bukkit.event.entity.EntityTargetEvent.TargetReason.TARGET_ATTACKED_ENTITY);
            
            if (!event.isCancelled()) {
              if (event.getTarget() == null) {
                target = null;
              } else {
                target = ((org.bukkit.craftbukkit.v1_7_R1.entity.CraftEntity)event.getTarget()).getHandle();
              }
            }
          } else {
            target = entity;
          }
        }
        

        return true;
      }
      return true;
    }
    
    return false;
  }
  
  protected String aT()
  {
    return "game.hostile.hurt";
  }
  
  protected String aU() {
    return "game.hostile.die";
  }
  
  protected String o(int i) {
    return i > 4 ? "game.hostile.hurt.fall.big" : "game.hostile.hurt.fall.small";
  }
  
  public boolean m(Entity entity) {
    float f = (float)getAttributeInstance(GenericAttributes.e).getValue();
    int i = 0;
    
    if ((entity instanceof EntityLiving)) {
      f += EnchantmentManager.a(this, (EntityLiving)entity);
      i += EnchantmentManager.getKnockbackEnchantmentLevel(this, (EntityLiving)entity);
    }
    
    boolean flag = entity.damageEntity(DamageSource.mobAttack(this), f);
    
    if (flag) {
      if (i > 0) {
        entity.g(-MathHelper.sin(yaw * 3.141593F / 180.0F) * i * 0.5F, 0.1D, MathHelper.cos(yaw * 3.141593F / 180.0F) * i * 0.5F);
        motX *= 0.6D;
        motZ *= 0.6D;
      }
      
      int j = EnchantmentManager.getFireAspectEnchantmentLevel(this);
      
      if (j > 0) {
        entity.setOnFire(j * 4);
      }
      
      if ((entity instanceof EntityLiving)) {
        EnchantmentManager.a((EntityLiving)entity, this);
      }
      
      EnchantmentManager.b(this, entity);
    }
    
    return flag;
  }
  
  protected void a(Entity entity, float f) {
    if ((attackTicks <= 0) && (f < 2.0F) && (boundingBox.e > boundingBox.b) && (boundingBox.b < boundingBox.e)) {
      attackTicks = 20;
      m(entity);
    }
  }
  
  public float a(int i, int j, int k) {
    return 0.5F - world.n(i, j, k);
  }
  
  protected boolean j_() {
    int i = MathHelper.floor(locX);
    int j = MathHelper.floor(boundingBox.b);
    int k = MathHelper.floor(locZ);
    
    if (world.b(EnumSkyBlock.SKY, i, j, k) > random.nextInt(32)) {
      return false;
    }
    int l = world.getLightLevel(i, j, k);
    
    if (world.O()) {
      int i1 = world.j;
      
      world.j = 10;
      l = world.getLightLevel(i, j, k);
      world.j = i1;
    }
    
    return l <= random.nextInt(8);
  }
  
  public boolean canSpawn()
  {
    return (world.difficulty != EnumDifficulty.PEACEFUL) && (j_()) && (super.canSpawn());
  }
  
  protected void aD() {
    super.aD();
    bc().b(GenericAttributes.e);
  }
  
  protected boolean aG() {
    return true;
  }
}
