package net.minecraft.server.v1_7_R1;

import org.bukkit.event.player.PlayerShearEntityEvent;

public class EntityMushroomCow extends EntityCow
{
  public EntityMushroomCow(World world) {
    super(world);
    a(0.9F, 1.3F);
  }
  
  public boolean a(EntityHuman entityhuman) {
    ItemStack itemstack = inventory.getItemInHand();
    
    if ((itemstack != null) && (itemstack.getItem() == Items.BOWL) && (getAge() >= 0)) {
      if (count == 1) {
        inventory.setItem(inventory.itemInHandIndex, new ItemStack(Items.MUSHROOM_SOUP));
        return true;
      }
      
      if ((inventory.pickup(new ItemStack(Items.MUSHROOM_SOUP))) && (!abilities.canInstantlyBuild)) {
        inventory.splitStack(inventory.itemInHandIndex, 1);
        return true;
      }
    }
    
    if ((itemstack != null) && (itemstack.getItem() == Items.SHEARS) && (getAge() >= 0))
    {
      PlayerShearEntityEvent event = new PlayerShearEntityEvent((org.bukkit.entity.Player)entityhuman.getBukkitEntity(), getBukkitEntity());
      world.getServer().getPluginManager().callEvent(event);
      
      if (event.isCancelled()) {
        return false;
      }
      

      die();
      world.addParticle("largeexplode", locX, locY + length / 2.0F, locZ, 0.0D, 0.0D, 0.0D);
      if (!world.isStatic) {
        EntityCow entitycow = new EntityCow(world);
        
        entitycow.setPositionRotation(locX, locY, locZ, yaw, pitch);
        entitycow.setHealth(getHealth());
        aN = aN;
        world.addEntity(entitycow);
        
        for (int i = 0; i < 5; i++) {
          world.addEntity(new EntityItem(world, locX, locY + length, locZ, new ItemStack(Blocks.RED_MUSHROOM)));
        }
        
        itemstack.damage(1, entityhuman);
        makeSound("mob.sheep.shear", 1.0F, 1.0F);
      }
      
      return true;
    }
    return super.a(entityhuman);
  }
  
  public EntityMushroomCow c(EntityAgeable entityageable)
  {
    return new EntityMushroomCow(world);
  }
  
  public EntityCow b(EntityAgeable entityageable) {
    return c(entityageable);
  }
  
  public EntityAgeable createChild(EntityAgeable entityageable) {
    return c(entityageable);
  }
}
