package net.minecraft.server.v1_7_R1;

import org.bukkit.event.entity.EntityCombustByEntityEvent;

public class EntitySmallFireball extends EntityFireball
{
  public EntitySmallFireball(World world) {
    super(world);
    a(0.3125F, 0.3125F);
  }
  
  public EntitySmallFireball(World world, EntityLiving entityliving, double d0, double d1, double d2) {
    super(world, entityliving, d0, d1, d2);
    a(0.3125F, 0.3125F);
  }
  
  public EntitySmallFireball(World world, double d0, double d1, double d2, double d3, double d4, double d5) {
    super(world, d0, d1, d2, d3, d4, d5);
    a(0.3125F, 0.3125F);
  }
  
  protected void a(MovingObjectPosition movingobjectposition) {
    if (!world.isStatic) {
      if (entity != null) {
        if ((!entity.isFireproof()) && (entity.damageEntity(DamageSource.fireball(this, shooter), 5.0F)))
        {
          EntityCombustByEntityEvent event = new EntityCombustByEntityEvent((org.bukkit.entity.Projectile)getBukkitEntity(), entity.getBukkitEntity(), 5);
          entity.world.getServer().getPluginManager().callEvent(event);
          
          if (!event.isCancelled()) {
            entity.setOnFire(event.getDuration());
          }
        }
      }
      else {
        int i = b;
        int j = c;
        int k = d;
        
        switch (face) {
        case 0: 
          j--;
          break;
        
        case 1: 
          j++;
          break;
        
        case 2: 
          k--;
          break;
        
        case 3: 
          k++;
          break;
        
        case 4: 
          i--;
          break;
        
        case 5: 
          i++;
        }
        
        if (world.isEmpty(i, j, k))
        {
          if (!org.bukkit.craftbukkit.v1_7_R1.event.CraftEventFactory.callBlockIgniteEvent(world, i, j, k, this).isCancelled()) {
            world.setTypeUpdate(i, j, k, Blocks.FIRE);
          }
        }
      }
      

      die();
    }
  }
  
  public boolean R() {
    return false;
  }
  
  public boolean damageEntity(DamageSource damagesource, float f) {
    return false;
  }
}
