package net.minecraft.server.v1_7_R1;

import java.util.Random;
import org.bukkit.event.entity.EntityTargetEvent;
import org.bukkit.inventory.ItemStack;

public class EntitySpider extends EntityMonster
{
  public EntitySpider(World world)
  {
    super(world);
    a(1.4F, 0.9F);
  }
  
  protected void c() {
    super.c();
    datawatcher.a(16, new Byte((byte)0));
  }
  
  public void h() {
    super.h();
    if (!world.isStatic) {
      a(positionChanged);
    }
  }
  
  protected void aD() {
    super.aD();
    getAttributeInstance(GenericAttributes.a).setValue(16.0D);
    getAttributeInstance(GenericAttributes.d).setValue(0.800000011920929D);
  }
  
  protected Entity findTarget() {
    float f = d(1.0F);
    
    if (f < 0.5F) {
      double d0 = 16.0D;
      
      return world.findNearbyVulnerablePlayer(this, d0);
    }
    return null;
  }
  
  protected String t()
  {
    return "mob.spider.say";
  }
  
  protected String aT() {
    return "mob.spider.say";
  }
  
  protected String aU() {
    return "mob.spider.death";
  }
  
  protected void a(int i, int j, int k, Block block) {
    makeSound("mob.spider.step", 0.15F, 1.0F);
  }
  
  protected void a(Entity entity, float f) {
    float f1 = d(1.0F);
    
    if ((f1 > 0.5F) && (random.nextInt(100) == 0))
    {
      EntityTargetEvent event = new EntityTargetEvent(getBukkitEntity(), null, org.bukkit.event.entity.EntityTargetEvent.TargetReason.FORGOT_TARGET);
      world.getServer().getPluginManager().callEvent(event);
      
      if (!event.isCancelled()) {
        if (event.getTarget() == null) {
          target = null;
        } else {
          target = ((org.bukkit.craftbukkit.v1_7_R1.entity.CraftEntity)event.getTarget()).getHandle();
        }
        return;
      }
      
    }
    else if ((f > 2.0F) && (f < 6.0F) && (random.nextInt(10) == 0)) {
      if (onGround) {
        double d0 = locX - locX;
        double d1 = locZ - locZ;
        float f2 = MathHelper.sqrt(d0 * d0 + d1 * d1);
        
        motX = (d0 / f2 * 0.5D * 0.800000011920929D + motX * 0.2000000029802322D);
        motZ = (d1 / f2 * 0.5D * 0.800000011920929D + motZ * 0.2000000029802322D);
        motY = 0.4000000059604645D;
      }
    } else {
      super.a(entity, f);
    }
  }
  
  protected Item getLoot()
  {
    return Items.STRING;
  }
  
  protected void dropDeathLoot(boolean flag, int i)
  {
    java.util.List<ItemStack> loot = new java.util.ArrayList();
    
    int k = random.nextInt(3);
    
    if (i > 0) {
      k += random.nextInt(i + 1);
    }
    
    if (k > 0) {
      loot.add(new ItemStack(org.bukkit.craftbukkit.v1_7_R1.util.CraftMagicNumbers.getMaterial(Items.STRING), k));
    }
    
    if ((flag) && ((random.nextInt(3) == 0) || (random.nextInt(1 + i) > 0))) {
      loot.add(new ItemStack(org.bukkit.craftbukkit.v1_7_R1.util.CraftMagicNumbers.getMaterial(Items.SPIDER_EYE), 1));
    }
    
    org.bukkit.craftbukkit.v1_7_R1.event.CraftEventFactory.callEntityDeathEvent(this, loot);
  }
  
  public boolean h_()
  {
    return bX();
  }
  
  public void as() {}
  
  public EnumMonsterType getMonsterType() {
    return EnumMonsterType.ARTHROPOD;
  }
  
  public boolean d(MobEffect mobeffect) {
    return mobeffect.getEffectId() == POISONid ? false : super.d(mobeffect);
  }
  
  public boolean bX() {
    return (datawatcher.getByte(16) & 0x1) != 0;
  }
  
  public void a(boolean flag) {
    byte b0 = datawatcher.getByte(16);
    
    if (flag) {
      b0 = (byte)(b0 | 0x1);
    } else {
      b0 = (byte)(b0 & 0xFFFFFFFE);
    }
    
    datawatcher.watch(16, Byte.valueOf(b0));
  }
  
  public GroupDataEntity a(GroupDataEntity groupdataentity) {
    Object object = super.a(groupdataentity);
    
    if (world.random.nextInt(100) == 0) {
      EntitySkeleton entityskeleton = new EntitySkeleton(world);
      
      entityskeleton.setPositionRotation(locX, locY, locZ, yaw, 0.0F);
      entityskeleton.a((GroupDataEntity)null);
      world.addEntity(entityskeleton);
      entityskeleton.mount(this);
    }
    
    if (object == null) {
      object = new GroupDataSpider();
      if ((world.difficulty == EnumDifficulty.HARD) && (world.random.nextFloat() < 0.1F * world.b(locX, locY, locZ))) {
        ((GroupDataSpider)object).a(world.random);
      }
    }
    
    if ((object instanceof GroupDataSpider)) {
      int i = a;
      
      if ((i > 0) && (MobEffectList.byId[i] != null)) {
        addEffect(new MobEffect(i, 2147483647));
      }
    }
    
    return (GroupDataEntity)object;
  }
}
