package net.minecraft.server.v1_7_R1;

import org.bukkit.event.entity.ExplosionPrimeEvent;

public class EntityTNTPrimed extends Entity
{
  public int fuseTicks;
  private EntityLiving source;
  public float yield = 4.0F;
  public boolean isIncendiary = false;
  
  public EntityTNTPrimed(World world) {
    super(world);
    l = true;
    a(0.98F, 0.98F);
    height = (length / 2.0F);
  }
  
  public EntityTNTPrimed(World world, double d0, double d1, double d2, EntityLiving entityliving) {
    this(world);
    setPosition(d0, d1, d2);
    float f = (float)(Math.random() * 3.141592741012573D * 2.0D);
    
    motX = (-(float)Math.sin(f) * 0.02F);
    motY = 0.2000000029802322D;
    motZ = (-(float)Math.cos(f) * 0.02F);
    fuseTicks = 80;
    lastX = d0;
    lastY = d1;
    lastZ = d2;
    source = entityliving;
  }
  
  protected void c() {}
  
  protected boolean g_() {
    return false;
  }
  
  public boolean R() {
    return !dead;
  }
  
  public void h() {
    lastX = locX;
    lastY = locY;
    lastZ = locZ;
    motY -= 0.03999999910593033D;
    move(motX, motY, motZ);
    motX *= 0.9800000190734863D;
    motY *= 0.9800000190734863D;
    motZ *= 0.9800000190734863D;
    if (onGround) {
      motX *= 0.699999988079071D;
      motZ *= 0.699999988079071D;
      motY *= -0.5D;
    }
    
    if (fuseTicks-- <= 0)
    {
      if (!world.isStatic) {
        explode();
      }
      die();
    }
    else {
      world.addParticle("smoke", locX, locY + 0.5D, locZ, 0.0D, 0.0D, 0.0D);
    }
  }
  


  private void explode()
  {
    org.bukkit.craftbukkit.v1_7_R1.CraftServer server = world.getServer();
    
    ExplosionPrimeEvent event = new ExplosionPrimeEvent((org.bukkit.entity.Explosive)org.bukkit.craftbukkit.v1_7_R1.entity.CraftEntity.getEntity(server, this));
    server.getPluginManager().callEvent(event);
    
    if (!event.isCancelled())
    {
      world.createExplosion(this, locX, locY, locZ, event.getRadius(), event.getFire(), true);
    }
  }
  
  protected void b(NBTTagCompound nbttagcompound)
  {
    nbttagcompound.setByte("Fuse", (byte)fuseTicks);
  }
  
  protected void a(NBTTagCompound nbttagcompound) {
    fuseTicks = nbttagcompound.getByte("Fuse");
  }
  
  public EntityLiving getSource() {
    return source;
  }
}
