package net.minecraft.server.v1_7_R1;

import org.bukkit.event.entity.ExpBottleEvent;

public class EntityThrownExpBottle extends EntityProjectile {
  public EntityThrownExpBottle(World world) { super(world); }
  
  public EntityThrownExpBottle(World world, EntityLiving entityliving)
  {
    super(world, entityliving);
  }
  
  public EntityThrownExpBottle(World world, double d0, double d1, double d2) {
    super(world, d0, d1, d2);
  }
  
  protected float i() {
    return 0.07F;
  }
  
  protected float e() {
    return 0.7F;
  }
  
  protected float f() {
    return -20.0F;
  }
  
  protected void a(MovingObjectPosition movingobjectposition) {
    if (!world.isStatic)
    {

      int i = 3 + world.random.nextInt(5) + world.random.nextInt(5);
      

      ExpBottleEvent event = org.bukkit.craftbukkit.v1_7_R1.event.CraftEventFactory.callExpBottleEvent(this, i);
      i = event.getExperience();
      if (event.getShowEffect()) {
        world.triggerEffect(2002, (int)Math.round(locX), (int)Math.round(locY), (int)Math.round(locZ), 0);
      }
      

      while (i > 0) {
        int j = EntityExperienceOrb.getOrbValue(i);
        
        i -= j;
        world.addEntity(new EntityExperienceOrb(world, locX, locY, locZ, j));
      }
      
      die();
    }
  }
}
