package net.minecraft.server.v1_7_R1;

import java.util.ArrayList;
import java.util.List;
import org.bukkit.craftbukkit.v1_7_R1.entity.CraftHumanEntity;
import org.bukkit.entity.HumanEntity;

public class InventoryCraftResult implements IInventory
{
  private ItemStack[] items = new ItemStack[1];
  

  private int maxStack = 64;
  
  public ItemStack[] getContents() {
    return items;
  }
  
  public org.bukkit.inventory.InventoryHolder getOwner() {
    return null;
  }
  
  public void onOpen(CraftHumanEntity who) {}
  
  public void onClose(CraftHumanEntity who) {}
  
  public List<HumanEntity> getViewers() { return new ArrayList(); }
  
  public void setMaxStackSize(int size)
  {
    maxStack = size;
  }
  


  public int getSize()
  {
    return 1;
  }
  
  public ItemStack getItem(int i) {
    return items[0];
  }
  
  public String getInventoryName() {
    return "Result";
  }
  
  public boolean k_() {
    return false;
  }
  
  public ItemStack splitStack(int i, int j) {
    if (items[0] != null) {
      ItemStack itemstack = items[0];
      
      items[0] = null;
      return itemstack;
    }
    return null;
  }
  
  public ItemStack splitWithoutUpdate(int i)
  {
    if (items[0] != null) {
      ItemStack itemstack = items[0];
      
      items[0] = null;
      return itemstack;
    }
    return null;
  }
  
  public void setItem(int i, ItemStack itemstack)
  {
    items[0] = itemstack;
  }
  
  public int getMaxStackSize() {
    return maxStack;
  }
  
  public void update() {}
  
  public boolean a(EntityHuman entityhuman) {
    return true;
  }
  
  public void startOpen() {}
  
  public void l_() {}
  
  public boolean b(int i, ItemStack itemstack) {
    return true;
  }
}
