package net.minecraft.server.v1_7_R1;

import org.bukkit.event.block.BlockPlaceEvent;

public class ItemBlock extends Item {
  protected final Block block;
  
  public ItemBlock(Block block) { this.block = block; }
  
  public ItemBlock b(String s)
  {
    super.c(s);
    return this;
  }
  
  public boolean interactWith(ItemStack itemstack, EntityHuman entityhuman, World world, int i, int j, int k, int l, float f, float f1, float f2) {
    int clickedX = i;int clickedY = j;int clickedZ = k;
    Block block = world.getType(i, j, k);
    
    if ((block == Blocks.SNOW) && ((world.getData(i, j, k) & 0x7) < 1)) {
      l = 1;
    } else if ((block != Blocks.VINE) && (block != Blocks.LONG_GRASS) && (block != Blocks.DEAD_BUSH)) {
      if (l == 0) {
        j--;
      }
      
      if (l == 1) {
        j++;
      }
      
      if (l == 2) {
        k--;
      }
      
      if (l == 3) {
        k++;
      }
      
      if (l == 4) {
        i--;
      }
      
      if (l == 5) {
        i++;
      }
    }
    
    if (count == 0)
      return false;
    if (!entityhuman.a(i, j, k, l, itemstack))
      return false;
    if ((j == 255) && (this.block.getMaterial().isBuildable()))
      return false;
    if (world.mayPlace(this.block, i, j, k, false, l, entityhuman, itemstack)) {
      int i1 = filterData(itemstack.getData());
      int j1 = this.block.getPlacedData(world, i, j, k, l, f, f1, f2, i1);
      














      return processBlockPlace(world, entityhuman, itemstack, i, j, k, this.block, j1, clickedX, clickedY, clickedZ);
    }
    
    return false;
  }
  

  static boolean processBlockPlace(World world, EntityHuman entityhuman, ItemStack itemstack, int x, int y, int z, Block id, int data, int clickedX, int clickedY, int clickedZ)
  {
    org.bukkit.block.BlockState blockstate = org.bukkit.craftbukkit.v1_7_R1.block.CraftBlockState.getBlockState(world, x, y, z);
    
    callingPlaceEvent = true;
    
    int flag = (id == Blocks.SIGN_POST) || (id == Blocks.WALL_SIGN) ? 3 : 2;
    world.setTypeAndData(x, y, z, id, data, flag);
    
    BlockPlaceEvent event = org.bukkit.craftbukkit.v1_7_R1.event.CraftEventFactory.callBlockPlaceEvent(world, entityhuman, blockstate, clickedX, clickedY, clickedZ);
    if ((event.isCancelled()) || (!event.canBuild())) {
      blockstate.update(true, false);
      callingPlaceEvent = false;
      return false;
    }
    
    callingPlaceEvent = false;
    
    Block block = world.getType(x, y, z);
    int newData = world.getData(x, y, z);
    
    if ((block != null) && (!(block instanceof BlockContainer))) {
      block.onPlace(world, x, y, z);
    }
    
    world.update(x, y, z, block);
    

    if ((block == Blocks.COCOA) && (itemstack != null) && ((itemstack.getItem() instanceof ItemDye))) {
      return true;
    }
    

    if ((block != null) && (block != Blocks.SKULL)) {
      block.postPlace(world, x, y, z, entityhuman, itemstack);
      block.postPlace(world, x, y, z, newData);
      
      world.makeSound(x + 0.5F, y + 0.5F, z + 0.5F, stepSound.getPlaceSound(), (stepSound.getVolume1() + 1.0F) / 2.0F, stepSound.getVolume2() * 0.8F);
    }
    
    if (itemstack != null) {
      count -= 1;
    }
    
    return true;
  }
  
  public String a(ItemStack itemstack)
  {
    return block.a();
  }
  
  public String getName() {
    return block.a();
  }
  
  public Item c(String s) {
    return b(s);
  }
}
