package net.minecraft.server.v1_7_R1;

import java.util.List;

public class ItemBoat extends Item
{
  public ItemBoat() {
    maxStackSize = 1;
    a(CreativeModeTab.e);
  }
  
  public ItemStack a(ItemStack itemstack, World world, EntityHuman entityhuman) {
    float f = 1.0F;
    float f1 = lastPitch + (pitch - lastPitch) * f;
    float f2 = lastYaw + (yaw - lastYaw) * f;
    double d0 = lastX + (locX - lastX) * f;
    double d1 = lastY + (locY - lastY) * f + 1.62D - height;
    double d2 = lastZ + (locZ - lastZ) * f;
    Vec3D vec3d = world.getVec3DPool().create(d0, d1, d2);
    float f3 = MathHelper.cos(-f2 * 0.01745329F - 3.141593F);
    float f4 = MathHelper.sin(-f2 * 0.01745329F - 3.141593F);
    float f5 = -MathHelper.cos(-f1 * 0.01745329F);
    float f6 = MathHelper.sin(-f1 * 0.01745329F);
    float f7 = f4 * f5;
    float f8 = f3 * f5;
    double d3 = 5.0D;
    Vec3D vec3d1 = vec3d.add(f7 * d3, f6 * d3, f8 * d3);
    MovingObjectPosition movingobjectposition = world.rayTrace(vec3d, vec3d1, true);
    
    if (movingobjectposition == null) {
      return itemstack;
    }
    Vec3D vec3d2 = entityhuman.j(f);
    boolean flag = false;
    float f9 = 1.0F;
    List list = world.getEntities(entityhuman, boundingBox.a(c * d3, d * d3, e * d3).grow(f9, f9, f9));
    


    for (int i = 0; i < list.size(); i++) {
      Entity entity = (Entity)list.get(i);
      
      if (entity.R()) {
        float f10 = entity.af();
        AxisAlignedBB axisalignedbb = boundingBox.grow(f10, f10, f10);
        
        if (axisalignedbb.a(vec3d)) {
          flag = true;
        }
      }
    }
    
    if (flag) {
      return itemstack;
    }
    if (type == EnumMovingObjectType.BLOCK) {
      i = b;
      int j = c;
      int k = d;
      

      org.bukkit.event.player.PlayerInteractEvent event = org.bukkit.craftbukkit.v1_7_R1.event.CraftEventFactory.callPlayerInteractEvent(entityhuman, org.bukkit.event.block.Action.RIGHT_CLICK_BLOCK, i, j, k, face, itemstack);
      
      if (event.isCancelled()) {
        return itemstack;
      }
      

      if (world.getType(i, j, k) == Blocks.SNOW) {
        j--;
      }
      
      EntityBoat entityboat = new EntityBoat(world, i + 0.5F, j + 1.0F, k + 0.5F);
      
      yaw = (((MathHelper.floor(yaw * 4.0F / 360.0F + 0.5D) & 0x3) - 1) * 90);
      if (!world.getCubes(entityboat, boundingBox.grow(-0.1D, -0.1D, -0.1D)).isEmpty()) {
        return itemstack;
      }
      
      if (!isStatic) {
        world.addEntity(entityboat);
      }
      
      if (!abilities.canInstantlyBuild) {
        count -= 1;
      }
    }
    
    return itemstack;
  }
}
