package net.minecraft.server.v1_7_R1;

import org.bukkit.event.entity.EntityShootBowEvent;

public class ItemBow extends Item { public static final String[] a = { "pulling_0", "pulling_1", "pulling_2" };
  
  public ItemBow() {
    maxStackSize = 1;
    setMaxDurability(384);
    a(CreativeModeTab.j);
  }
  
  public void a(ItemStack itemstack, World world, EntityHuman entityhuman, int i) {
    boolean flag = (abilities.canInstantlyBuild) || (EnchantmentManager.getEnchantmentLevel(ARROW_INFINITEid, itemstack) > 0);
    
    if ((flag) || (inventory.b(Items.ARROW))) {
      int j = d_(itemstack) - i;
      float f = j / 20.0F;
      
      f = (f * f + f * 2.0F) / 3.0F;
      if (f < 0.1D) {
        return;
      }
      
      if (f > 1.0F) {
        f = 1.0F;
      }
      
      EntityArrow entityarrow = new EntityArrow(world, entityhuman, f * 2.0F);
      
      if (f == 1.0F) {
        entityarrow.a(true);
      }
      
      int k = EnchantmentManager.getEnchantmentLevel(ARROW_DAMAGEid, itemstack);
      
      if (k > 0) {
        entityarrow.b(entityarrow.e() + k * 0.5D + 0.5D);
      }
      
      int l = EnchantmentManager.getEnchantmentLevel(ARROW_KNOCKBACKid, itemstack);
      
      if (l > 0) {
        entityarrow.a(l);
      }
      
      if (EnchantmentManager.getEnchantmentLevel(ARROW_FIREid, itemstack) > 0) {
        entityarrow.setOnFire(100);
      }
      

      EntityShootBowEvent event = org.bukkit.craftbukkit.v1_7_R1.event.CraftEventFactory.callEntityShootBowEvent(entityhuman, itemstack, entityarrow, f);
      if (event.isCancelled()) {
        event.getProjectile().remove();
        return;
      }
      
      if (event.getProjectile() == entityarrow.getBukkitEntity()) {
        world.addEntity(entityarrow);
      }
      

      itemstack.damage(1, entityhuman);
      world.makeSound(entityhuman, "random.bow", 1.0F, 1.0F / (g.nextFloat() * 0.4F + 1.2F) + f * 0.5F);
      if (flag) {
        fromPlayer = 2;
      } else {
        inventory.a(Items.ARROW);
      }
      
      if (isStatic) {}
    }
  }
  

  public ItemStack b(ItemStack itemstack, World world, EntityHuman entityhuman)
  {
    return itemstack;
  }
  
  public int d_(ItemStack itemstack) {
    return 72000;
  }
  
  public EnumAnimation d(ItemStack itemstack) {
    return EnumAnimation.BOW;
  }
  
  public ItemStack a(ItemStack itemstack, World world, EntityHuman entityhuman) {
    if ((abilities.canInstantlyBuild) || (inventory.b(Items.ARROW))) {
      entityhuman.a(itemstack, d_(itemstack));
    }
    
    return itemstack;
  }
  
  public int c() {
    return 1;
  }
}
