package net.minecraft.server.v1_7_R1;

import org.bukkit.event.block.BlockIgniteEvent;

public class ItemFireball extends Item {
  public ItemFireball() { a(CreativeModeTab.f); }
  
  public boolean interactWith(ItemStack itemstack, EntityHuman entityhuman, World world, int i, int j, int k, int l, float f, float f1, float f2)
  {
    if (isStatic) {
      return true;
    }
    if (l == 0) {
      j--;
    }
    
    if (l == 1) {
      j++;
    }
    
    if (l == 2) {
      k--;
    }
    
    if (l == 3) {
      k++;
    }
    
    if (l == 4) {
      i--;
    }
    
    if (l == 5) {
      i++;
    }
    
    if (!entityhuman.a(i, j, k, l, itemstack)) {
      return false;
    }
    if (world.getType(i, j, k).getMaterial() == Material.AIR)
    {
      if (org.bukkit.craftbukkit.v1_7_R1.event.CraftEventFactory.callBlockIgniteEvent(world, i, j, k, org.bukkit.event.block.BlockIgniteEvent.IgniteCause.FIREBALL, entityhuman).isCancelled()) {
        if (!abilities.canInstantlyBuild) {
          count -= 1;
        }
        return false;
      }
      

      world.makeSound(i + 0.5D, j + 0.5D, k + 0.5D, "fire.ignite", 1.0F, g.nextFloat() * 0.4F + 0.8F);
      world.setTypeUpdate(i, j, k, Blocks.FIRE);
    }
    
    if (!abilities.canInstantlyBuild) {
      count -= 1;
    }
    
    return true;
  }
}
