package net.minecraft.server.v1_7_R1;

public class ItemHoe extends Item
{
  protected EnumToolMaterial a;
  
  public ItemHoe(EnumToolMaterial enumtoolmaterial) {
    a = enumtoolmaterial;
    maxStackSize = 1;
    setMaxDurability(enumtoolmaterial.a());
    a(CreativeModeTab.i);
  }
  
  public boolean interactWith(ItemStack itemstack, EntityHuman entityhuman, World world, int i, int j, int k, int l, float f, float f1, float f2) {
    int clickedX = i;int clickedY = j;int clickedZ = k;
    if (!entityhuman.a(i, j, k, l, itemstack)) {
      return false;
    }
    Block block = world.getType(i, j, k);
    
    if ((l != 0) && (world.getType(i, j + 1, k).getMaterial() == Material.AIR) && ((block == Blocks.GRASS) || (block == Blocks.DIRT))) {
      Block block1 = Blocks.SOIL;
      
      world.makeSound(i + 0.5F, j + 0.5F, k + 0.5F, stepSound.getStepSound(), (stepSound.getVolume1() + 1.0F) / 2.0F, stepSound.getVolume2() * 0.8F);
      if (isStatic) {
        return true;
      }
      

      if (!ItemBlock.processBlockPlace(world, entityhuman, null, i, j, k, block1, 0, clickedX, clickedY, clickedZ)) {
        return false;
      }
      
      itemstack.damage(1, entityhuman);
      return true;
    }
    
    return false;
  }
  

  public String i()
  {
    return a.toString();
  }
}
