package net.minecraft.server.v1_7_R1;

public class ItemStep extends ItemBlock
{
  private final boolean b;
  private final BlockStepAbstract c;
  private final BlockStepAbstract d;
  
  public ItemStep(Block block, BlockStepAbstract blockstepabstract, BlockStepAbstract blockstepabstract1, boolean flag) {
    super(block);
    c = blockstepabstract;
    d = blockstepabstract1;
    b = flag;
    setMaxDurability(0);
    a(true);
  }
  
  public int filterData(int i) {
    return i;
  }
  
  public String a(ItemStack itemstack) {
    return c.b(itemstack.getData());
  }
  
  public boolean interactWith(ItemStack itemstack, EntityHuman entityhuman, World world, int i, int j, int k, int l, float f, float f1, float f2) {
    int clickedX = i;int clickedY = j;int clickedZ = k;
    if (b)
      return super.interactWith(itemstack, entityhuman, world, i, j, k, l, f, f1, f2);
    if (count == 0)
      return false;
    if (!entityhuman.a(i, j, k, l, itemstack)) {
      return false;
    }
    Block block = world.getType(i, j, k);
    int i1 = world.getData(i, j, k);
    int j1 = i1 & 0x7;
    boolean flag = (i1 & 0x8) != 0;
    
    if (((l == 1) && (!flag)) || ((l == 0) && (flag) && (block == c) && (j1 == itemstack.getData())))
    {

      if ((world.b(d.a(world, i, j, k))) && (processBlockPlace(world, entityhuman, null, i, j, k, d, j1, clickedX, clickedY, clickedZ)))
      {

        count -= 1;
      }
      
      return true;
    }
    return a(itemstack, entityhuman, world, i, j, k, l) ? true : super.interactWith(itemstack, entityhuman, world, i, j, k, l, f, f1, f2);
  }
  

  private boolean a(ItemStack itemstack, EntityHuman entityhuman, World world, int i, int j, int k, int l)
  {
    if (l == 0) {
      j--;
    }
    
    if (l == 1) {
      j++;
    }
    
    if (l == 2) {
      k--;
    }
    
    if (l == 3) {
      k++;
    }
    
    if (l == 4) {
      i--;
    }
    
    if (l == 5) {
      i++;
    }
    
    Block block = world.getType(i, j, k);
    int i1 = world.getData(i, j, k);
    int j1 = i1 & 0x7;
    
    if ((block == c) && (j1 == itemstack.getData())) {
      if ((world.b(d.a(world, i, j, k))) && (world.setTypeAndData(i, j, k, d, j1, 3))) {
        world.makeSound(i + 0.5F, j + 0.5F, k + 0.5F, d.stepSound.getPlaceSound(), (d.stepSound.getVolume1() + 1.0F) / 2.0F, d.stepSound.getVolume2() * 0.8F);
        count -= 1;
      }
      
      return true;
    }
    return false;
  }
}
