package net.minecraft.server.v1_7_R1;

import java.io.IOException;
import java.util.List;
import net.minecraft.util.io.netty.buffer.ByteBuf;
import net.minecraft.util.io.netty.channel.Channel;
import net.minecraft.util.io.netty.channel.ChannelHandlerContext;
import net.minecraft.util.io.netty.util.Attribute;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.apache.logging.log4j.Marker;
import org.apache.logging.log4j.MarkerManager;

public class PacketDecoder extends net.minecraft.util.io.netty.handler.codec.ByteToMessageDecoder
{
  private static final Logger a = ;
  private static final Marker b = MarkerManager.getMarker("PACKET_RECEIVED", NetworkManager.b);
  
  protected void decode(ChannelHandlerContext paramChannelHandlerContext, ByteBuf paramByteBuf, List paramList)
  {
    if (paramByteBuf.readableBytes() == 0) {
      return;
    }
    
    PacketDataSerializer localPacketDataSerializer = new PacketDataSerializer(paramByteBuf);
    int i = localPacketDataSerializer.a();
    Packet localPacket = Packet.a((net.minecraft.util.com.google.common.collect.BiMap)paramChannelHandlerContext.channel().attr(NetworkManager.d).get(), i);
    
    if (localPacket == null) {
      throw new IOException("Bad packet id " + i);
    }
    
    localPacket.a(localPacketDataSerializer);
    if (localPacketDataSerializer.readableBytes() > 0) {
      throw new IOException("Packet was larger than I expected, found " + localPacketDataSerializer.readableBytes() + " bytes extra whilst reading packet " + i);
    }
    paramList.add(localPacket);
    

    if (a.isDebugEnabled()) {
      a.debug(b, " IN: [{}:{}] {}[{}]", new Object[] { paramChannelHandlerContext.channel().attr(NetworkManager.c).get(), Integer.valueOf(i), localPacket.getClass().getName(), localPacket.b() });
    }
  }
}
