package net.minecraft.server.v1_7_R1;

import net.minecraft.util.com.google.common.collect.BiMap;
import net.minecraft.util.io.netty.buffer.ByteBuf;
import net.minecraft.util.io.netty.channel.Channel;
import net.minecraft.util.io.netty.channel.ChannelHandlerContext;
import net.minecraft.util.io.netty.handler.codec.MessageToByteEncoder;
import net.minecraft.util.io.netty.util.Attribute;
import org.apache.logging.log4j.Logger;
import org.apache.logging.log4j.Marker;
import org.apache.logging.log4j.MarkerManager;

public class PacketEncoder extends MessageToByteEncoder
{
  private static final Logger a = ;
  private static final Marker b = MarkerManager.getMarker("PACKET_SENT", NetworkManager.b);
  
  protected void a(ChannelHandlerContext paramChannelHandlerContext, Packet paramPacket, ByteBuf paramByteBuf)
  {
    Integer localInteger = (Integer)((BiMap)paramChannelHandlerContext.channel().attr(NetworkManager.e).get()).inverse().get(paramPacket.getClass());
    

    if (a.isDebugEnabled()) {
      a.debug(b, "OUT: [{}:{}] {}[{}]", new Object[] { paramChannelHandlerContext.channel().attr(NetworkManager.c).get(), localInteger, paramPacket.getClass().getName(), paramPacket.b() });
    }
    
    if (localInteger == null) {
      throw new java.io.IOException("Can't serialize unregistered packet");
    }
    
    PacketDataSerializer localPacketDataSerializer = new PacketDataSerializer(paramByteBuf);
    localPacketDataSerializer.b(localInteger.intValue());
    paramPacket.b(localPacketDataSerializer);
  }
}
