package net.minecraft.server.v1_7_R1;

import java.io.IOException;
import java.util.List;
import net.minecraft.util.com.mojang.authlib.GameProfile;

public class PacketPlayOutNamedEntitySpawn
  extends Packet
{
  private int a;
  private GameProfile b;
  private int c;
  private int d;
  private int e;
  private byte f;
  private byte g;
  private int h;
  private DataWatcher i;
  private List j;
  
  public PacketPlayOutNamedEntitySpawn() {}
  
  public PacketPlayOutNamedEntitySpawn(EntityHuman entityhuman)
  {
    a = entityhuman.getId();
    b = entityhuman.getProfile();
    c = MathHelper.floor(locX * 32.0D);
    d = MathHelper.floor(locY * 32.0D);
    e = MathHelper.floor(locZ * 32.0D);
    f = ((byte)(int)(yaw * 256.0F / 360.0F));
    g = ((byte)(int)(pitch * 256.0F / 360.0F));
    ItemStack itemstack = inventory.getItemInHand();
    
    h = (itemstack == null ? 0 : Item.b(itemstack.getItem()));
    i = entityhuman.getDataWatcher();
  }
  
  public void a(PacketDataSerializer packetdataserializer) throws IOException {
    a = packetdataserializer.a();
    b = new GameProfile(packetdataserializer.c(36), packetdataserializer.c(16));
    c = packetdataserializer.readInt();
    d = packetdataserializer.readInt();
    e = packetdataserializer.readInt();
    f = packetdataserializer.readByte();
    g = packetdataserializer.readByte();
    h = packetdataserializer.readShort();
    j = DataWatcher.b(packetdataserializer);
  }
  
  public void b(PacketDataSerializer packetdataserializer) throws IOException {
    packetdataserializer.b(a);
    packetdataserializer.a(b.getId());
    packetdataserializer.a(b.getName().length() > 16 ? b.getName().substring(0, 16) : b.getName());
    packetdataserializer.writeInt(c);
    packetdataserializer.writeInt(d);
    packetdataserializer.writeInt(e);
    packetdataserializer.writeByte(f);
    packetdataserializer.writeByte(g);
    packetdataserializer.writeShort(h);
    i.a(packetdataserializer);
  }
  
  public void a(PacketPlayOutListener packetplayoutlistener) {
    packetplayoutlistener.a(this);
  }
  
  public String b() {
    return String.format("id=%d, gameProfile='%s', x=%.2f, y=%.2f, z=%.2f, carried=%d", new Object[] { Integer.valueOf(a), b, Float.valueOf(c / 32.0F), Float.valueOf(d / 32.0F), Float.valueOf(e / 32.0F), Integer.valueOf(h) });
  }
  
  public void handle(PacketListener packetlistener) {
    a((PacketPlayOutListener)packetlistener);
  }
}
