package net.minecraft.server.v1_7_R1;

public class PacketPlayOutSpawnPosition extends Packet
{
  public int x;
  public int y;
  public int z;
  
  public PacketPlayOutSpawnPosition() {}
  
  public PacketPlayOutSpawnPosition(int i, int j, int k) {
    x = i;
    y = j;
    z = k;
  }
  
  public void a(PacketDataSerializer packetdataserializer) {
    x = packetdataserializer.readInt();
    y = packetdataserializer.readInt();
    z = packetdataserializer.readInt();
  }
  
  public void b(PacketDataSerializer packetdataserializer) {
    packetdataserializer.writeInt(x);
    packetdataserializer.writeInt(y);
    packetdataserializer.writeInt(z);
  }
  
  public void a(PacketPlayOutListener packetplayoutlistener) {
    packetplayoutlistener.a(this);
  }
  
  public boolean a() {
    return false;
  }
  
  public String b() {
    return String.format("x=%d, y=%d, z=%d", new Object[] { Integer.valueOf(x), Integer.valueOf(y), Integer.valueOf(z) });
  }
  
  public void handle(PacketListener packetlistener) {
    a((PacketPlayOutListener)packetlistener);
  }
}
