package net.minecraft.server.v1_7_R1;

import java.util.Collection;

public class PortalCreator
{
  private final World a;
  private final int b;
  private final int c;
  private final int d;
  private int e = 0;
  private ChunkCoordinates f;
  private int g;
  private int h;
  Collection<org.bukkit.block.Block> blocks;
  
  public PortalCreator(World world, int i, int j, int k, int l) {
    a = world;
    b = l;
    d = BlockPortal.a[l][0];
    c = BlockPortal.a[l][1];
    
    for (int i1 = j; (j > i1 - 21) && (j > 0) && (a(world.getType(i, j - 1, k))); j--) {}
    


    int j1 = a(i, j, k, d) - 1;
    
    if (j1 >= 0) {
      f = new ChunkCoordinates(i + j1 * Direction.a[d], j, k + j1 * Direction.b[d]);
      h = a(f.x, f.y, f.z, c);
      if ((h < 2) || (h > 21)) {
        f = null;
        h = 0;
      }
    }
    
    if (f != null) {
      g = a();
    }
  }
  
  protected int a(int i, int j, int k, int l) {
    int i1 = Direction.a[l];
    int j1 = Direction.b[l];
    



    for (int k1 = 0; k1 < 22; k1++) {
      Block block = a.getType(i + i1 * k1, j, k + j1 * k1);
      if (!a(block)) {
        break;
      }
      
      Block block1 = a.getType(i + i1 * k1, j - 1, k + j1 * k1);
      
      if (block1 != Blocks.OBSIDIAN) {
        break;
      }
    }
    
    Block block = a.getType(i + i1 * k1, j, k + j1 * k1);
    return block == Blocks.OBSIDIAN ? k1 : 0;
  }
  
  protected int a() {
    blocks = new java.util.HashSet();
    org.bukkit.World bworld = a.getWorld();
    





    for (g = 0; g < 21; g += 1) {
      int i = f.y + g;
      
      for (int j = 0; j < h; j++) {
        int k = f.x + j * Direction.a[BlockPortal.a[b][1]];
        int l = f.z + j * Direction.b[BlockPortal.a[b][1]];
        Block block = a.getType(k, i, l);
        
        if (!a(block)) {
          break label400;
        }
        
        if (block == Blocks.PORTAL) {
          e += 1;
        }
        
        if (j == 0) {
          block = a.getType(k + Direction.a[BlockPortal.a[b][0]], i, l + Direction.b[BlockPortal.a[b][0]]);
          if (block != Blocks.OBSIDIAN) {
            break label400;
          }
          
          blocks.add(bworld.getBlockAt(k + Direction.a[BlockPortal.a[b][0]], i, l + Direction.b[BlockPortal.a[b][0]]));

        }
        else if (j == h - 1) {
          block = a.getType(k + Direction.a[BlockPortal.a[b][1]], i, l + Direction.b[BlockPortal.a[b][1]]);
          if (block != Blocks.OBSIDIAN) {
            break label400;
          }
          
          blocks.add(bworld.getBlockAt(k + Direction.a[BlockPortal.a[b][1]], i, l + Direction.b[BlockPortal.a[b][1]]));
        }
      }
    }
    
    label400:
    
    for (int i = 0; i < h; i++) {
      int j = f.x + i * Direction.a[BlockPortal.a[b][1]];
      int k = f.y + g;
      int l = f.z + i * Direction.b[BlockPortal.a[b][1]];
      if (a.getType(j, k, l) != Blocks.OBSIDIAN) {
        g = 0;
        break;
      }
    }
    
    if ((g <= 21) && (g >= 3)) {
      return g;
    }
    f = null;
    h = 0;
    g = 0;
    return 0;
  }
  
  protected boolean a(Block block)
  {
    return (material == Material.AIR) || (block == Blocks.FIRE) || (block == Blocks.PORTAL);
  }
  
  public boolean b() {
    return (f != null) && (h >= 2) && (h <= 21) && (g >= 3) && (g <= 21);
  }
  
  public boolean c()
  {
    org.bukkit.World bworld = a.getWorld();
    

    for (int i = 0; i < h; i++) {
      int j = f.x + Direction.a[c] * i;
      int k = f.z + Direction.b[c] * i;
      
      for (int l = 0; l < g; l++) {
        int i1 = f.y + l;
        
        bworld.getBlockAt(j, i1, k);
      }
    }
    
    org.bukkit.event.world.PortalCreateEvent event = new org.bukkit.event.world.PortalCreateEvent(blocks, bworld, org.bukkit.event.world.PortalCreateEvent.CreateReason.FIRE);
    a.getServer().getPluginManager().callEvent(event);
    
    if (event.isCancelled()) {
      return false;
    }
    

    for (int i = 0; i < h; i++) {
      int j = f.x + Direction.a[c] * i;
      int k = f.z + Direction.b[c] * i;
      
      for (int l = 0; l < g; l++) {
        int i1 = f.y + l;
        
        a.setTypeAndData(j, i1, k, Blocks.PORTAL, b, 2);
      }
    }
    
    return true;
  }
  
  static int a(PortalCreator portalcreator) {
    return e;
  }
  
  static int b(PortalCreator portalcreator) {
    return h;
  }
  
  static int c(PortalCreator portalcreator) {
    return g;
  }
}
