package net.minecraft.server.v1_7_R1;

import java.util.List;
import net.minecraft.util.io.netty.channel.Channel;
import net.minecraft.util.io.netty.channel.ChannelConfig;
import net.minecraft.util.io.netty.channel.ChannelException;
import net.minecraft.util.io.netty.channel.ChannelInitializer;
import net.minecraft.util.io.netty.channel.ChannelOption;
import net.minecraft.util.io.netty.channel.ChannelPipeline;
import net.minecraft.util.io.netty.handler.timeout.ReadTimeoutHandler;































class ServerConnectionChannel
  extends ChannelInitializer
{
  ServerConnectionChannel(ServerConnection paramServerConnection) {}
  
  protected void initChannel(Channel paramChannel)
  {
    try
    {
      paramChannel.config().setOption(ChannelOption.IP_TOS, Integer.valueOf(24));
    }
    catch (ChannelException localChannelException1) {}
    try
    {
      paramChannel.config().setOption(ChannelOption.TCP_NODELAY, Boolean.valueOf(false));
    }
    catch (ChannelException localChannelException2) {}
    
    paramChannel.pipeline().addLast("timeout", new ReadTimeoutHandler(30)).addLast("legacy_query", new LegacyPingHandler(a)).addLast("splitter", new PacketSplitter()).addLast("decoder", new PacketDecoder()).addLast("prepender", new PacketPrepender()).addLast("encoder", new PacketEncoder());
    









    NetworkManager localNetworkManager = new NetworkManager(false);
    ServerConnection.a(a).add(localNetworkManager);
    paramChannel.pipeline().addLast("packet_handler", localNetworkManager);
    localNetworkManager.a(new HandshakeListener(ServerConnection.b(a), localNetworkManager));
  }
}
