package net.minecraft.server.v1_7_R1;

import java.io.IOException;
import org.apache.logging.log4j.Logger;
import org.bukkit.craftbukkit.Main;
import org.bukkit.craftbukkit.libs.jline.console.ConsoleReader;

class ThreadCommandReader extends Thread
{
  final DedicatedServer server;
  
  ThreadCommandReader(DedicatedServer dedicatedserver, String s)
  {
    super(s);
    server = dedicatedserver;
  }
  
  public void run()
  {
    if (!Main.useConsole) {
      return;
    }
    

    ConsoleReader bufferedreader = server.reader;
    

    try
    {
      while ((!server.isStopped()) && (server.isRunning())) { String s;
        String s; if (Main.useJline) {
          s = bufferedreader.readLine(">", null);
        } else {
          s = bufferedreader.readLine();
        }
        if (s != null) {
          server.issueCommand(s, server);
        }
      }
    }
    catch (IOException ioexception) {
      DedicatedServer.az().error("Exception handling console input", ioexception);
    }
  }
}
