package net.minecraft.server.v1_7_R1;

import java.util.Random;
import org.bukkit.craftbukkit.v1_7_R1.CraftBlockChangeDelegate;

public class WorldGenForest extends WorldGenTreeAbstract implements BlockSapling.TreeGenerator
{
  private boolean a;
  
  public WorldGenForest(boolean flag, boolean flag1)
  {
    super(flag);
    a = flag1;
  }
  
  public boolean a(World world, Random random, int i, int j, int k)
  {
    return generate(new CraftBlockChangeDelegate((org.bukkit.BlockChangeDelegate)world), random, i, j, k);
  }
  
  public boolean generate(CraftBlockChangeDelegate world, Random random, int i, int j, int k)
  {
    int l = random.nextInt(3) + 5;
    
    if (a) {
      l += random.nextInt(7);
    }
    
    boolean flag = true;
    
    if ((j >= 1) && (j + l + 1 <= 256))
    {


      for (int k1 = j; k1 <= j + 1 + l; k1++) {
        byte b0 = 1;
        
        if (k1 == j) {
          b0 = 0;
        }
        
        if (k1 >= j + 1 + l - 2) {
          b0 = 2;
        }
        
        for (int i1 = i - b0; (i1 <= i + b0) && (flag); i1++) {
          for (int j1 = k - b0; (j1 <= k + b0) && (flag); j1++) {
            if ((k1 >= 0) && (k1 < 256)) {
              Block block = world.getType(i1, k1, j1);
              
              if (!a(block)) {
                flag = false;
              }
            } else {
              flag = false;
            }
          }
        }
      }
      
      if (!flag) {
        return false;
      }
      Block block1 = world.getType(i, j - 1, k);
      
      if (((block1 == Blocks.GRASS) || (block1 == Blocks.DIRT) || (block1 == Blocks.SOIL)) && (j < 256 - l - 1)) {
        setType(world, i, j - 1, k, Blocks.DIRT);
        


        for (int l1 = j - 3 + l; l1 <= j + l; l1++) {
          int i1 = l1 - (j + l);
          int j1 = 1 - i1 / 2;
          
          for (int i2 = i - j1; i2 <= i + j1; i2++) {
            int j2 = i2 - i;
            
            for (int k2 = k - j1; k2 <= k + j1; k2++) {
              int l2 = k2 - k;
              
              if ((Math.abs(j2) != j1) || (Math.abs(l2) != j1) || ((random.nextInt(2) != 0) && (i1 != 0))) {
                Block block2 = world.getType(i2, l1, k2);
                
                if ((block2.getMaterial() == Material.AIR) || (block2.getMaterial() == Material.LEAVES)) {
                  setTypeAndData(world, i2, l1, k2, Blocks.LEAVES, 2);
                }
              }
            }
          }
        }
        
        for (l1 = 0; l1 < l; l1++) {
          Block block3 = world.getType(i, j + l1, k);
          
          if ((block3.getMaterial() == Material.AIR) || (block3.getMaterial() == Material.LEAVES)) {
            setTypeAndData(world, i, j + l1, k, Blocks.LOG, 2);
          }
        }
        
        return true;
      }
      return false;
    }
    

    return false;
  }
}
