package net.minecraft.server.v1_7_R1;

import java.util.Random;
import org.bukkit.craftbukkit.v1_7_R1.CraftBlockChangeDelegate;

public class WorldGenMegaTree extends WorldGenMegaTreeAbstract implements BlockSapling.TreeGenerator
{
  private boolean e;
  
  public WorldGenMegaTree(boolean flag, boolean flag1)
  {
    super(flag, 13, 15, 1, 1);
    e = flag1;
  }
  
  public boolean a(World world, Random random, int i, int j, int k)
  {
    return generate(new CraftBlockChangeDelegate((org.bukkit.BlockChangeDelegate)world), random, i, j, k);
  }
  
  public boolean generate(CraftBlockChangeDelegate world, Random random, int i, int j, int k)
  {
    int l = a(random);
    
    if (!a(world, random, i, j, k, l)) {
      return false;
    }
    c(world, i, k, j + l, 0, random);
    
    for (int i1 = 0; i1 < l; i1++) {
      Block block = world.getType(i, j + i1, k);
      
      if ((block.getMaterial() == Material.AIR) || (block.getMaterial() == Material.LEAVES)) {
        setTypeAndData(world, i, j + i1, k, Blocks.LOG, b);
      }
      
      if (i1 < l - 1) {
        block = world.getType(i + 1, j + i1, k);
        if ((block.getMaterial() == Material.AIR) || (block.getMaterial() == Material.LEAVES)) {
          setTypeAndData(world, i + 1, j + i1, k, Blocks.LOG, b);
        }
        
        block = world.getType(i + 1, j + i1, k + 1);
        if ((block.getMaterial() == Material.AIR) || (block.getMaterial() == Material.LEAVES)) {
          setTypeAndData(world, i + 1, j + i1, k + 1, Blocks.LOG, b);
        }
        
        block = world.getType(i, j + i1, k + 1);
        if ((block.getMaterial() == Material.AIR) || (block.getMaterial() == Material.LEAVES)) {
          setTypeAndData(world, i, j + i1, k + 1, Blocks.LOG, b);
        }
      }
    }
    

    return true;
  }
  
  private void c(CraftBlockChangeDelegate world, int i, int j, int k, int l, Random random)
  {
    int i1 = random.nextInt(5);
    
    if (e) {
      i1 += a;
    } else {
      i1 += 3;
    }
    
    int j1 = 0;
    
    for (int k1 = k - i1; k1 <= k; k1++) {
      int l1 = k - k1;
      int i2 = l + MathHelper.d(l1 / i1 * 3.5F);
      
      a(world, i, k1, j, i2 + ((l1 > 0) && (i2 == j1) && ((k1 & 0x1) == 0) ? 1 : 0), random);
      j1 = i2;
    }
  }
  
  public void b(CraftBlockChangeDelegate world, Random random, int i, int j, int k)
  {
    c(world, random, i - 1, j, k - 1);
    c(world, random, i + 2, j, k - 1);
    c(world, random, i - 1, j, k + 2);
    c(world, random, i + 2, j, k + 2);
    
    for (int l = 0; l < 5; l++) {
      int i1 = random.nextInt(64);
      int j1 = i1 % 8;
      int k1 = i1 / 8;
      
      if ((j1 == 0) || (j1 == 7) || (k1 == 0) || (k1 == 7)) {
        c(world, random, i - 3 + j1, j, k - 3 + k1);
      }
    }
  }
  
  private void c(CraftBlockChangeDelegate world, Random random, int i, int j, int k)
  {
    for (int l = -2; l <= 2; l++) {
      for (int i1 = -2; i1 <= 2; i1++) {
        if ((Math.abs(l) != 2) || (Math.abs(i1) != 2)) {
          a(world, i + l, j, k + i1);
        }
      }
    }
  }
  
  private void a(CraftBlockChangeDelegate world, int i, int j, int k)
  {
    for (int l = j + 2; l >= j - 3; l--) {
      Block block = world.getType(i, l, k);
      
      if ((block == Blocks.GRASS) || (block == Blocks.DIRT)) {
        setTypeAndData(world, i, l, k, Blocks.DIRT, 2);
      }
      else
      {
        if ((block.getMaterial() != Material.AIR) && (l < j)) {
          break;
        }
      }
    }
  }
}
