package net.minecraft.util.com.google.common.base;

import java.lang.ref.SoftReference;





























public abstract class FinalizableSoftReference<T>
  extends SoftReference<T>
  implements FinalizableReference
{
  protected FinalizableSoftReference(T referent, FinalizableReferenceQueue queue)
  {
    super(referent, queue);
    queue.cleanUp();
  }
}
