package net.minecraft.util.com.google.common.eventbus;

import net.minecraft.util.com.google.common.annotations.Beta;
import net.minecraft.util.com.google.common.base.Preconditions;


































@Beta
public class DeadEvent
{
  private final Object source;
  private final Object event;
  
  public DeadEvent(Object source, Object event)
  {
    this.source = Preconditions.checkNotNull(source);
    this.event = Preconditions.checkNotNull(event);
  }
  





  public Object getSource()
  {
    return source;
  }
  





  public Object getEvent()
  {
    return event;
  }
}
