package net.minecraft.util.com.google.common.html;

import net.minecraft.util.com.google.common.annotations.Beta;
import net.minecraft.util.com.google.common.annotations.GwtCompatible;
import net.minecraft.util.com.google.common.escape.Escaper;
import net.minecraft.util.com.google.common.escape.Escapers;
import net.minecraft.util.com.google.common.escape.Escapers.Builder;


















































@Beta
@GwtCompatible
public final class HtmlEscapers
{
  public static Escaper htmlEscaper()
  {
    return HTML_ESCAPER;
  }
  
  private static final Escaper HTML_ESCAPER = Escapers.builder().addEscape('"', "&quot;").addEscape('\'', "&#39;").addEscape('&', "&amp;").addEscape('<', "&lt;").addEscape('>', "&gt;").build();
}
