package net.minecraft.util.com.mojang.authlib.yggdrasil.response;

import net.minecraft.util.com.mojang.authlib.GameProfile;

public class AuthenticationResponse extends Response {
  private String accessToken;
  private String clientToken;
  private GameProfile selectedProfile;
  private GameProfile[] availableProfiles;
  private User user;
  
  public String getAccessToken() {
    return accessToken;
  }
  
  public String getClientToken() {
    return clientToken;
  }
  
  public GameProfile[] getAvailableProfiles() {
    return availableProfiles;
  }
  
  public GameProfile getSelectedProfile() {
    return selectedProfile;
  }
  

  public User getUser() { return user; }
  
  public class User {
    private String id;
    
    public User() {}
    
    public String getId() { return id; }
  }
}
