package net.minecraft.util.io.netty.channel;

import java.net.SocketAddress;
























public class ChannelOutboundHandlerAdapter
  extends ChannelHandlerAdapter
  implements ChannelOutboundHandler
{
  public void bind(ChannelHandlerContext ctx, SocketAddress localAddress, ChannelPromise promise)
    throws Exception
  {
    ctx.bind(localAddress, promise);
  }
  






  public void connect(ChannelHandlerContext ctx, SocketAddress remoteAddress, SocketAddress localAddress, ChannelPromise promise)
    throws Exception
  {
    ctx.connect(remoteAddress, localAddress, promise);
  }
  






  public void disconnect(ChannelHandlerContext ctx, ChannelPromise promise)
    throws Exception
  {
    ctx.disconnect(promise);
  }
  






  public void close(ChannelHandlerContext ctx, ChannelPromise promise)
    throws Exception
  {
    ctx.close(promise);
  }
  





  public void deregister(ChannelHandlerContext ctx, ChannelPromise promise)
    throws Exception
  {
    ctx.deregister(promise);
  }
  





  public void read(ChannelHandlerContext ctx)
    throws Exception
  {
    ctx.read();
  }
  





  public void write(ChannelHandlerContext ctx, Object msg, ChannelPromise promise)
    throws Exception
  {
    ctx.write(msg, promise);
  }
  





  public void flush(ChannelHandlerContext ctx)
    throws Exception
  {
    ctx.flush();
  }
}
