package net.minecraft.util.io.netty.channel;

import net.minecraft.util.io.netty.buffer.ByteBufAllocator;

abstract interface ChannelPropertyAccess
{
  public abstract ChannelPipeline pipeline();
  
  public abstract ByteBufAllocator alloc();
  
  public abstract ChannelPromise newPromise();
  
  public abstract ChannelProgressivePromise newProgressivePromise();
  
  public abstract ChannelFuture newSucceededFuture();
  
  public abstract ChannelFuture newFailedFuture(Throwable paramThrowable);
  
  public abstract ChannelPromise voidPromise();
}
