package net.minecraft.util.io.netty.channel.sctp;

import java.net.InetAddress;
import java.net.InetSocketAddress;
import java.util.Set;
import net.minecraft.util.io.netty.channel.ChannelFuture;
import net.minecraft.util.io.netty.channel.ChannelPromise;
import net.minecraft.util.io.netty.channel.ServerChannel;

public abstract interface SctpServerChannel
  extends ServerChannel
{
  public abstract SctpServerChannelConfig config();
  
  public abstract InetSocketAddress localAddress();
  
  public abstract Set<InetSocketAddress> allLocalAddresses();
  
  public abstract ChannelFuture bindAddress(InetAddress paramInetAddress);
  
  public abstract ChannelFuture bindAddress(InetAddress paramInetAddress, ChannelPromise paramChannelPromise);
  
  public abstract ChannelFuture unbindAddress(InetAddress paramInetAddress);
  
  public abstract ChannelFuture unbindAddress(InetAddress paramInetAddress, ChannelPromise paramChannelPromise);
}
