package net.minecraft.util.io.netty.channel.socket;

import java.net.InetSocketAddress;
import net.minecraft.util.io.netty.buffer.ByteBuf;
import net.minecraft.util.io.netty.buffer.ByteBufHolder;
import net.minecraft.util.io.netty.channel.DefaultAddressedEnvelope;





















public final class DatagramPacket
  extends DefaultAddressedEnvelope<ByteBuf, InetSocketAddress>
  implements ByteBufHolder
{
  public DatagramPacket(ByteBuf data, InetSocketAddress recipient)
  {
    super(data, recipient);
  }
  



  public DatagramPacket(ByteBuf data, InetSocketAddress recipient, InetSocketAddress sender)
  {
    super(data, recipient, sender);
  }
  
  public DatagramPacket copy()
  {
    return new DatagramPacket(((ByteBuf)content()).copy(), (InetSocketAddress)recipient(), (InetSocketAddress)sender());
  }
  
  public DatagramPacket duplicate()
  {
    return new DatagramPacket(((ByteBuf)content()).duplicate(), (InetSocketAddress)recipient(), (InetSocketAddress)sender());
  }
  
  public DatagramPacket retain()
  {
    super.retain();
    return this;
  }
  
  public DatagramPacket retain(int increment)
  {
    super.retain(increment);
    return this;
  }
}
