package net.minecraft.util.io.netty.handler.codec.bytes;

import java.util.List;
import net.minecraft.util.io.netty.buffer.Unpooled;
import net.minecraft.util.io.netty.channel.ChannelHandler.Sharable;
import net.minecraft.util.io.netty.channel.ChannelHandlerContext;
import net.minecraft.util.io.netty.handler.codec.MessageToMessageEncoder;










































@ChannelHandler.Sharable
public class ByteArrayEncoder
  extends MessageToMessageEncoder<byte[]>
{
  protected void encode(ChannelHandlerContext ctx, byte[] msg, List<Object> out)
    throws Exception
  {
    out.add(Unpooled.wrappedBuffer(msg));
  }
}
