package net.minecraft.util.io.netty.handler.codec.http;































public class HttpRequestDecoder
  extends HttpObjectDecoder
{
  public HttpRequestDecoder() {}
  






























  public HttpRequestDecoder(int maxInitialLineLength, int maxHeaderSize, int maxChunkSize)
  {
    super(maxInitialLineLength, maxHeaderSize, maxChunkSize, true);
  }
  
  protected HttpMessage createMessage(String[] initialLine) throws Exception
  {
    return new DefaultHttpRequest(HttpVersion.valueOf(initialLine[2]), HttpMethod.valueOf(initialLine[0]), initialLine[1]);
  }
  

  protected HttpMessage createInvalidMessage()
  {
    return new DefaultHttpRequest(HttpVersion.HTTP_1_0, HttpMethod.GET, "/bad-request");
  }
  
  protected boolean isDecodingRequest()
  {
    return true;
  }
}
