package net.minecraft.util.io.netty.handler.codec.http;

















































































public class HttpResponseDecoder
  extends HttpObjectDecoder
{
  private static final HttpResponseStatus UNKNOWN_STATUS = new HttpResponseStatus(999, "Unknown");
  





  public HttpResponseDecoder() {}
  




  public HttpResponseDecoder(int maxInitialLineLength, int maxHeaderSize, int maxChunkSize)
  {
    super(maxInitialLineLength, maxHeaderSize, maxChunkSize, true);
  }
  
  protected HttpMessage createMessage(String[] initialLine)
  {
    return new DefaultHttpResponse(HttpVersion.valueOf(initialLine[0]), new HttpResponseStatus(Integer.valueOf(initialLine[1]).intValue(), initialLine[2]));
  }
  


  protected HttpMessage createInvalidMessage()
  {
    return new DefaultHttpResponse(HttpVersion.HTTP_1_0, UNKNOWN_STATUS);
  }
  
  protected boolean isDecodingRequest()
  {
    return false;
  }
}
