package net.minecraft.util.io.netty.handler.codec.http;

import net.minecraft.util.io.netty.channel.CombinedChannelDuplexHandler;



























public final class HttpServerCodec
  extends CombinedChannelDuplexHandler<HttpRequestDecoder, HttpResponseEncoder>
{
  public HttpServerCodec()
  {
    this(4096, 8192, 8192);
  }
  


  public HttpServerCodec(int maxInitialLineLength, int maxHeaderSize, int maxChunkSize)
  {
    super(new HttpRequestDecoder(maxInitialLineLength, maxHeaderSize, maxChunkSize), new HttpResponseEncoder());
  }
}
