package net.minecraft.util.io.netty.handler.codec.http.websocketx;

import net.minecraft.util.io.netty.buffer.ByteBuf;
import net.minecraft.util.io.netty.buffer.Unpooled;




















public class PongWebSocketFrame
  extends WebSocketFrame
{
  public PongWebSocketFrame()
  {
    super(Unpooled.buffer(0));
  }
  





  public PongWebSocketFrame(ByteBuf binaryData)
  {
    super(binaryData);
  }
  









  public PongWebSocketFrame(boolean finalFragment, int rsv, ByteBuf binaryData)
  {
    super(finalFragment, rsv, binaryData);
  }
  
  public PongWebSocketFrame copy()
  {
    return new PongWebSocketFrame(isFinalFragment(), rsv(), content().copy());
  }
  
  public PongWebSocketFrame duplicate()
  {
    return new PongWebSocketFrame(isFinalFragment(), rsv(), content().duplicate());
  }
  
  public PongWebSocketFrame retain()
  {
    super.retain();
    return this;
  }
  
  public PongWebSocketFrame retain(int increment)
  {
    super.retain(increment);
    return this;
  }
}
