package net.minecraft.util.io.netty.handler.codec.rtsp;

import net.minecraft.util.io.netty.handler.codec.http.DefaultHttpRequest;
import net.minecraft.util.io.netty.handler.codec.http.HttpMessage;





















































public class RtspRequestDecoder
  extends RtspObjectDecoder
{
  public RtspRequestDecoder() {}
  
  public RtspRequestDecoder(int maxInitialLineLength, int maxHeaderSize, int maxContentLength)
  {
    super(maxInitialLineLength, maxHeaderSize, maxContentLength);
  }
  
  protected HttpMessage createMessage(String[] initialLine) throws Exception
  {
    return new DefaultHttpRequest(RtspVersions.valueOf(initialLine[2]), RtspMethods.valueOf(initialLine[0]), initialLine[1]);
  }
  

  protected HttpMessage createInvalidMessage()
  {
    return new DefaultHttpRequest(RtspVersions.RTSP_1_0, RtspMethods.OPTIONS, "/bad-request");
  }
  
  protected boolean isDecodingRequest()
  {
    return true;
  }
}
