package net.minecraft.util.io.netty.handler.codec.socks;

import net.minecraft.util.io.netty.buffer.ByteBuf;
import net.minecraft.util.io.netty.channel.ChannelHandler.Sharable;
import net.minecraft.util.io.netty.channel.ChannelHandlerContext;
import net.minecraft.util.io.netty.handler.codec.MessageToByteEncoder;



















@ChannelHandler.Sharable
public class SocksMessageEncoder
  extends MessageToByteEncoder<SocksMessage>
{
  private static final String name = "SOCKS_MESSAGE_ENCODER";
  
  public static String getName()
  {
    return "SOCKS_MESSAGE_ENCODER";
  }
  
  protected void encode(ChannelHandlerContext ctx, SocksMessage msg, ByteBuf out) throws Exception
  {
    msg.encodeAsByteBuf(out);
  }
}
