package net.minecraft.util.io.netty.handler.codec.spdy;

import net.minecraft.util.io.netty.util.internal.StringUtil;






















public class DefaultSpdySynReplyFrame
  extends DefaultSpdyHeadersFrame
  implements SpdySynReplyFrame
{
  public DefaultSpdySynReplyFrame(int streamId)
  {
    super(streamId);
  }
  
  public SpdySynReplyFrame setStreamId(int streamId)
  {
    super.setStreamId(streamId);
    return this;
  }
  
  public SpdySynReplyFrame setLast(boolean last)
  {
    super.setLast(last);
    return this;
  }
  
  public SpdySynReplyFrame setInvalid()
  {
    super.setInvalid();
    return this;
  }
  
  public String toString()
  {
    StringBuilder buf = new StringBuilder();
    buf.append(getClass().getSimpleName());
    buf.append("(last: ");
    buf.append(isLast());
    buf.append(')');
    buf.append(StringUtil.NEWLINE);
    buf.append("--> Stream-ID = ");
    buf.append(getStreamId());
    buf.append(StringUtil.NEWLINE);
    buf.append("--> Headers:");
    buf.append(StringUtil.NEWLINE);
    appendHeaders(buf);
    

    buf.setLength(buf.length() - StringUtil.NEWLINE.length());
    return buf.toString();
  }
}
