package net.minecraft.util.io.netty.handler.codec.spdy;

import net.minecraft.util.io.netty.channel.CombinedChannelDuplexHandler;























public final class SpdyFrameCodec
  extends CombinedChannelDuplexHandler<SpdyFrameDecoder, SpdyFrameEncoder>
{
  public SpdyFrameCodec(int version)
  {
    this(version, 8192, 16384, 6, 15, 8);
  }
  




  public SpdyFrameCodec(int version, int maxChunkSize, int maxHeaderSize, int compressionLevel, int windowBits, int memLevel)
  {
    super(new SpdyFrameDecoder(version, maxChunkSize, maxHeaderSize), new SpdyFrameEncoder(version, compressionLevel, windowBits, memLevel));
  }
}
