package net.minecraft.util.io.netty.handler.stream;

import net.minecraft.util.io.netty.channel.ChannelHandlerContext;

public abstract interface ChunkedInput<B>
{
  public abstract boolean isEndOfInput()
    throws Exception;
  
  public abstract void close()
    throws Exception;
  
  public abstract B readChunk(ChannelHandlerContext paramChannelHandlerContext)
    throws Exception;
}
