package net.minecraft.util.org.apache.commons.lang3.tuple;












public class MutablePair<L, R>
  extends Pair<L, R>
{
  private static final long serialVersionUID = 4954918890077093841L;
  









  public L left;
  









  public R right;
  










  public static <L, R> MutablePair<L, R> of(L left, R right)
  {
    return new MutablePair(left, right);
  }
  






  public MutablePair() {}
  





  public MutablePair(L left, R right)
  {
    this.left = left;
    this.right = right;
  }
  




  public L getLeft()
  {
    return left;
  }
  




  public void setLeft(L left)
  {
    this.left = left;
  }
  



  public R getRight()
  {
    return right;
  }
  




  public void setRight(R right)
  {
    this.right = right;
  }
  






  public R setValue(R value)
  {
    R result = getRight();
    setRight(value);
    return result;
  }
}
