package org.apache.commons.lang;

import java.io.PrintStream;
import java.io.PrintWriter;
import org.apache.commons.lang.exception.Nestable;
import org.apache.commons.lang.exception.NestableDelegate;






















































public class NotImplementedException
  extends UnsupportedOperationException
  implements Nestable
{
  private static final String DEFAULT_MESSAGE = "Code is not implemented";
  private static final long serialVersionUID = -6894122266938754088L;
  private NestableDelegate delegate = new NestableDelegate(this);
  




  private Throwable cause;
  





  public NotImplementedException()
  {
    super("Code is not implemented");
  }
  





  public NotImplementedException(String msg)
  {
    super(msg == null ? "Code is not implemented" : msg);
  }
  






  public NotImplementedException(Throwable cause)
  {
    super("Code is not implemented");
    this.cause = cause;
  }
  







  public NotImplementedException(String msg, Throwable cause)
  {
    super(msg == null ? "Code is not implemented" : msg);
    this.cause = cause;
  }
  





  public NotImplementedException(Class clazz)
  {
    super("Code is not implemented in " + clazz);
  }
  






  public Throwable getCause()
  {
    return cause;
  }
  





  public String getMessage()
  {
    if (super.getMessage() != null)
      return super.getMessage();
    if (cause != null) {
      return cause.toString();
    }
    return null;
  }
  











  public String getMessage(int index)
  {
    if (index == 0) {
      return super.getMessage();
    }
    return delegate.getMessage(index);
  }
  







  public String[] getMessages()
  {
    return delegate.getMessages();
  }
  








  public Throwable getThrowable(int index)
  {
    return delegate.getThrowable(index);
  }
  






  public int getThrowableCount()
  {
    return delegate.getThrowableCount();
  }
  







  public Throwable[] getThrowables()
  {
    return delegate.getThrowables();
  }
  








  public int indexOfThrowable(Class type)
  {
    return delegate.indexOfThrowable(type, 0);
  }
  











  public int indexOfThrowable(Class type, int fromIndex)
  {
    return delegate.indexOfThrowable(type, fromIndex);
  }
  





  public void printStackTrace()
  {
    delegate.printStackTrace();
  }
  






  public void printStackTrace(PrintStream out)
  {
    delegate.printStackTrace(out);
  }
  






  public void printStackTrace(PrintWriter out)
  {
    delegate.printStackTrace(out);
  }
  






  public final void printPartialStackTrace(PrintWriter out)
  {
    super.printStackTrace(out);
  }
}
