package org.apache.logging.log4j.core;

import org.apache.logging.log4j.LogManager;



















public class AbstractServer
{
  private final LoggerContext context;
  
  protected AbstractServer()
  {
    context = ((LoggerContext)LogManager.getContext(false));
  }
  
  protected void log(LogEvent event) {
    Logger logger = context.getLogger(event.getLoggerName());
    if (config.filter(event.getLevel(), event.getMarker(), event.getMessage(), event.getThrown())) {
      config.logEvent(event);
    }
  }
}
