package org.apache.logging.log4j.core.appender.rolling.helper;

import java.io.IOException;
import org.apache.logging.log4j.Logger;
import org.apache.logging.log4j.status.StatusLogger;























public abstract class AbstractAction
  implements Action
{
  protected static final Logger LOGGER = ;
  


  private boolean complete = false;
  



  private boolean interrupted = false;
  








  public abstract boolean execute()
    throws IOException;
  







  public synchronized void run()
  {
    if (!interrupted) {
      try {
        execute();
      } catch (IOException ex) {
        reportException(ex);
      }
      
      complete = true;
      interrupted = true;
    }
  }
  



  public synchronized void close()
  {
    interrupted = true;
  }
  





  public boolean isComplete()
  {
    return complete;
  }
  
  protected void reportException(Exception ex) {}
}
