package org.apache.logging.log4j.message;








public class SimpleMessage
  implements Message
{
  private static final long serialVersionUID = -8398002534962715992L;
  






  private final String message;
  






  public SimpleMessage()
  {
    this(null);
  }
  



  public SimpleMessage(String message)
  {
    this.message = message;
  }
  




  public String getFormattedMessage()
  {
    return message;
  }
  




  public String getFormat()
  {
    return message;
  }
  




  public Object[] getParameters()
  {
    return null;
  }
  
  public boolean equals(Object o)
  {
    if (this == o) {
      return true;
    }
    if ((o == null) || (getClass() != o.getClass())) {
      return false;
    }
    
    SimpleMessage that = (SimpleMessage)o;
    
    return message != null ? message.equals(message) : message == null;
  }
  
  public int hashCode()
  {
    return message != null ? message.hashCode() : 0;
  }
  
  public String toString()
  {
    return "SimpleMessage[message=" + message + "]";
  }
  





  public Throwable getThrowable()
  {
    return null;
  }
}
