package org.bukkit.command.defaults;

import java.util.Arrays;
import org.bukkit.Bukkit;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;

public class ReloadCommand extends BukkitCommand
{
  public ReloadCommand(String name)
  {
    super(name);
    description = "Reloads the server configuration and plugins";
    usageMessage = "/reload";
    setPermission("bukkit.command.reload");
    setAliases(Arrays.asList(new String[] { "rl" }));
  }
  
  public boolean execute(CommandSender sender, String currentAlias, String[] args)
  {
    if (!testPermission(sender)) { return true;
    }
    Bukkit.reload();
    Command.broadcastCommandMessage(sender, org.bukkit.ChatColor.GREEN + "Reload complete.");
    
    return true;
  }
}
