package org.bukkit.command.defaults;

import org.bukkit.command.CommandSender;

public class TestForCommand extends VanillaCommand
{
  public TestForCommand()
  {
    super("testfor");
    description = "Tests whether a specifed player is online";
    usageMessage = "/testfor <player>";
    setPermission("bukkit.command.testfor");
  }
  
  public boolean execute(CommandSender sender, String currentAlias, String[] args)
  {
    if (!testPermission(sender)) return true;
    if (args.length < 1) {
      sender.sendMessage(org.bukkit.ChatColor.RED + "Usage: " + usageMessage);
      return false;
    }
    
    sender.sendMessage(org.bukkit.ChatColor.RED + "/testfor is only usable by commandblocks with analog output.");
    return true;
  }
}
