package org.bukkit.craftbukkit.v1_7_R1;

import net.minecraft.server.v1_7_R1.Block;
import org.bukkit.BlockChangeDelegate;

public class CraftBlockChangeDelegate
{
  private final BlockChangeDelegate delegate;
  
  public CraftBlockChangeDelegate(BlockChangeDelegate delegate)
  {
    this.delegate = delegate;
  }
  
  public BlockChangeDelegate getDelegate() {
    return delegate;
  }
  
  public Block getType(int x, int y, int z) {
    return Block.e(delegate.getTypeId(x, y, z));
  }
  
  public void setTypeAndData(int x, int y, int z, Block block, int data, int updateFlag)
  {
    if ((delegate instanceof net.minecraft.server.v1_7_R1.World)) {
      ((net.minecraft.server.v1_7_R1.World)delegate).setTypeAndData(x, y, z, block, data, 2);
    } else {
      delegate.setRawTypeIdAndData(x, y, z, Block.b(block), data);
    }
  }
  
  public boolean isEmpty(int x, int y, int z) {
    return delegate.isEmpty(x, y, z);
  }
}
