package org.bukkit.craftbukkit.v1_7_R1.entity;

import net.minecraft.server.v1_7_R1.Entity;

public abstract class AbstractProjectile extends CraftEntity implements org.bukkit.entity.Projectile
{
  private boolean doesBounce;
  
  public AbstractProjectile(org.bukkit.craftbukkit.v1_7_R1.CraftServer server, Entity entity)
  {
    super(server, entity);
    doesBounce = false;
  }
  
  public boolean doesBounce() {
    return doesBounce;
  }
  
  public void setBounce(boolean doesBounce) {
    this.doesBounce = doesBounce;
  }
}
