package org.bukkit.craftbukkit.v1_7_R1.entity;

import net.minecraft.server.v1_7_R1.EntityCaveSpider;
import org.bukkit.craftbukkit.v1_7_R1.CraftServer;
import org.bukkit.entity.EntityType;

public class CraftCaveSpider extends CraftSpider implements org.bukkit.entity.CaveSpider
{
  public CraftCaveSpider(CraftServer server, EntityCaveSpider entity)
  {
    super(server, entity);
  }
  
  public EntityCaveSpider getHandle()
  {
    return (EntityCaveSpider)entity;
  }
  
  public String toString()
  {
    return "CraftCaveSpider";
  }
  
  public EntityType getType() {
    return EntityType.CAVE_SPIDER;
  }
}
