package org.bukkit.craftbukkit.v1_7_R1.entity;

import net.minecraft.server.v1_7_R1.EntityIronGolem;
import org.bukkit.craftbukkit.v1_7_R1.CraftServer;

public class CraftIronGolem extends CraftGolem implements org.bukkit.entity.IronGolem
{
  public CraftIronGolem(CraftServer server, EntityIronGolem entity)
  {
    super(server, entity);
  }
  
  public EntityIronGolem getHandle()
  {
    return (EntityIronGolem)entity;
  }
  
  public String toString()
  {
    return "CraftIronGolem";
  }
  
  public boolean isPlayerCreated() {
    return getHandle().isPlayerCreated();
  }
  
  public void setPlayerCreated(boolean playerCreated) {
    getHandle().setPlayerCreated(playerCreated);
  }
  
  public org.bukkit.entity.EntityType getType()
  {
    return org.bukkit.entity.EntityType.IRON_GOLEM;
  }
}
