package org.bukkit.craftbukkit.v1_7_R1.entity;

import net.minecraft.server.v1_7_R1.EntityLargeFireball;
import org.bukkit.craftbukkit.v1_7_R1.CraftServer;

public class CraftLargeFireball extends CraftFireball implements org.bukkit.entity.LargeFireball
{
  public CraftLargeFireball(CraftServer server, EntityLargeFireball entity)
  {
    super(server, entity);
  }
  
  public void setYield(float yield)
  {
    super.setYield(yield);
    getHandle()yield = ((int)yield);
  }
  
  public EntityLargeFireball getHandle()
  {
    return (EntityLargeFireball)entity;
  }
  
  public String toString()
  {
    return "CraftLargeFireball";
  }
  
  public org.bukkit.entity.EntityType getType() {
    return org.bukkit.entity.EntityType.FIREBALL;
  }
}
