package org.bukkit.craftbukkit.v1_7_R1.entity;

import net.minecraft.server.v1_7_R1.EntityLeash;
import org.bukkit.craftbukkit.v1_7_R1.CraftServer;
import org.bukkit.entity.EntityType;

public class CraftLeash extends CraftHanging implements org.bukkit.entity.LeashHitch
{
  public CraftLeash(CraftServer server, EntityLeash entity)
  {
    super(server, entity);
  }
  
  public EntityLeash getHandle()
  {
    return (EntityLeash)entity;
  }
  
  public String toString()
  {
    return "CraftLeash";
  }
  
  public EntityType getType() {
    return EntityType.LEASH_HITCH;
  }
}
