package org.bukkit.craftbukkit.v1_7_R1.entity;

import net.minecraft.server.v1_7_R1.EntitySheep;
import org.bukkit.DyeColor;
import org.bukkit.craftbukkit.v1_7_R1.CraftServer;
import org.bukkit.entity.EntityType;

public class CraftSheep extends CraftAnimals implements org.bukkit.entity.Sheep
{
  public CraftSheep(CraftServer server, EntitySheep entity)
  {
    super(server, entity);
  }
  
  public DyeColor getColor() {
    return DyeColor.getByWoolData((byte)getHandle().getColor());
  }
  
  public void setColor(DyeColor color) {
    getHandle().setColor(color.getWoolData());
  }
  
  public boolean isSheared() {
    return getHandle().isSheared();
  }
  
  public void setSheared(boolean flag) {
    getHandle().setSheared(flag);
  }
  
  public EntitySheep getHandle()
  {
    return (EntitySheep)entity;
  }
  
  public String toString()
  {
    return "CraftSheep";
  }
  
  public EntityType getType() {
    return EntityType.SHEEP;
  }
}
