package org.bukkit.craftbukkit.v1_7_R1.entity;

import net.minecraft.server.v1_7_R1.EntitySpider;
import org.bukkit.craftbukkit.v1_7_R1.CraftServer;
import org.bukkit.entity.EntityType;
import org.bukkit.entity.Spider;

public class CraftSpider extends CraftMonster implements Spider
{
  public CraftSpider(CraftServer server, EntitySpider entity)
  {
    super(server, entity);
  }
  
  public EntitySpider getHandle()
  {
    return (EntitySpider)entity;
  }
  
  public String toString()
  {
    return "CraftSpider";
  }
  
  public EntityType getType() {
    return EntityType.SPIDER;
  }
}
