package org.bukkit.craftbukkit.v1_7_R1.entity;

import net.minecraft.server.v1_7_R1.EntitySquid;
import org.bukkit.craftbukkit.v1_7_R1.CraftServer;
import org.bukkit.entity.EntityType;
import org.bukkit.entity.Squid;

public class CraftSquid extends CraftWaterMob implements Squid
{
  public CraftSquid(CraftServer server, EntitySquid entity)
  {
    super(server, entity);
  }
  
  public EntitySquid getHandle()
  {
    return (EntitySquid)entity;
  }
  
  public String toString()
  {
    return "CraftSquid";
  }
  
  public EntityType getType() {
    return EntityType.SQUID;
  }
}
