package org.bukkit.craftbukkit.v1_7_R1.entity;

import net.minecraft.server.v1_7_R1.EntityWitherSkull;
import org.bukkit.entity.EntityType;

public class CraftWitherSkull extends CraftFireball implements org.bukkit.entity.WitherSkull
{
  public CraftWitherSkull(org.bukkit.craftbukkit.v1_7_R1.CraftServer server, EntityWitherSkull entity)
  {
    super(server, entity);
  }
  
  public void setCharged(boolean charged)
  {
    getHandle().a(charged);
  }
  
  public boolean isCharged()
  {
    return getHandle().f();
  }
  
  public EntityWitherSkull getHandle()
  {
    return (EntityWitherSkull)entity;
  }
  
  public String toString()
  {
    return "CraftWitherSkull";
  }
  
  public EntityType getType() {
    return EntityType.WITHER_SKULL;
  }
}
