package org.bukkit.craftbukkit.v1_7_R1.generator;

import java.util.ArrayList;
import java.util.List;
import java.util.Random;
import net.minecraft.server.v1_7_R1.Chunk;
import net.minecraft.server.v1_7_R1.EnumCreatureType;
import net.minecraft.server.v1_7_R1.IChunkProvider;
import net.minecraft.server.v1_7_R1.IProgressUpdate;
import net.minecraft.server.v1_7_R1.WorldProvider;
import net.minecraft.server.v1_7_R1.WorldServer;
import org.bukkit.craftbukkit.v1_7_R1.CraftWorld;
import org.bukkit.generator.BlockPopulator;

public class NormalChunkGenerator extends InternalChunkGenerator
{
  private final IChunkProvider provider;
  
  public NormalChunkGenerator(net.minecraft.server.v1_7_R1.World world, long seed)
  {
    provider = worldProvider.getChunkProvider();
  }
  
  public byte[] generate(org.bukkit.World world, Random random, int x, int z) {
    throw new UnsupportedOperationException("Not supported.");
  }
  
  public boolean canSpawn(org.bukkit.World world, int x, int z) {
    return getHandle()worldProvider.canSpawn(x, z);
  }
  
  public List<BlockPopulator> getDefaultPopulators(org.bukkit.World world) {
    return new ArrayList();
  }
  
  public boolean isChunkLoaded(int i, int i1) {
    return provider.isChunkLoaded(i, i1);
  }
  
  public Chunk getOrCreateChunk(int i, int i1) {
    return provider.getOrCreateChunk(i, i1);
  }
  
  public Chunk getChunkAt(int i, int i1) {
    return provider.getChunkAt(i, i1);
  }
  
  public void getChunkAt(IChunkProvider icp, int i, int i1) {
    provider.getChunkAt(icp, i, i1);
  }
  
  public boolean saveChunks(boolean bln, IProgressUpdate ipu) {
    return provider.saveChunks(bln, ipu);
  }
  
  public boolean unloadChunks() {
    return provider.unloadChunks();
  }
  
  public boolean canSave() {
    return provider.canSave();
  }
  
  public List<?> getMobsFor(EnumCreatureType ect, int i, int i1, int i2) {
    return provider.getMobsFor(ect, i, i1, i2);
  }
  
  public net.minecraft.server.v1_7_R1.ChunkPosition findNearestMapFeature(net.minecraft.server.v1_7_R1.World world, String string, int i, int i1, int i2) {
    return provider.findNearestMapFeature(world, string, i, i1, i2);
  }
  
  public void recreateStructures(int i, int j) {
    provider.recreateStructures(i, j);
  }
  
  public int getLoadedChunks()
  {
    return 0;
  }
  
  public String getName() {
    return "NormalWorldGenerator";
  }
  
  public void b() {}
}
