package org.bukkit.event.block;

import org.bukkit.Material;
import org.bukkit.block.Block;
import org.bukkit.event.HandlerList;










public class BlockCanBuildEvent
  extends BlockEvent
{
  private static final HandlerList handlers = new HandlerList();
  


  protected boolean buildable;
  


  @Deprecated
  protected int material;
  


  @Deprecated
  public BlockCanBuildEvent(Block block, int id, boolean canBuild)
  {
    super(block);
    buildable = canBuild;
    material = id;
  }
  







  public boolean isBuildable()
  {
    return buildable;
  }
  





  public void setBuildable(boolean cancel)
  {
    buildable = cancel;
  }
  




  public Material getMaterial()
  {
    return Material.getMaterial(material);
  }
  





  @Deprecated
  public int getMaterialId()
  {
    return material;
  }
  
  public HandlerList getHandlers()
  {
    return handlers;
  }
  
  public static HandlerList getHandlerList() {
    return handlers;
  }
}
