package org.bukkit.event.entity;

import org.bukkit.entity.ThrownExpBottle;
import org.bukkit.event.HandlerList;


public class ExpBottleEvent
  extends ProjectileHitEvent
{
  private static final HandlerList handlers = new HandlerList();
  private int exp;
  private boolean showEffect = true;
  
  public ExpBottleEvent(ThrownExpBottle bottle, int exp) {
    super(bottle);
    this.exp = exp;
  }
  
  public ThrownExpBottle getEntity()
  {
    return (ThrownExpBottle)entity;
  }
  




  public boolean getShowEffect()
  {
    return showEffect;
  }
  







  public void setShowEffect(boolean showEffect)
  {
    this.showEffect = showEffect;
  }
  






  public int getExperience()
  {
    return exp;
  }
  






  public void setExperience(int exp)
  {
    this.exp = exp;
  }
  
  public HandlerList getHandlers()
  {
    return handlers;
  }
  
  public static HandlerList getHandlerList() {
    return handlers;
  }
}
