package org.bukkit.help;

import org.bukkit.command.CommandSender;
































public abstract class HelpTopic
{
  protected String name;
  protected String shortText;
  protected String fullText;
  protected String amendedPermission;
  
  public abstract boolean canSee(CommandSender paramCommandSender);
  
  public void amendCanSee(String amendedPermission)
  {
    this.amendedPermission = amendedPermission;
  }
  




  public String getName()
  {
    return name;
  }
  




  public String getShortText()
  {
    return shortText;
  }
  











  public String getFullText(CommandSender forWho)
  {
    return fullText;
  }
  













  public void amendTopic(String amendedShortText, String amendedFullText)
  {
    shortText = applyAmendment(shortText, amendedShortText);
    fullText = applyAmendment(fullText, amendedFullText);
  }
  










  protected String applyAmendment(String baseText, String amendment)
  {
    if (amendment == null) {
      return baseText;
    }
    return amendment.replaceAll("<text>", baseText);
  }
}
