package org.bukkit.material;

import org.bukkit.Material;
import org.bukkit.block.BlockFace;

public class Ladder
  extends SimpleAttachableMaterialData
{
  public Ladder()
  {
    super(Material.LADDER);
  }
  



  @Deprecated
  public Ladder(int type)
  {
    super(type);
  }
  
  public Ladder(Material type) {
    super(type);
  }
  



  @Deprecated
  public Ladder(int type, byte data)
  {
    super(type, data);
  }
  



  @Deprecated
  public Ladder(Material type, byte data)
  {
    super(type, data);
  }
  




  public BlockFace getAttachedFace()
  {
    byte data = getData();
    
    switch (data) {
    case 2: 
      return BlockFace.SOUTH;
    
    case 3: 
      return BlockFace.NORTH;
    
    case 4: 
      return BlockFace.EAST;
    
    case 5: 
      return BlockFace.WEST;
    }
    
    return null;
  }
  


  public void setFacingDirection(BlockFace face)
  {
    byte data = 0;
    
    switch (1.$SwitchMap$org$bukkit$block$BlockFace[face.ordinal()]) {
    case 1: 
      data = 2;
      break;
    
    case 2: 
      data = 3;
      break;
    
    case 3: 
      data = 4;
      break;
    
    case 4: 
      data = 5;
    }
    
    
    setData(data);
  }
  

  public Ladder clone()
  {
    return (Ladder)super.clone();
  }
}
