Format des fichiers de configuration
==========
___________________

## config.yml
Ce fichier est au format YAML, et sa lecture est déjà géré par l'API Bukkit.

___________________

## worldborder.txt
Ce fichier est au format texte. Chaque ligne correspond au paramètre de bordure pour un monde donné. Voici un format exemple que doit prendre une ligne :

    WorldName 14 134.5 2000

- `WorldName` correspond au nom du monde que vous voulez configurer
- `14` et `134.5` correspondent aux coordonnées x et z du centre du carré de bordure
- `2000` correspond à la distance de chaque bordure par rapport aux coordonnées indiquées

Les lignes vides et les lignes dont le premier caractère est un `#` seront ignorés. Les caractères non imprimables en début et fin de lignes seront supprimés avant analyse.

___________________

## badwords.txt
Ce fichier est au format texte. Chaque ligne est une expression régulière correspondant à un élément censuré.

Les lignes vides seront ignorés (ou ne contenant que des caractères non imprimable). Lescaractères non imprimables en début et fin de ligne sont conservés

